# Node.js 13 ChangeLog

 Current

 13.14.0
13.13.0
13.12.0
13.11.0
13.10.1
13.10.0
13.9.0
13.8.0
13.7.0
13.6.0
13.5.0
13.4.0
13.3.0
13.2.0
13.1.0
13.0.1
13.0.0

* Other Versions
  * [20.x](CHANGELOG_V20.md)
  * [19.x](CHANGELOG_V19.md)
  * [18.x](CHANGELOG_V18.md)
  * [17.x](CHANGELOG_V17.md)
  * [16.x](CHANGELOG_V16.md)
  * [15.x](CHANGELOG_V15.md)
  * [14.x](CHANGELOG_V14.md)
  * [12.x](CHANGELOG_V12.md)
  * [11.x](CHANGELOG_V11.md)
  * [10.x](CHANGELOG_V10.md)
  * [9.x](CHANGELOG_V9.md)
  * [8.x](CHANGELOG_V8.md)
  * [7.x](CHANGELOG_V7.md)
  * [6.x](CHANGELOG_V6.md)
  * [5.x](CHANGELOG_V5.md)
  * [4.x](CHANGELOG_V4.md)
  * [0.12.x](CHANGELOG_V012.md)
  * [0.10.x](CHANGELOG_V010.md)
  * [io.js](CHANGELOG_IOJS.md)
  * [Archive](CHANGELOG_ARCHIVE.md)

## 2020-04-29, Version 13.14.0 (Current), @BridgeAR

### Notable Changes

* **async\_hooks**:
  * Merge `run` and `exit` methods (Andrey Pechkurov) [#31950](https://github.com/nodejs/node/pull/31950)
  * Prevent sync methods of async storage exiting outer context (Stephen Belanger) [#31950](https://github.com/nodejs/node/pull/31950)
* **vm**:
  * Add `importModuleDynamically` option to compileFunction (Gus Caplan) [#32985](https://github.com/nodejs/node/pull/32985)

#### New core collaborators

With this release, we welcome two new Node.js core collaborators:

* Juan José Arboleda @juanarbol [#32906](https://github.com/nodejs/node/pull/32906)
* Andrey Pechkurov @puzpuzpuz [#32817](https://github.com/nodejs/node/pull/32817)

### Commits

* \[[`52d8afc07e`](https://github.com/nodejs/node/commit/52d8afc07e)] - **(SEMVER-MINOR)** **async\_hooks**: merge run and exit methods (Andrey Pechkurov) [#31950](https://github.com/nodejs/node/pull/31950)
* \[[`b304df97ff`](https://github.com/nodejs/node/commit/b304df97ff)] - **(SEMVER-MINOR)** **async\_hooks**: prevent sync methods of async storage exiting outer context (Stephen Belanger) [#31950](https://github.com/nodejs/node/pull/31950)
* \[[`a1178b6c5b`](https://github.com/nodejs/node/commit/a1178b6c5b)] - **buffer**: add type check in bidirectionalIndexOf (Gerhard Stoebich) [#32770](https://github.com/nodejs/node/pull/32770)
* \[[`d9378747ae`](https://github.com/nodejs/node/commit/d9378747ae)] - **buffer**: mark pool ArrayBuffer as untransferable (Anna Henningsen) [#32759](https://github.com/nodejs/node/pull/32759)
* \[[`9bcfc8ed58`](https://github.com/nodejs/node/commit/9bcfc8ed58)] - **buffer,n-api**: fix double ArrayBuffer::Detach() during cleanup (Anna Henningsen) [#33039](https://github.com/nodejs/node/pull/33039)
* \[[`606719fa16`](https://github.com/nodejs/node/commit/606719fa16)] - **build**: fix vcbuild error for missing Visual Studio (Thomas) [#32658](https://github.com/nodejs/node/pull/32658)
* \[[`832ea520be`](https://github.com/nodejs/node/commit/832ea520be)] - **build**: remove .git folders when testing V8 (Richard Lau) [#32877](https://github.com/nodejs/node/pull/32877)
* \[[`e1809c8d71`](https://github.com/nodejs/node/commit/e1809c8d71)] - **build**: add configure flag to build V8 with DCHECKs (Anna Henningsen) [#32787](https://github.com/nodejs/node/pull/32787)
* \[[`5c4d8cd72b`](https://github.com/nodejs/node/commit/5c4d8cd72b)] - **build**: re-enable ASAN Action using clang (Matheus Marchini) [#32776](https://github.com/nodejs/node/pull/32776)
* \[[`c8d43604e7`](https://github.com/nodejs/node/commit/c8d43604e7)] - **build**: use same flags as V8 for ASAN (Matheus Marchini) [#32776](https://github.com/nodejs/node/pull/32776)
* \[[`c6078f0ca1`](https://github.com/nodejs/node/commit/c6078f0ca1)] - **build**: add build from tarball (John Kleinschmidt) [#32129](https://github.com/nodejs/node/pull/32129)
* \[[`8fb7852e0b`](https://github.com/nodejs/node/commit/8fb7852e0b)] - **cli, report**: move --report-on-fatalerror to stable (cjihrig) [#32496](https://github.com/nodejs/node/pull/32496)
* \[[`98a2c67a50`](https://github.com/nodejs/node/commit/98a2c67a50)] - **cluster**: removed unused addressType argument from constructor (Yash Ladha) [#32963](https://github.com/nodejs/node/pull/32963)
* \[[`7b630aea32`](https://github.com/nodejs/node/commit/7b630aea32)] - **deps**: update archs files for OpenSSL-1.1.1g (Hassaan Pasha) [#32971](https://github.com/nodejs/node/pull/32971)
* \[[`7940d2ca86`](https://github.com/nodejs/node/commit/7940d2ca86)] - **deps**: upgrade openssl sources to 1.1.1g (Hassaan Pasha) [#32971](https://github.com/nodejs/node/pull/32971)
* \[[`3956ab5187`](https://github.com/nodejs/node/commit/3956ab5187)] - **deps**: V8: backport 3f8dc4b2e5ba (Ujjwal Sharma) [#32993](https://github.com/nodejs/node/pull/32993)
* \[[`1a82b78bda`](https://github.com/nodejs/node/commit/1a82b78bda)] - **deps**: V8: cherry-pick e1eac1b16c96 (Milad Farazmand) [#32974](https://github.com/nodejs/node/pull/32974)
* \[[`afe7f41442`](https://github.com/nodejs/node/commit/afe7f41442)] - **deps**: upgrade to libuv 1.37.0 (cjihrig) [#32866](https://github.com/nodejs/node/pull/32866)
* \[[`771ca7d4ed`](https://github.com/nodejs/node/commit/771ca7d4ed)] - **deps**: upgrade to libuv 1.36.0 (cjihrig) [#32866](https://github.com/nodejs/node/pull/32866)
* \[[`ea857684e9`](https://github.com/nodejs/node/commit/ea857684e9)] - **deps**: V8: cherry-pick dc3a90be6ca7 (Michaël Zasso) [#32795](https://github.com/nodejs/node/pull/32795)
* \[[`fc9191ad58`](https://github.com/nodejs/node/commit/fc9191ad58)] - **doc**: assign missing deprecation code (Richard Lau) [#33109](https://github.com/nodejs/node/pull/33109)
* \[[`ea67a3097d`](https://github.com/nodejs/node/commit/ea67a3097d)] - **doc**: improve WHATWG url constructor code example (Liran Tal) [#32782](https://github.com/nodejs/node/pull/32782)
* \[[`7085e6f7b8`](https://github.com/nodejs/node/commit/7085e6f7b8)] - **doc**: make openssl maintenance position independent (Sam Roberts) [#32977](https://github.com/nodejs/node/pull/32977)
* \[[`c489a7e62b`](https://github.com/nodejs/node/commit/c489a7e62b)] - **doc**: improve release documentation (Michaël Zasso) [#33042](https://github.com/nodejs/node/pull/33042)
* \[[`16bd3006f1`](https://github.com/nodejs/node/commit/16bd3006f1)] - **doc**: document major finished changes in v14 (Robert Nagy) [#33065](https://github.com/nodejs/node/pull/33065)
* \[[`7719f525ab`](https://github.com/nodejs/node/commit/7719f525ab)] - **doc**: add documentation for transferList arg at worker threads (Juan José Arboleda) [#32881](https://github.com/nodejs/node/pull/32881)
* \[[`84b12b681a`](https://github.com/nodejs/node/commit/84b12b681a)] - **doc**: avoid tautology in README (Ishaan Jain) [#33005](https://github.com/nodejs/node/pull/33005)
* \[[`50c6aa6dc5`](https://github.com/nodejs/node/commit/50c6aa6dc5)] - **doc**: updated directory entry information (Eileen) [#32791](https://github.com/nodejs/node/pull/32791)
* \[[`1b61e56538`](https://github.com/nodejs/node/commit/1b61e56538)] - **doc**: ignore no-literal-urls in README (Nick Schonning) [#32676](https://github.com/nodejs/node/pull/32676)
* \[[`e9b59781c3`](https://github.com/nodejs/node/commit/e9b59781c3)] - **doc**: convert bare email addresses to mailto links (Nick Schonning) [#32676](https://github.com/nodejs/node/pull/32676)
* \[[`9af2eb3b64`](https://github.com/nodejs/node/commit/9af2eb3b64)] - **doc**: ignore no-literal-urls in changelogs (Nick Schonning) [#32676](https://github.com/nodejs/node/pull/32676)
* \[[`1b325f525c`](https://github.com/nodejs/node/commit/1b325f525c)] - **doc**: add angle brackets around implicit links (Nick Schonning) [#32676](https://github.com/nodejs/node/pull/32676)
* \[[`99f4af4190`](https://github.com/nodejs/node/commit/99f4af4190)] - **doc**: remove repeated word in modules.md (Prosper Opara) [#32931](https://github.com/nodejs/node/pull/32931)
* \[[`287bd8af9b`](https://github.com/nodejs/node/commit/287bd8af9b)] - **doc**: elevate diagnostic report to tier1 (Gireesh Punathil) [#32732](https://github.com/nodejs/node/pull/32732)
* \[[`8c48d16691`](https://github.com/nodejs/node/commit/8c48d16691)] - **doc**: fix typo in security-release-process.md (Edward Elric) [#32926](https://github.com/nodejs/node/pull/32926)
* \[[`faeb4088fa`](https://github.com/nodejs/node/commit/faeb4088fa)] - **doc**: corrected ERR\_SOCKET\_CANNOT\_SEND message (William Armiros) [#32847](https://github.com/nodejs/node/pull/32847)
* \[[`76e960c67f`](https://github.com/nodejs/node/commit/76e960c67f)] - **doc**: fix usage of folder and directory terms in fs.md (karan singh virdi) [#32919](https://github.com/nodejs/node/pull/32919)
* \[[`c5967596c0`](https://github.com/nodejs/node/commit/c5967596c0)] - **doc**: fix typo in zlib.md (雨夜带刀) [#32901](https://github.com/nodejs/node/pull/32901)
* \[[`8c1a69c1e7`](https://github.com/nodejs/node/commit/8c1a69c1e7)] - **doc**: synch SECURITY.md with website (Rich Trott) [#32903](https://github.com/nodejs/node/pull/32903)
* \[[`43adbe6bc8`](https://github.com/nodejs/node/commit/43adbe6bc8)] - **doc**: add `tsc-agenda` to onboarding labels list (Rich Trott) [#32832](https://github.com/nodejs/node/pull/32832)
* \[[`45a125cf3a`](https://github.com/nodejs/node/commit/45a125cf3a)] - **doc**: add N-API version 6 to table (Michael Dawson) [#32829](https://github.com/nodejs/node/pull/32829)
* \[[`cc4764579b`](https://github.com/nodejs/node/commit/cc4764579b)] - **doc**: add juanarbol as collaborator (Juan José Arboleda) [#32906](https://github.com/nodejs/node/pull/32906)
* \[[`5dba49db7c`](https://github.com/nodejs/node/commit/5dba49db7c)] - **doc**: missing brackets (William Bonawentura) [#32657](https://github.com/nodejs/node/pull/32657)
* \[[`7980f6f749`](https://github.com/nodejs/node/commit/7980f6f749)] - **doc**: improve consistency in usage of NULL (Michael Dawson) [#32726](https://github.com/nodejs/node/pull/32726)
* \[[`3f4bb8d67f`](https://github.com/nodejs/node/commit/3f4bb8d67f)] - **doc**: improve net docs (Robert Nagy) [#32811](https://github.com/nodejs/node/pull/32811)
* \[[`b7da58773c`](https://github.com/nodejs/node/commit/b7da58773c)] - **doc**: note that signatures of binary may be from subkeys (Reşat SABIQ) [#32591](https://github.com/nodejs/node/pull/32591)
* \[[`ae034c4ab2`](https://github.com/nodejs/node/commit/ae034c4ab2)] - **doc**: add transform stream destroy() return value (cjihrig) [#32788](https://github.com/nodejs/node/pull/32788)
* \[[`a0be60e3ad`](https://github.com/nodejs/node/commit/a0be60e3ad)] - **doc**: updated guidance for n-api changes (Michael Dawson) [#32721](https://github.com/nodejs/node/pull/32721)
* \[[`95cd771f9b`](https://github.com/nodejs/node/commit/95cd771f9b)] - **doc**: remove warning from `response.writeHead` (Cecchi MacNaughton) [#32700](https://github.com/nodejs/node/pull/32700)
* \[[`c0e4ac495a`](https://github.com/nodejs/node/commit/c0e4ac495a)] - **doc**: improve AsyncLocalStorage sample (Andrey Pechkurov) [#32757](https://github.com/nodejs/node/pull/32757)
* \[[`ea09c0f111`](https://github.com/nodejs/node/commit/ea09c0f111)] - **doc**: document `buffer.from` returns internal pool buffer (Harshitha KP) [#32703](https://github.com/nodejs/node/pull/32703)
* \[[`19961988d3`](https://github.com/nodejs/node/commit/19961988d3)] - **doc**: add puzpuzpuz to collaborators (Andrey Pechkurov) [#32817](https://github.com/nodejs/node/pull/32817)
* \[[`27837fe4f6`](https://github.com/nodejs/node/commit/27837fe4f6)] - **fs**: update validateOffsetLengthRead in utils.js (daemon1024) [#32896](https://github.com/nodejs/node/pull/32896)
* \[[`04b1f63b72`](https://github.com/nodejs/node/commit/04b1f63b72)] - **fs**: extract kWriteFileMaxChunkSize constant (rickyes) [#32640](https://github.com/nodejs/node/pull/32640)
* \[[`0b2cff28b9`](https://github.com/nodejs/node/commit/0b2cff28b9)] - **fs**: remove unnecessary else statement (Jesus Hernandez) [#32662](https://github.com/nodejs/node/pull/32662)
* \[[`8774cb4a86`](https://github.com/nodejs/node/commit/8774cb4a86)] - **fs**: use finished over destroy w/ cb (Robert Nagy) [#32809](https://github.com/nodejs/node/pull/32809)
* \[[`4d9e69d07d`](https://github.com/nodejs/node/commit/4d9e69d07d)] - **http**: doc deprecate abort and improve docs (Robert Nagy) [#32807](https://github.com/nodejs/node/pull/32807)
* \[[`85b333b8f8`](https://github.com/nodejs/node/commit/85b333b8f8)] - **http**: refactor agent 'free' handler (Robert Nagy) [#32801](https://github.com/nodejs/node/pull/32801)
* \[[`a673c8fe35`](https://github.com/nodejs/node/commit/a673c8fe35)] - **http2**: wait for secureConnect before initializing (bcoe) [#32958](https://github.com/nodejs/node/pull/32958)
* \[[`fce8c4e0d9`](https://github.com/nodejs/node/commit/fce8c4e0d9)] - **inspector**: only write coverage in fully bootstrapped Environments (Joyee Cheung) [#32960](https://github.com/nodejs/node/pull/32960)
* \[[`ee3c461a26`](https://github.com/nodejs/node/commit/ee3c461a26)] - **lib**: unnecessary const assignment for class (Yash Ladha) [#32962](https://github.com/nodejs/node/pull/32962)
* \[[`944dceb618`](https://github.com/nodejs/node/commit/944dceb618)] - **lib**: simplify function process.emitWarning (himself65) [#32992](https://github.com/nodejs/node/pull/32992)
* \[[`8a85afabba`](https://github.com/nodejs/node/commit/8a85afabba)] - **lib**: remove unnecesary else block (David Daza) [#32644](https://github.com/nodejs/node/pull/32644)
* \[[`83f1e98a8e`](https://github.com/nodejs/node/commit/83f1e98a8e)] - **lib**: created isValidCallback helper (Yash Ladha) [#32665](https://github.com/nodejs/node/pull/32665)
* \[[`636267045e`](https://github.com/nodejs/node/commit/636267045e)] - **module**: refactor condition (Myles Borins) [#32989](https://github.com/nodejs/node/pull/32989)
* \[[`cb93c60e64`](https://github.com/nodejs/node/commit/cb93c60e64)] - **module**: exports not exported for null resolutions (Guy Bedford) [#32838](https://github.com/nodejs/node/pull/32838)
* \[[`e540d5cd9b`](https://github.com/nodejs/node/commit/e540d5cd9b)] - **module**: improve error for invalid package targets (Myles Borins) [#32052](https://github.com/nodejs/node/pull/32052)
* \[[`4432bb2415`](https://github.com/nodejs/node/commit/4432bb2415)] - **module**: partial doc removal of --experimental-modules (Myles Borins) [#32915](https://github.com/nodejs/node/pull/32915)
* \[[`0c7391c9b8`](https://github.com/nodejs/node/commit/0c7391c9b8)] - **module**: remove experimental modules warning (Guy Bedford) [#31974](https://github.com/nodejs/node/pull/31974)
* \[[`520347c198`](https://github.com/nodejs/node/commit/520347c198)] - **module**: fix memory leak when require error occurs (Qinhui Chen) [#32837](https://github.com/nodejs/node/pull/32837)
* \[[`48a72bf7eb`](https://github.com/nodejs/node/commit/48a72bf7eb)] - **n-api**: fix false assumption on napi\_async\_context structures (legendecas) [#32928](https://github.com/nodejs/node/pull/32928)
* \[[`7bd51fb8af`](https://github.com/nodejs/node/commit/7bd51fb8af)] - **perf\_hooks**: remove unnecessary assignment when name is undefined (rickyes) [#32910](https://github.com/nodejs/node/pull/32910)
* \[[`3b590d4f17`](https://github.com/nodejs/node/commit/3b590d4f17)] - **process**: suggest --trace-warnings when printing warning (Anna Henningsen) [#32797](https://github.com/nodejs/node/pull/32797)
* \[[`c318a52e95`](https://github.com/nodejs/node/commit/c318a52e95)] - **src**: add AsyncWrapObject constructor template factory (Stephen Belanger) [#33051](https://github.com/nodejs/node/pull/33051)
* \[[`44a5b73421`](https://github.com/nodejs/node/commit/44a5b73421)] - **src**: do not compare against wide characters (Christopher Beeson) [#32921](https://github.com/nodejs/node/pull/32921)
* \[[`02653b8310`](https://github.com/nodejs/node/commit/02653b8310)] - **src**: fix empty-named env var assertion failure (Christopher Beeson) [#32921](https://github.com/nodejs/node/pull/32921)
* \[[`2264b564dc`](https://github.com/nodejs/node/commit/2264b564dc)] - **src**: assignment to valid type (Yash Ladha) [#32879](https://github.com/nodejs/node/pull/32879)
* \[[`d3f65e8e15`](https://github.com/nodejs/node/commit/d3f65e8e15)] - **src**: delete MicroTaskPolicy namespace (Juan José Arboleda) [#32853](https://github.com/nodejs/node/pull/32853)
* \[[`015f33cf55`](https://github.com/nodejs/node/commit/015f33cf55)] - **src**: use using NewStringType (rickyes) [#32843](https://github.com/nodejs/node/pull/32843)
* \[[`0fdc55f51b`](https://github.com/nodejs/node/commit/0fdc55f51b)] - **src**: fix null deref in AllocatedBuffer::clear (Matt Kulukundis) [#32892](https://github.com/nodejs/node/pull/32892)
* \[[`c1f54c7313`](https://github.com/nodejs/node/commit/c1f54c7313)] - **src**: remove validation of unreachable code (Juan José Arboleda) [#32818](https://github.com/nodejs/node/pull/32818)
* \[[`e529a32f07`](https://github.com/nodejs/node/commit/e529a32f07)] - **src**: elevate v8 namespaces (Nimit) [#32872](https://github.com/nodejs/node/pull/32872)
* \[[`9fd0c3528a`](https://github.com/nodejs/node/commit/9fd0c3528a)] - **src**: remove redundant v8::HeapSnapshot namespace (Juan José Arboleda) [#32854](https://github.com/nodejs/node/pull/32854)
* \[[`a72d1d3ad6`](https://github.com/nodejs/node/commit/a72d1d3ad6)] - **src**: remove unused using in node\_worker.cc (Daniel Bevenius) [#32840](https://github.com/nodejs/node/pull/32840)
* \[[`5b01772282`](https://github.com/nodejs/node/commit/5b01772282)] - **src**: use basename(argv0) for --trace-uncaught suggestion (Anna Henningsen) [#32798](https://github.com/nodejs/node/pull/32798)
* \[[`2f7e372077`](https://github.com/nodejs/node/commit/2f7e372077)] - **src**: ignore GCC -Wcast-function-type for v8.h (Daniel Bevenius) [#32679](https://github.com/nodejs/node/pull/32679)
* \[[`bff11a9cd0`](https://github.com/nodejs/node/commit/bff11a9cd0)] - **src**: remove unused v8 Array namespace (Juan José Arboleda) [#32749](https://github.com/nodejs/node/pull/32749)
* \[[`507240cec7`](https://github.com/nodejs/node/commit/507240cec7)] - **stream**: close iterator in Readable.from (Vadzim Zieńka) [#32844](https://github.com/nodejs/node/pull/32844)
* \[[`b36eb756e7`](https://github.com/nodejs/node/commit/b36eb756e7)] - **stream**: inline unbuffered \_write (Robert Nagy) [#32886](https://github.com/nodejs/node/pull/32886)
* \[[`780c0efc70`](https://github.com/nodejs/node/commit/780c0efc70)] - **test**: refactor test-async-hooks-constructor (himself65) [#33063](https://github.com/nodejs/node/pull/33063)
* \[[`5bdb401801`](https://github.com/nodejs/node/commit/5bdb401801)] - **test**: remove timers-blocking-callback (Jeremiah Senkpiel) [#32870](https://github.com/nodejs/node/pull/32870)
* \[[`f658cb8dc4`](https://github.com/nodejs/node/commit/f658cb8dc4)] - **test**: better error validations for event-capture (Adrian Estrada) [#32771](https://github.com/nodejs/node/pull/32771)
* \[[`2c943358b2`](https://github.com/nodejs/node/commit/2c943358b2)] - **test**: refactor events tests for invalid listeners (Adrian Estrada) [#32769](https://github.com/nodejs/node/pull/32769)
* \[[`e6e0647709`](https://github.com/nodejs/node/commit/e6e0647709)] - **test**: test-async-wrap-constructor prefer forEach (Daniel Estiven Rico Posada) [#32631](https://github.com/nodejs/node/pull/32631)
* \[[`944e010324`](https://github.com/nodejs/node/commit/944e010324)] - **test**: mark test-child-process-fork-args as flaky on Windows (Andrey Pechkurov) [#32950](https://github.com/nodejs/node/pull/32950)
* \[[`87149c4b22`](https://github.com/nodejs/node/commit/87149c4b22)] - **test**: changed function to arrow function (Nimit) [#32875](https://github.com/nodejs/node/pull/32875)
* \[[`4baf41f15e`](https://github.com/nodejs/node/commit/4baf41f15e)] - **test**: replace console.log/error() with debuglog (daemon1024) [#32692](https://github.com/nodejs/node/pull/32692)
* \[[`740f86409d`](https://github.com/nodejs/node/commit/740f86409d)] - **test**: only detect uname on supported os (Xu Meng) [#32833](https://github.com/nodejs/node/pull/32833)
* \[[`23a4d60448`](https://github.com/nodejs/node/commit/23a4d60448)] - **test**: mark cpu-prof-dir-worker flaky on all (Sam Roberts) [#32828](https://github.com/nodejs/node/pull/32828)
* \[[`46cafadeac`](https://github.com/nodejs/node/commit/46cafadeac)] - **test**: replace equal with strictEqual (Jesus Hernandez) [#32727](https://github.com/nodejs/node/pull/32727)
* \[[`edc10d4fa6`](https://github.com/nodejs/node/commit/edc10d4fa6)] - **test**: mark test-worker-prof flaky on arm (Sam Roberts) [#32826](https://github.com/nodejs/node/pull/32826)
* \[[`98db564f4b`](https://github.com/nodejs/node/commit/98db564f4b)] - **test**: mark test-http2-reset-flood flaky on all (Sam Roberts) [#32825](https://github.com/nodejs/node/pull/32825)
* \[[`f1273e8e87`](https://github.com/nodejs/node/commit/f1273e8e87)] - **test**: cover node entry type in perf\_hooks (Julian Duque) [#32751](https://github.com/nodejs/node/pull/32751)
* \[[`f4e9bd6d36`](https://github.com/nodejs/node/commit/f4e9bd6d36)] - **test**: use symlinks to copy shells (John Kleinschmidt) [#32129](https://github.com/nodejs/node/pull/32129)
* \[[`efb3c71fea`](https://github.com/nodejs/node/commit/efb3c71fea)] - **tls**: add highWaterMark option for connect (rickyes) [#32786](https://github.com/nodejs/node/pull/32786)
* \[[`bfa19c47a4`](https://github.com/nodejs/node/commit/bfa19c47a4)] - **tls**: move getAllowUnauthorized to internal/options (James M Snell) [#32917](https://github.com/nodejs/node/pull/32917)
* \[[`1436f5359c`](https://github.com/nodejs/node/commit/1436f5359c)] - **tls**: provide default cipher list from command line (Anna Henningsen) [#32760](https://github.com/nodejs/node/pull/32760)
* \[[`c402edd60f`](https://github.com/nodejs/node/commit/c402edd60f)] - **tools**: remove unused code in doc generation tool (Rich Trott) [#32913](https://github.com/nodejs/node/pull/32913)
* \[[`f7b25c0069`](https://github.com/nodejs/node/commit/f7b25c0069)] - **tools**: decrease timeout in test.py (Anna Henningsen) [#32868](https://github.com/nodejs/node/pull/32868)
* \[[`a3aa71a79e`](https://github.com/nodejs/node/commit/a3aa71a79e)] - **util,readline**: NFC-normalize strings before getStringWidth (Anna Henningsen) [#33052](https://github.com/nodejs/node/pull/33052)
* \[[`84fd829b45`](https://github.com/nodejs/node/commit/84fd829b45)] - **(SEMVER-MINOR)** **vm**: add importModuleDynamically option to compileFunction (Gus Caplan) [#32985](https://github.com/nodejs/node/pull/32985)
* \[[`f14916ffc9`](https://github.com/nodejs/node/commit/f14916ffc9)] - **worker**: fix process.env var empty key access (Christopher Beeson) [#32921](https://github.com/nodejs/node/pull/32921)
* \[[`b80b08fe35`](https://github.com/nodejs/node/commit/b80b08fe35)] - **worker**: fix type check in receiveMessageOnPort (Anna Henningsen) [#32745](https://github.com/nodejs/node/pull/32745)

## 2020-04-14, Version 13.13.0 (Current), @targos

### Notable Changes

#### New file system APIs

* Added a new function, `fs.readv` (with sync and promisified versions). This
  function takes an array of `ArrayBufferView` elements and will write the data
  it reads sequentially to the buffers (Sk Sajidul Kadir) [#32356](https://github.com/nodejs/node/pull/32356).
* A new overload is available for `fs.readSync`, which allows to optionally pass
  any of the `offset`, `length` and `position` parameters (Lucas Holmquist) [#32460](https://github.com/nodejs/node/pull/32460).

#### Other changes

* **dns**:
  * Added the `dns.ALL` flag, that can be passed to `dns.lookup()` with `dns.V4MAPPED`
    to return resolved IPv6 addresses as well as IPv4 mapped IPv6 addresses (murgatroid99) [#32183](https://github.com/nodejs/node/pull/32183).
* **http**:
  * The default maximum HTTP header size was changed from 8KB to 16KB (rosaxny) [#32520](https://github.com/nodejs/node/pull/32520).
* **n-api**:
  * Calls to `napi_call_threadsafe_function` from the main thread can now return
    the `napi_would_deadlock` status in certain circumstances (Gabriel Schulhof) [#32689](https://github.com/nodejs/node/pull/32689).
* **util**:
  * Added a new `maxStrLength` option to `util.inspect`, to control the maximum
    length of printed strings. Its default value is `Infinity` (rosaxny) [#32392](https://github.com/nodejs/node/pull/32392).
* **worker**:
  * Added support for passing a `transferList` along with `workerData` to the
    `Worker` constructor (Juan José Arboleda) [#32278](https://github.com/nodejs/node/pull/32278).

#### New core collaborators

With this release, we welcome three new Node.js core collaborators:

* himself65 [#32734](https://github.com/nodejs/node/pull/32734).
* flarna (Gerhard Stoebich) [#32620](https://github.com/nodejs/node/pull/32620).
* mildsunrise (Alba Mendez) [#32525](https://github.com/nodejs/node/pull/32525).

### Commits

* \[[`a25ceeff72`](https://github.com/nodejs/node/commit/a25ceeff72)] - **async\_hooks**: use hasHooks function internally (rickyes) [#32656](https://github.com/nodejs/node/pull/32656)
* \[[`b63223114b`](https://github.com/nodejs/node/commit/b63223114b)] - **async\_hooks**: move to lazy destroy hook registration in AsyncResource (Andrey Pechkurov) [#32429](https://github.com/nodejs/node/pull/32429)
* \[[`78b90d9bc4`](https://github.com/nodejs/node/commit/78b90d9bc4)] - **benchmark**: fix error on server close in AsyncLocalStorage benchmark (Andrey Pechkurov) [#32503](https://github.com/nodejs/node/pull/32503)
* \[[`b556670d55`](https://github.com/nodejs/node/commit/b556670d55)] - **benchmark**: use let instead of var in zlib (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`d8316654fb`](https://github.com/nodejs/node/commit/d8316654fb)] - **benchmark**: use let instead of var in worker (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`f1d3fb067b`](https://github.com/nodejs/node/commit/f1d3fb067b)] - **benchmark**: use let instead of var in util (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`148df0a743`](https://github.com/nodejs/node/commit/148df0a743)] - **benchmark**: use let instead of var in url (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`108e91fb85`](https://github.com/nodejs/node/commit/108e91fb85)] - **benchmark**: use let instead of var in tls (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`f1720145af`](https://github.com/nodejs/node/commit/f1720145af)] - **benchmark**: use let instead of var in timers (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`4ce6fc5f9b`](https://github.com/nodejs/node/commit/4ce6fc5f9b)] - **benchmark**: use let instead of var in run.js (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`93b3997452`](https://github.com/nodejs/node/commit/93b3997452)] - **benchmark**: use let instead of var in dns (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`54c6219c0b`](https://github.com/nodejs/node/commit/54c6219c0b)] - **benchmark**: use let instead of var in common.js (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`b188b3c1ba`](https://github.com/nodejs/node/commit/b188b3c1ba)] - **benchmark**: use const instead of var in async\_hooks (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`05111c4377`](https://github.com/nodejs/node/commit/05111c4377)] - **benchmark**: add `no-var` rule in .eslintrc.yaml (Daniele Belardi) [#31794](https://github.com/nodejs/node/pull/31794)
* \[[`34f05ced8d`](https://github.com/nodejs/node/commit/34f05ced8d)] - **build**: output dots instead of tap in GitHub actions (Michaël Zasso) [#32714](https://github.com/nodejs/node/pull/32714)
* \[[`f9a2276548`](https://github.com/nodejs/node/commit/f9a2276548)] - **build**: move doc versions JSON file out of out/doc (Richard Lau) [#32728](https://github.com/nodejs/node/pull/32728)
* \[[`d7b526c446`](https://github.com/nodejs/node/commit/d7b526c446)] - **build**: fix LINT\_MD\_NEWER assignment (Rich Trott) [#32712](https://github.com/nodejs/node/pull/32712)
* \[[`809d42ccc1`](https://github.com/nodejs/node/commit/809d42ccc1)] - **build**: remove `.txt` files from .gitignore (Rich Trott) [#32710](https://github.com/nodejs/node/pull/32710)
* \[[`a11e3ef912`](https://github.com/nodejs/node/commit/a11e3ef912)] - **build**: log detected compilers in --verbose mode (Richard Lau) [#32715](https://github.com/nodejs/node/pull/32715)
* \[[`135f4b9a99`](https://github.com/nodejs/node/commit/135f4b9a99)] - **build**: use tabs for indentation in Makefile (Luigi Pinca) [#32614](https://github.com/nodejs/node/pull/32614)
* \[[`655ff39a4c`](https://github.com/nodejs/node/commit/655ff39a4c)] - **build**: remove make lint on lint-py (himself65) [#32599](https://github.com/nodejs/node/pull/32599)
* \[[`432e58fcf0`](https://github.com/nodejs/node/commit/432e58fcf0)] - **build**: disable -Wattributes warnings on aix (Ben Noordhuis) [#32419](https://github.com/nodejs/node/pull/32419)
* \[[`eda165feb0`](https://github.com/nodejs/node/commit/eda165feb0)] - **build**: drop Travis in favor of Actions (Matheus Marchini) [#32450](https://github.com/nodejs/node/pull/32450)
* \[[`814d88a01a`](https://github.com/nodejs/node/commit/814d88a01a)] - **console**: fixup error message (James M Snell) [#32475](https://github.com/nodejs/node/pull/32475)
* \[[`2c32e59d8d`](https://github.com/nodejs/node/commit/2c32e59d8d)] - **crypto**: clear openssl error stack after en/decrypt (Ben Noordhuis) [#32248](https://github.com/nodejs/node/pull/32248)
* \[[`4874db72b3`](https://github.com/nodejs/node/commit/4874db72b3)] - **deps**: fix zlib compilation for CPUs without SIMD features (Anna Henningsen) [#32627](https://github.com/nodejs/node/pull/32627)
* \[[`8586838feb`](https://github.com/nodejs/node/commit/8586838feb)] - **deps**: update archs files for OpenSSL-1.1.1f (Hassaan Pasha) [#32583](https://github.com/nodejs/node/pull/32583)
* \[[`3417cc5777`](https://github.com/nodejs/node/commit/3417cc5777)] - **deps**: upgrade openssl sources to 1.1.1f (Hassaan Pasha) [#32583](https://github.com/nodejs/node/pull/32583)
* \[[`f690fc93d6`](https://github.com/nodejs/node/commit/f690fc93d6)] - **deps**: update acorn to v7.1.1 (Ruben Bridgewater) [#32310](https://github.com/nodejs/node/pull/32310)
* \[[`e0e73f6850`](https://github.com/nodejs/node/commit/e0e73f6850)] - **dns**: remove duplicate code (rickyes) [#32664](https://github.com/nodejs/node/pull/32664)
* \[[`e14317a840`](https://github.com/nodejs/node/commit/e14317a840)] - **(SEMVER-MINOR)** **dns**: add dns.ALL hints flag constant (murgatroid99) [#32183](https://github.com/nodejs/node/pull/32183)
* \[[`0a8e07599b`](https://github.com/nodejs/node/commit/0a8e07599b)] - **doc**: add link to code ide configs (Robert Nagy) [#32767](https://github.com/nodejs/node/pull/32767)
* \[[`18b5e04e75`](https://github.com/nodejs/node/commit/18b5e04e75)] - **doc**: replace node-test-pull-request-lite-pipeline from onboarding (Juan José Arboleda) [#32736](https://github.com/nodejs/node/pull/32736)
* \[[`66aafcf298`](https://github.com/nodejs/node/commit/66aafcf298)] - **doc**: add useful v8 option section (Nimit) [#32262](https://github.com/nodejs/node/pull/32262)
* \[[`9788b8438b`](https://github.com/nodejs/node/commit/9788b8438b)] - **doc**: add himself65 to collaborators (himself65) [#32734](https://github.com/nodejs/node/pull/32734)
* \[[`19deaa5ddf`](https://github.com/nodejs/node/commit/19deaa5ddf)] - **doc**: clarify behavior of napi\_get\_typedarray\_info (Michael Dawson) [#32603](https://github.com/nodejs/node/pull/32603)
* \[[`f41660a5c2`](https://github.com/nodejs/node/commit/f41660a5c2)] - **doc**: remove optional parameter from markdown anchor link (Rich Trott) [#32671](https://github.com/nodejs/node/pull/32671)
* \[[`6b32877f82`](https://github.com/nodejs/node/commit/6b32877f82)] - **doc**: clarify `listening` event (Harshitha KP) [#32581](https://github.com/nodejs/node/pull/32581)
* \[[`c1bb041202`](https://github.com/nodejs/node/commit/c1bb041202)] - **doc**: update Ninja information in build guide (Adrian Estrada) [#32629](https://github.com/nodejs/node/pull/32629)
* \[[`ba0ea79c82`](https://github.com/nodejs/node/commit/ba0ea79c82)] - **doc**: correct version metadata for Readable.from (Dave Vandyke) [#32639](https://github.com/nodejs/node/pull/32639)
* \[[`7ae8ce3320`](https://github.com/nodejs/node/commit/7ae8ce3320)] - **doc**: make openssl commit messages be valid (Sam Roberts) [#32602](https://github.com/nodejs/node/pull/32602)
* \[[`1e72605703`](https://github.com/nodejs/node/commit/1e72605703)] - **doc**: adjust paths in openssl maintenance guide (Hassaan Pasha) [#32593](https://github.com/nodejs/node/pull/32593)
* \[[`5c70db48bd`](https://github.com/nodejs/node/commit/5c70db48bd)] - **doc**: clarify docs fs.watch exception may be emitted (Juan José Arboleda) [#32513](https://github.com/nodejs/node/pull/32513)
* \[[`b567a63cc0`](https://github.com/nodejs/node/commit/b567a63cc0)] - **doc**: add unreachable code on events example (himself65) [#32364](https://github.com/nodejs/node/pull/32364)
* \[[`0f1f572d28`](https://github.com/nodejs/node/commit/0f1f572d28)] - **doc**: clarify `length` param in `buffer.write` (Harshitha KP) [#32119](https://github.com/nodejs/node/pull/32119)
* \[[`31b2cbb7e4`](https://github.com/nodejs/node/commit/31b2cbb7e4)] - **doc**: document that server.address() can return null (Thomas Watson Steen) [#32519](https://github.com/nodejs/node/pull/32519)
* \[[`7f971b3fd9`](https://github.com/nodejs/node/commit/7f971b3fd9)] - **doc**: return type of `crypto.getFips()` may change (Richard Lau) [#32580](https://github.com/nodejs/node/pull/32580)
* \[[`cf4f188fd6`](https://github.com/nodejs/node/commit/cf4f188fd6)] - **doc**: fix return type of `crypto.getFips()` (Richard Lau) [#32580](https://github.com/nodejs/node/pull/32580)
* \[[`34074aa095`](https://github.com/nodejs/node/commit/34074aa095)] - **doc**: clarify `requireManualDestroy` option (Harshitha KP) [#32514](https://github.com/nodejs/node/pull/32514)
* \[[`a1bb93ac7c`](https://github.com/nodejs/node/commit/a1bb93ac7c)] - **doc**: fix wordy sentence (Moni) [#32567](https://github.com/nodejs/node/pull/32567)
* \[[`329635975b`](https://github.com/nodejs/node/commit/329635975b)] - **doc**: add missing changes: entry for dns.ALL (Anna Henningsen) [#32617](https://github.com/nodejs/node/pull/32617)
* \[[`1dee8c13a9`](https://github.com/nodejs/node/commit/1dee8c13a9)] - **doc**: fix more links (Alba Mendez) [#32586](https://github.com/nodejs/node/pull/32586)
* \[[`d513b55891`](https://github.com/nodejs/node/commit/d513b55891)] - **doc**: improve markdown link checker (Alba Mendez) [#32586](https://github.com/nodejs/node/pull/32586)
* \[[`7d93a3fa7c`](https://github.com/nodejs/node/commit/7d93a3fa7c)] - **doc**: add flarna to collaborators (Gerhard Stoebich) [#32620](https://github.com/nodejs/node/pull/32620)
* \[[`b6f71969a0`](https://github.com/nodejs/node/commit/b6f71969a0)] - **doc**: improve fs.read documentation (Hachimi Aa (Sfeir)) [#29270](https://github.com/nodejs/node/pull/29270)
* \[[`f0a31e33a8`](https://github.com/nodejs/node/commit/f0a31e33a8)] - **doc**: update releaser list in README.md (Myles Borins) [#32577](https://github.com/nodejs/node/pull/32577)
* \[[`9ee2afa0f7`](https://github.com/nodejs/node/commit/9ee2afa0f7)] - **doc**: add ASAN build instructions (gengjiawen) [#32436](https://github.com/nodejs/node/pull/32436)
* \[[`979fb155ff`](https://github.com/nodejs/node/commit/979fb155ff)] - **doc**: update context-aware section of addon doc (Gabriel Schulhof) [#28659](https://github.com/nodejs/node/pull/28659)
* \[[`b494053745`](https://github.com/nodejs/node/commit/b494053745)] - **doc**: update AUTHORS list (Luigi Pinca) [#32222](https://github.com/nodejs/node/pull/32222)
* \[[`6d4d299f4d`](https://github.com/nodejs/node/commit/6d4d299f4d)] - **doc**: tests local links in markdown documents (Antoine du HAMEL) [#32359](https://github.com/nodejs/node/pull/32359)
* \[[`002048ef9f`](https://github.com/nodejs/node/commit/002048ef9f)] - **doc**: fix typo in http2 docs (Nitin Kumar) [#32292](https://github.com/nodejs/node/pull/32292)
* \[[`02b0c9e469`](https://github.com/nodejs/node/commit/02b0c9e469)] - **doc**: fix typo in maintaining-zlib guide (Nitin Kumar) [#32292](https://github.com/nodejs/node/pull/32292)
* \[[`6cdccc8f28`](https://github.com/nodejs/node/commit/6cdccc8f28)] - **doc**: fix typo in maintaining-openssl guide (Nitin Kumar) [#32292](https://github.com/nodejs/node/pull/32292)
* \[[`7d4ec42b3a`](https://github.com/nodejs/node/commit/7d4ec42b3a)] - **doc**: fix profile type of --heap-prof-name (Syohei YOSHIDA) [#32404](https://github.com/nodejs/node/pull/32404)
* \[[`e7e3aeec34`](https://github.com/nodejs/node/commit/e7e3aeec34)] - **doc**: use uppercase on windows path (himself65) [#32294](https://github.com/nodejs/node/pull/32294)
* \[[`1b97d25a6c`](https://github.com/nodejs/node/commit/1b97d25a6c)] - **doc**: rename cve\_management\_process.md to fit doc style guide (Ling Samuel) [#32456](https://github.com/nodejs/node/pull/32456)
* \[[`1e27f66ce6`](https://github.com/nodejs/node/commit/1e27f66ce6)] - **doc**: add missing changes: entry for mkdir (Anna Henningsen) [#32490](https://github.com/nodejs/node/pull/32490)
* \[[`edee4ecade`](https://github.com/nodejs/node/commit/edee4ecade)] - **doc**: add mildsunrise to collaborators (Alba Mendez) [#32525](https://github.com/nodejs/node/pull/32525)
* \[[`7f0ed89892`](https://github.com/nodejs/node/commit/7f0ed89892)] - **doc**: add link to DNS definition (unknown) [#32228](https://github.com/nodejs/node/pull/32228)
* \[[`394f8ca333`](https://github.com/nodejs/node/commit/394f8ca333)] - **doc,crypto**: clarify oaepHash option's impact (Filip Skokan) [#32340](https://github.com/nodejs/node/pull/32340)
* \[[`991aca329d`](https://github.com/nodejs/node/commit/991aca329d)] - **(SEMVER-MINOR)** **fs**: make parameters optional for readSync (Lucas Holmquist) [#32460](https://github.com/nodejs/node/pull/32460)
* \[[`b8b8e82591`](https://github.com/nodejs/node/commit/b8b8e82591)] - **fs**: fix fs.read when passing null value (himself65) [#32479](https://github.com/nodejs/node/pull/32479)
* \[[`30d55a3517`](https://github.com/nodejs/node/commit/30d55a3517)] - **(SEMVER-MINOR)** **fs**: add fs.readv() (Sk Sajidul Kadir) [#32356](https://github.com/nodejs/node/pull/32356)
* \[[`8770fd96a7`](https://github.com/nodejs/node/commit/8770fd96a7)] - **fs**: fixup error message for invalid options.recursive (James M Snell) [#32472](https://github.com/nodejs/node/pull/32472)
* \[[`8597df48f7`](https://github.com/nodejs/node/commit/8597df48f7)] - **http**: fix incorrect headersTimeout measurement (Alex R) [#32329](https://github.com/nodejs/node/pull/32329)
* \[[`ff3615d5d9`](https://github.com/nodejs/node/commit/ff3615d5d9)] - **http**: move free socket error handling to agent (Robert Nagy) [#32003](https://github.com/nodejs/node/pull/32003)
* \[[`7c3c06224c`](https://github.com/nodejs/node/commit/7c3c06224c)] - **http**: don't emit 'readable' after 'close' (Robert Nagy) [#32277](https://github.com/nodejs/node/pull/32277)
* \[[`bd9f4d2954`](https://github.com/nodejs/node/commit/bd9f4d2954)] - **http**: increase default header size from 8KB to 16KB (unknown) [#32520](https://github.com/nodejs/node/pull/32520)
* \[[`567b352062`](https://github.com/nodejs/node/commit/567b352062)] - **http**: fixup options.method error message (James M Snell) [#32471](https://github.com/nodejs/node/pull/32471)
* \[[`23e56ff21c`](https://github.com/nodejs/node/commit/23e56ff21c)] - **lib**: fix return type of setTimeout in net.Socket (龙腾道) [#32722](https://github.com/nodejs/node/pull/32722)
* \[[`180e43711c`](https://github.com/nodejs/node/commit/180e43711c)] - **lib**: removes unnecessary params (Jesus Hernandez) [#32694](https://github.com/nodejs/node/pull/32694)
* \[[`94251c463b`](https://github.com/nodejs/node/commit/94251c463b)] - **lib**: changed functional logic in cluster schedulers (Yash Ladha) [#32505](https://github.com/nodejs/node/pull/32505)
* \[[`5740a70e5d`](https://github.com/nodejs/node/commit/5740a70e5d)] - **lib**: removed unused error code (Yash Ladha) [#32481](https://github.com/nodejs/node/pull/32481)
* \[[`68608b2bdc`](https://github.com/nodejs/node/commit/68608b2bdc)] - **lib**: replace Array to ArrayIsArray by primordials (himself65) [#32258](https://github.com/nodejs/node/pull/32258)
* \[[`537d2c1170`](https://github.com/nodejs/node/commit/537d2c1170)] - **module**: expose exports conditions to loaders (Jan Krems) [#31303](https://github.com/nodejs/node/pull/31303)
* \[[`bc7f819263`](https://github.com/nodejs/node/commit/bc7f819263)] - **module**: path-only CJS exports extension searching (Guy Bedford) [#32351](https://github.com/nodejs/node/pull/32351)
* \[[`3907de7d24`](https://github.com/nodejs/node/commit/3907de7d24)] - **(SEMVER-MINOR)** **n-api**: detect deadlocks in thread-safe function (Gabriel Schulhof) [#32689](https://github.com/nodejs/node/pull/32689)
* \[[`dd74601f96`](https://github.com/nodejs/node/commit/dd74601f96)] - **net**: fix crash if POLLHUP is received (Santiago Gimeno) [#32590](https://github.com/nodejs/node/pull/32590)
* \[[`3c8bf9022a`](https://github.com/nodejs/node/commit/3c8bf9022a)] - **net**: wait for shutdown to complete before closing (Robert Nagy) [#32491](https://github.com/nodejs/node/pull/32491)
* \[[`1a01ac3425`](https://github.com/nodejs/node/commit/1a01ac3425)] - **perf\_hooks**: allow omitted parameters in 'performance.measure' (himself65) [#32651](https://github.com/nodejs/node/pull/32651)
* \[[`8e00f0d2a2`](https://github.com/nodejs/node/commit/8e00f0d2a2)] - **repl**: fixup error message (James M Snell) [#32474](https://github.com/nodejs/node/pull/32474)
* \[[`9b84103273`](https://github.com/nodejs/node/commit/9b84103273)] - **report**: fix stderr matching for fatal error (gengjiawen) [#32699](https://github.com/nodejs/node/pull/32699)
* \[[`c09552063b`](https://github.com/nodejs/node/commit/c09552063b)] - **report**: add missing locks for report\_on\_fatalerror accessors (Anna Henningsen) [#32535](https://github.com/nodejs/node/pull/32535)
* \[[`611dbf8d7f`](https://github.com/nodejs/node/commit/611dbf8d7f)] - **src**: removes unused v8::Integer and v8::Array namespace (Jesus Hernandez) [#32779](https://github.com/nodejs/node/pull/32779)
* \[[`c8a007f91e`](https://github.com/nodejs/node/commit/c8a007f91e)] - **src**: remove unused v8::TryCatch namespace (Juan José Arboleda) [#32729](https://github.com/nodejs/node/pull/32729)
* \[[`ea1785597c`](https://github.com/nodejs/node/commit/ea1785597c)] - **src**: remove duplicated code (himself65) [#32719](https://github.com/nodejs/node/pull/32719)
* \[[`1763649c51`](https://github.com/nodejs/node/commit/1763649c51)] - **src**: sync access for report and openssl options (Sam Roberts) [#32618](https://github.com/nodejs/node/pull/32618)
* \[[`246b789771`](https://github.com/nodejs/node/commit/246b789771)] - **src**: refactor to avoid goto in node\_file.cc (Tobias Nießen) [#32637](https://github.com/nodejs/node/pull/32637)
* \[[`d77998096b`](https://github.com/nodejs/node/commit/d77998096b)] - **src**: munmap(2) upon class instance destructor (Gabriel Schulhof) [#32570](https://github.com/nodejs/node/pull/32570)
* \[[`1fb4f9d922`](https://github.com/nodejs/node/commit/1fb4f9d922)] - **src**: fix warnings on SPrintF (himself65) [#32558](https://github.com/nodejs/node/pull/32558)
* \[[`3b5c4fbc7c`](https://github.com/nodejs/node/commit/3b5c4fbc7c)] - **src**: replace goto with lambda in options parser (Tobias Nießen) [#32635](https://github.com/nodejs/node/pull/32635)
* \[[`42a28d0214`](https://github.com/nodejs/node/commit/42a28d0214)] - **src**: fix extra includes of "env.h" and "env-inl.h" (Nick Kreeger) [#32293](https://github.com/nodejs/node/pull/32293)
* \[[`fcfde57806`](https://github.com/nodejs/node/commit/fcfde57806)] - **src**: avoid using elevated v8 namespaces in node\_perf.h (James M Snell) [#32468](https://github.com/nodejs/node/pull/32468)
* \[[`9600332c53`](https://github.com/nodejs/node/commit/9600332c53)] - **src**: avoid using elevated v8 namespaces in node\_errors.h (James M Snell) [#32468](https://github.com/nodejs/node/pull/32468)
* \[[`62db9a0678`](https://github.com/nodejs/node/commit/62db9a0678)] - **src**: minor http2 refactorings (James M Snell) [#32551](https://github.com/nodejs/node/pull/32551)
* \[[`8f766e8397`](https://github.com/nodejs/node/commit/8f766e8397)] - **src**: rename http2 class and suppress compile warnings (James M Snell) [#32551](https://github.com/nodejs/node/pull/32551)
* \[[`afc6a25f42`](https://github.com/nodejs/node/commit/afc6a25f42)] - **src**: use smart pointers for nghttp2 objects (James M Snell) [#32551](https://github.com/nodejs/node/pull/32551)
* \[[`4df3ac2a63`](https://github.com/nodejs/node/commit/4df3ac2a63)] - **src**: remove loop\_init\_failed\_ from Worker class (Anna Henningsen) [#32562](https://github.com/nodejs/node/pull/32562)
* \[[`0faaa7c84c`](https://github.com/nodejs/node/commit/0faaa7c84c)] - **src**: clean up worker thread creation code (Anna Henningsen) [#32562](https://github.com/nodejs/node/pull/32562)
* \[[`f284d599bb`](https://github.com/nodejs/node/commit/f284d599bb)] - **src**: move JSONWriter into its own file (Anna Henningsen) [#32552](https://github.com/nodejs/node/pull/32552)
* \[[`e066584d94`](https://github.com/nodejs/node/commit/e066584d94)] - **src**: align PerformanceState class name with conventions (Anna Henningsen) [#32539](https://github.com/nodejs/node/pull/32539)
* \[[`04237eca55`](https://github.com/nodejs/node/commit/04237eca55)] - **src**: handle report options on fatalerror (Sam Roberts) [#32497](https://github.com/nodejs/node/pull/32497)
* \[[`5080491ae4`](https://github.com/nodejs/node/commit/5080491ae4)] - **src**: refactoring and cleanup of node\_i18n (James M Snell) [#32438](https://github.com/nodejs/node/pull/32438)
* \[[`e2b08f0ea8`](https://github.com/nodejs/node/commit/e2b08f0ea8)] - **src**: remove unnecessary 'Local.As' operation (himself65) [#32286](https://github.com/nodejs/node/pull/32286)
* \[[`928a49004e`](https://github.com/nodejs/node/commit/928a49004e)] - **src**: add test/abort build tasks (Christian Niederer) [#31740](https://github.com/nodejs/node/pull/31740)
* \[[`9c901a5ef0`](https://github.com/nodejs/node/commit/9c901a5ef0)] - **src**: add aliased-buffer-overflow abort test (Christian Niederer) [#31740](https://github.com/nodejs/node/pull/31740)
* \[[`1e76bc67dd`](https://github.com/nodejs/node/commit/1e76bc67dd)] - **src**: check for overflow when extending AliasedBufferBase (Christian Niederer) [#31740](https://github.com/nodejs/node/pull/31740)
* \[[`c71736efd8`](https://github.com/nodejs/node/commit/c71736efd8)] - **src**: unify Linux and FreeBSD large pages implem (Gabriel Schulhof) [#32534](https://github.com/nodejs/node/pull/32534)
* \[[`06bff18fa8`](https://github.com/nodejs/node/commit/06bff18fa8)] - **src**: replace handle dereference with ContainerOf (Harshitha KP) [#32298](https://github.com/nodejs/node/pull/32298)
* \[[`b973b938a2`](https://github.com/nodejs/node/commit/b973b938a2)] - **src**: enhance template function 'MakeUtf8String' (himself65) [#32322](https://github.com/nodejs/node/pull/32322)
* \[[`fbf0493b05`](https://github.com/nodejs/node/commit/fbf0493b05)] - **src**: fix compiler warnings in node\_report\_module (Daniel Bevenius) [#32498](https://github.com/nodejs/node/pull/32498)
* \[[`1de9718b54`](https://github.com/nodejs/node/commit/1de9718b54)] - **src**: remove excess v8 namespace (himself65) [#32191](https://github.com/nodejs/node/pull/32191)
* \[[`09cd7449e2`](https://github.com/nodejs/node/commit/09cd7449e2)] - **src**: simplify large pages mapping code (Gabriel Schulhof) [#32396](https://github.com/nodejs/node/pull/32396)
* \[[`778dcc8f1a`](https://github.com/nodejs/node/commit/778dcc8f1a)] - **src**: clean v8 namespaces in env.cc file (Juan José Arboleda) [#32374](https://github.com/nodejs/node/pull/32374)
* \[[`aa282276ec`](https://github.com/nodejs/node/commit/aa282276ec)] - **src**: check for empty maybe local (Xavier Stouder) [#32339](https://github.com/nodejs/node/pull/32339)
* \[[`13377a0f0f`](https://github.com/nodejs/node/commit/13377a0f0f)] - **src**: cleanup DestroyParam when Environment exits (Anna Henningsen) [#32421](https://github.com/nodejs/node/pull/32421)
* \[[`055c5686ad`](https://github.com/nodejs/node/commit/055c5686ad)] - **src,test**: add regression test for nested Worker termination (Anna Henningsen) [#32623](https://github.com/nodejs/node/pull/32623)
* \[[`1c47bba607`](https://github.com/nodejs/node/commit/1c47bba607)] - **stream**: complete pipeline with stdio (Robert Nagy) [#32373](https://github.com/nodejs/node/pull/32373)
* \[[`cad768eb86`](https://github.com/nodejs/node/commit/cad768eb86)] - **stream**: change var to let/const in stream files (Saajan) [#32214](https://github.com/nodejs/node/pull/32214)
* \[[`bdb2df7e34`](https://github.com/nodejs/node/commit/bdb2df7e34)] - **test**: replace console.log/error with debuglog (Agustin Daguerre) [#32695](https://github.com/nodejs/node/pull/32695)
* \[[`756a049a1a`](https://github.com/nodejs/node/commit/756a049a1a)] - **test**: make sure that inspector tests finish (Anna Henningsen) [#32673](https://github.com/nodejs/node/pull/32673)
* \[[`a7a70fa986`](https://github.com/nodejs/node/commit/a7a70fa986)] - **test**: save test file in temporary directory (Luigi Pinca) [#32670](https://github.com/nodejs/node/pull/32670)
* \[[`6d479588cb`](https://github.com/nodejs/node/commit/6d479588cb)] - **test**: fix check error name on error instance (himself65) [#32508](https://github.com/nodejs/node/pull/32508)
* \[[`9df274ad03`](https://github.com/nodejs/node/commit/9df274ad03)] - _**Revert**_ "**test**: mark empty udp tests flaky on OS X" (Luigi Pinca) [#32489](https://github.com/nodejs/node/pull/32489)
* \[[`6d122429c1`](https://github.com/nodejs/node/commit/6d122429c1)] - **test**: remove unused variables on async hook test (Julian Duque) [#32630](https://github.com/nodejs/node/pull/32630)
* \[[`8c68dd4a11`](https://github.com/nodejs/node/commit/8c68dd4a11)] - **test**: check that --expose-internals is disallowed in NODE\_OPTIONS (Juan José Arboleda) [#32554](https://github.com/nodejs/node/pull/32554)
* \[[`4ffa138c81`](https://github.com/nodejs/node/commit/4ffa138c81)] - **test**: refactor test-worker (himself65) [#32509](https://github.com/nodejs/node/pull/32509)
* \[[`17b2526162`](https://github.com/nodejs/node/commit/17b2526162)] - **test**: add Worker initialization failure test case (Harshitha KP) [#31929](https://github.com/nodejs/node/pull/31929)
* \[[`ed89863c6d`](https://github.com/nodejs/node/commit/ed89863c6d)] - **test**: fix tool path in test-doctool-versions.js (Richard Lau) [#32645](https://github.com/nodejs/node/pull/32645)
* \[[`17a3dcea90`](https://github.com/nodejs/node/commit/17a3dcea90)] - **test**: copy addons .gitignore to test/abort/ (Anna Henningsen) [#32624](https://github.com/nodejs/node/pull/32624)
* \[[`e501ba2146`](https://github.com/nodejs/node/commit/e501ba2146)] - **test**: refactor test-http2-buffersize (Rich Trott) [#32540](https://github.com/nodejs/node/pull/32540)
* \[[`cede0cb841`](https://github.com/nodejs/node/commit/cede0cb841)] - **test**: skip crypto test on arm buildbots (Ben Noordhuis) [#32636](https://github.com/nodejs/node/pull/32636)
* \[[`e01d061669`](https://github.com/nodejs/node/commit/e01d061669)] - **test**: replace console.error() with debuglog calls (Rich Trott) [#32588](https://github.com/nodejs/node/pull/32588)
* \[[`a7b6a10e2a`](https://github.com/nodejs/node/commit/a7b6a10e2a)] - **test**: fix python-version selection with actions (Myles Borins) [#32609](https://github.com/nodejs/node/pull/32609)
* \[[`93ff4ffca9`](https://github.com/nodejs/node/commit/93ff4ffca9)] - **test**: add a missing common.mustCall (Harshitha KP) [#32305](https://github.com/nodejs/node/pull/32305)
* \[[`30505d7c10`](https://github.com/nodejs/node/commit/30505d7c10)] - **test**: remove unnecessary console.log() calls (Juan José Arboleda) [#32541](https://github.com/nodejs/node/pull/32541)
* \[[`8f0c1069b9`](https://github.com/nodejs/node/commit/8f0c1069b9)] - **test**: replace console.log() with debuglog() (Juan José Arboleda) [#32550](https://github.com/nodejs/node/pull/32550)
* \[[`408437d7c6`](https://github.com/nodejs/node/commit/408437d7c6)] - **test**: validate util.format when the value is 'Infinity' (Andrés M. Gómez) [#32573](https://github.com/nodejs/node/pull/32573)
* \[[`2e015e5b5e`](https://github.com/nodejs/node/commit/2e015e5b5e)] - **test**: fix fs test-fs-utimes strictEqual arg order (Ben Noordhuis) [#32420](https://github.com/nodejs/node/pull/32420)
* \[[`edf35db27e`](https://github.com/nodejs/node/commit/edf35db27e)] - **test**: replace flag expose\_internals to expose-internals (Juan José Arboleda) [#32542](https://github.com/nodejs/node/pull/32542)
* \[[`079a32e31c`](https://github.com/nodejs/node/commit/079a32e31c)] - **test**: use common.mustCall in test-worker-esm-exit (himself65) [#32544](https://github.com/nodejs/node/pull/32544)
* \[[`cca269c3a0`](https://github.com/nodejs/node/commit/cca269c3a0)] - **test**: use template strings in parallel tests (Daniel Estiven Rico Posada) [#32549](https://github.com/nodejs/node/pull/32549)
* \[[`0e4ce8f50a`](https://github.com/nodejs/node/commit/0e4ce8f50a)] - **test**: add known issues test for #31733 (Ben Noordhuis) [#31734](https://github.com/nodejs/node/pull/31734)
* \[[`28077a01cc`](https://github.com/nodejs/node/commit/28077a01cc)] - **test**: mark test-http2-reset-flood flaky on bsd (Myles Borins) [#32595](https://github.com/nodejs/node/pull/32595)
* \[[`ca2662012e`](https://github.com/nodejs/node/commit/ca2662012e)] - **test**: add test-worker-prof to the SLOW list for debug (Myles Borins) [#32589](https://github.com/nodejs/node/pull/32589)
* \[[`8bcbb8d7dd`](https://github.com/nodejs/node/commit/8bcbb8d7dd)] - **test**: refactor test-http-information-processing (Rich Trott) [#32547](https://github.com/nodejs/node/pull/32547)
* \[[`1fc19b0fb0`](https://github.com/nodejs/node/commit/1fc19b0fb0)] - **test**: fix a typo on test-fs-read-optional-params (himself65) [#32461](https://github.com/nodejs/node/pull/32461)
* \[[`986a60544a`](https://github.com/nodejs/node/commit/986a60544a)] - **test**: skip a wasi test on IBMi PASE (Xu Meng) [#32459](https://github.com/nodejs/node/pull/32459)
* \[[`73fec7cd00`](https://github.com/nodejs/node/commit/73fec7cd00)] - **test**: harden the tick sampling logic (Harshitha KP) [#32190](https://github.com/nodejs/node/pull/32190)
* \[[`1905b9ecce`](https://github.com/nodejs/node/commit/1905b9ecce)] - **test**: als variant of test-timers-clearImmediate (Harshitha KP) [#32303](https://github.com/nodejs/node/pull/32303)
* \[[`72983d2e4f`](https://github.com/nodejs/node/commit/72983d2e4f)] - **test**: skip some binding tests on IBMi PASE (Xu Meng) [#31967](https://github.com/nodejs/node/pull/31967)
* \[[`02eea7773a`](https://github.com/nodejs/node/commit/02eea7773a)] - **test**: revise test-http-response-multi-content-length (Rich Trott) [#32526](https://github.com/nodejs/node/pull/32526)
* \[[`f179a223d7`](https://github.com/nodejs/node/commit/f179a223d7)] - **test**: remove a duplicated test (himself65) [#32453](https://github.com/nodejs/node/pull/32453)
* \[[`fbb51b9c41`](https://github.com/nodejs/node/commit/fbb51b9c41)] - **test**: check bundled binaries are signed on macOS (Richard Lau) [#32522](https://github.com/nodejs/node/pull/32522)
* \[[`36c6d22113`](https://github.com/nodejs/node/commit/36c6d22113)] - **test**: unflake async-hooks/test-statwatcher (Bartosz Sosnowski) [#32484](https://github.com/nodejs/node/pull/32484)
* \[[`b1e6f297cf`](https://github.com/nodejs/node/commit/b1e6f297cf)] - **test**: use Promise.all() in test-cluster-net-listen-ipv6only-false (Rich Trott) [#32398](https://github.com/nodejs/node/pull/32398)
* \[[`11d7cf155a`](https://github.com/nodejs/node/commit/11d7cf155a)] - **test**: replace Map with Array in test-cluster-net-listen-ipv6only-false (Rich Trott) [#32398](https://github.com/nodejs/node/pull/32398)
* \[[`2f8f619c7e`](https://github.com/nodejs/node/commit/2f8f619c7e)] - **test**: revise test-http-client-default-headers-exist (Rich Trott) [#32493](https://github.com/nodejs/node/pull/32493)
* \[[`567e671bd2`](https://github.com/nodejs/node/commit/567e671bd2)] - **tools**: update Boxstarter script and document (himself65) [#32299](https://github.com/nodejs/node/pull/32299)
* \[[`97a3e2f0e2`](https://github.com/nodejs/node/commit/97a3e2f0e2)] - **tools**: update ESLint to 7.0.0-alpha.3 (Colin Ihrig) [#32533](https://github.com/nodejs/node/pull/32533)
* \[[`ffdd82ba3f`](https://github.com/nodejs/node/commit/ffdd82ba3f)] - **tools**: only fetch previous versions when necessary (Richard Lau) [#32518](https://github.com/nodejs/node/pull/32518)
* \[[`4e5271acfb`](https://github.com/nodejs/node/commit/4e5271acfb)] - **tracing**: do not attempt to call into JS when disallowed (Anna Henningsen) [#32548](https://github.com/nodejs/node/pull/32548)
* \[[`0087eb1b98`](https://github.com/nodejs/node/commit/0087eb1b98)] - **(SEMVER-MINOR)** **util**: add `maxStrLength` option to `inspect` function (unknown) [#32392](https://github.com/nodejs/node/pull/32392)
* \[[`848d81cf23`](https://github.com/nodejs/node/commit/848d81cf23)] - **util**: only inspect error properties that are not visible otherwise (Ruben Bridgewater) [#32327](https://github.com/nodejs/node/pull/32327)
* \[[`6d86651076`](https://github.com/nodejs/node/commit/6d86651076)] - **util**: fix inspecting document.all (Gus Caplan) [#31938](https://github.com/nodejs/node/pull/31938)
* \[[`4f98b7178d`](https://github.com/nodejs/node/commit/4f98b7178d)] - **wasi**: clean up options validation (Denys Otrishko) [#31797](https://github.com/nodejs/node/pull/31797)
* \[[`2ee684a7b9`](https://github.com/nodejs/node/commit/2ee684a7b9)] - **win,build**: set exit\_code on configure failure (Bartlomiej Brzozowski) [#32205](https://github.com/nodejs/node/pull/32205)
* \[[`8cb5e41807`](https://github.com/nodejs/node/commit/8cb5e41807)] - **(SEMVER-MINOR)** **worker**: support MessagePort to workers data (Juan José Arboleda) [#32278](https://github.com/nodejs/node/pull/32278)
* \[[`4acd7f4390`](https://github.com/nodejs/node/commit/4acd7f4390)] - **worker**: do not emit 'exit' events during process.exit() (Anna Henningsen) [#32546](https://github.com/nodejs/node/pull/32546)
* \[[`833d78afcf`](https://github.com/nodejs/node/commit/833d78afcf)] - **worker**: runtime error on pthread creation (Harshitha KP) [#32344](https://github.com/nodejs/node/pull/32344)

## 2020-03-26, Version 13.12.0 (Current), @mylesborins

### macOS package notarization and a change in builder configuration

The macOS binaries for this release, and future 13.x releases, are now being compiled on
macOS 10.15 (Catalina) with Xcode 11 to support package notarization, a requirement for
installing on .pkg files on macOS 10.15 and later. Previous builds of Node.js 13.x were
compiled on macOS 10.11 (El Capitan) with Xcode 10. As binaries are still being compiled
to support a minimum of macOS 10.10 (Yosemite) we do not anticipate this having a negative
impact on Node.js 13.x users with older versions of macOS.

### Notable Changes

* **build**:
  * macOS package notarization (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* **deps**:
  * upgrade npm to 6.14.4 (Ruy Adorno) [#32495](https://github.com/nodejs/node/pull/32495)
  * update to uvwasi 0.0.6 (Colin Ihrig) [#32309](https://github.com/nodejs/node/pull/32309)
  * upgrade to libuv 1.35.0 (Colin Ihrig) [#32204](https://github.com/nodejs/node/pull/32204)
* **lib**:
  * add --disable-proto option to cli (Gus Caplan) [#32279](https://github.com/nodejs/node/pull/32279)
* **node\_report**:
  * move diagnostic reports to stable (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* **worker**:
  * allow URL in Worker constructor (Antoine du HAMEL) [#31664](https://github.com/nodejs/node/pull/31664)
* **util**:
  * use a global symbol for `util.promisify.custom` (ExE Boss) [#31672](https://github.com/nodejs/node/pull/31672)

### Commits

* \[[`81183caa4c`](https://github.com/nodejs/node/commit/81183caa4c)] - **build**: annotate markdown lint failures in pull requests (Richard Lau) [#32391](https://github.com/nodejs/node/pull/32391)
* \[[`f8a020e636`](https://github.com/nodejs/node/commit/f8a020e636)] - **build**: macOS package notarization (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* \[[`85bdb424c2`](https://github.com/nodejs/node/commit/85bdb424c2)] - _**Revert**_ "**build**: add asan check in Github action" (Matheus Marchini) [#32324](https://github.com/nodejs/node/pull/32324)
* \[[`8ea5ffc033`](https://github.com/nodejs/node/commit/8ea5ffc033)] - **build**: expand ASAN acronym in configure help (Sam Roberts) [#32325](https://github.com/nodejs/node/pull/32325)
* \[[`074c3c144f`](https://github.com/nodejs/node/commit/074c3c144f)] - **(SEMVER-MINOR)** **build**: make --without-report a no-op (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* \[[`96ad768dbc`](https://github.com/nodejs/node/commit/96ad768dbc)] - **(SEMVER-MINOR)** **build**: remove node\_report option in node.gyp (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* \[[`2069c4e530`](https://github.com/nodejs/node/commit/2069c4e530)] - **build**: disable libstdc++ debug containers globally (Ben Noordhuis) [#30147](https://github.com/nodejs/node/pull/30147)
* \[[`79fdc6bea3`](https://github.com/nodejs/node/commit/79fdc6bea3)] - **cli**: allow --huge-max-old-generation-size in NODE\_OPTIONS (Anna Henningsen) [#32251](https://github.com/nodejs/node/pull/32251)
* \[[`deab08bc4e`](https://github.com/nodejs/node/commit/deab08bc4e)] - **deps**: upgrade npm to 6.14.4 (Ruy Adorno) [#32495](https://github.com/nodejs/node/pull/32495)
* \[[`6387cf88c2`](https://github.com/nodejs/node/commit/6387cf88c2)] - **deps**: update term-size with signed version (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* \[[`8201704231`](https://github.com/nodejs/node/commit/8201704231)] - **deps**: remove \*.pyc files from deps/npm (Ben Noordhuis) [#32387](https://github.com/nodejs/node/pull/32387)
* \[[`eef4721174`](https://github.com/nodejs/node/commit/eef4721174)] - **deps**: update npm to 6.14.3 (Myles Borins) [#32368](https://github.com/nodejs/node/pull/32368)
* \[[`fbdc4f59f7`](https://github.com/nodejs/node/commit/fbdc4f59f7)] - **deps**: upgrade npm to 6.14.1 (Isaac Z. Schlueter) [#31977](https://github.com/nodejs/node/pull/31977)
* \[[`d640426c8b`](https://github.com/nodejs/node/commit/d640426c8b)] - **deps**: update archs files for OpenSSL-1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`d719f87ad6`](https://github.com/nodejs/node/commit/d719f87ad6)] - **deps**: adjust openssl configuration for 1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`3878d8dd2e`](https://github.com/nodejs/node/commit/3878d8dd2e)] - **deps**: upgrade openssl sources to 1.1.1e (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`2cb9f7acb6`](https://github.com/nodejs/node/commit/2cb9f7acb6)] - **deps**: update to ICU 66.1 (Steven R. Loomis) [#32348](https://github.com/nodejs/node/pull/32348)
* \[[`e16964ed22`](https://github.com/nodejs/node/commit/e16964ed22)] - **deps**: minor ICU fixes: maint docs/tool, downloader (Steven R. Loomis) [#32347](https://github.com/nodejs/node/pull/32347)
* \[[`3825afed74`](https://github.com/nodejs/node/commit/3825afed74)] - **deps**: upgrade to c-ares v1.16.0 (Anna Henningsen) [#32246](https://github.com/nodejs/node/pull/32246)
* \[[`7904ecd245`](https://github.com/nodejs/node/commit/7904ecd245)] - **deps**: update to uvwasi 0.0.6 (Colin Ihrig) [#32309](https://github.com/nodejs/node/pull/32309)
* \[[`bee126131a`](https://github.com/nodejs/node/commit/bee126131a)] - **deps**: upgrade to libuv 1.35.0 (Colin Ihrig) [#32204](https://github.com/nodejs/node/pull/32204)
* \[[`ae90bccb70`](https://github.com/nodejs/node/commit/ae90bccb70)] - **deps**: V8: cherry-pick f9257802c1c0 (Matheus Marchini) [#32180](https://github.com/nodejs/node/pull/32180)
* \[[`11ed1e6c86`](https://github.com/nodejs/node/commit/11ed1e6c86)] - **deps,doc**: move openssl maintenance guide to doc (Sam Roberts) [#32209](https://github.com/nodejs/node/pull/32209)
* \[[`40a9289e53`](https://github.com/nodejs/node/commit/40a9289e53)] - **doc**: remove extraneous sentence in events.md (Rich Trott) [#32457](https://github.com/nodejs/node/pull/32457)
* \[[`6168bd5951`](https://github.com/nodejs/node/commit/6168bd5951)] - **doc**: remove unnecessary "obvious(ly)" modifiers in esm.md (Rich Trott) [#32457](https://github.com/nodejs/node/pull/32457)
* \[[`9fda9123b1`](https://github.com/nodejs/node/commit/9fda9123b1)] - **doc**: trim wording in n-api.md text about exceptions (Rich Trott) [#32457](https://github.com/nodejs/node/pull/32457)
* \[[`3e002c3977`](https://github.com/nodejs/node/commit/3e002c3977)] - **doc**: update async\_hooks.md (Victor) [#32382](https://github.com/nodejs/node/pull/32382)
* \[[`6693b40bd5`](https://github.com/nodejs/node/commit/6693b40bd5)] - **doc**: simplify and correct example descriptions in net.md (Rich Trott) [#32451](https://github.com/nodejs/node/pull/32451)
* \[[`b5e4adfb49`](https://github.com/nodejs/node/commit/b5e4adfb49)] - **doc**: add new TSC members (Michael Dawson) [#32473](https://github.com/nodejs/node/pull/32473)
* \[[`99a7636443`](https://github.com/nodejs/node/commit/99a7636443)] - **doc**: fix lint warning in doc/api/esm.md (Richard Lau) [#32462](https://github.com/nodejs/node/pull/32462)
* \[[`dfcc3e8990`](https://github.com/nodejs/node/commit/dfcc3e8990)] - **doc**: improve wording in vm.md (Rich Trott) [#32427](https://github.com/nodejs/node/pull/32427)
* \[[`bbea3f21ff`](https://github.com/nodejs/node/commit/bbea3f21ff)] - **doc**: improve wording in esm.md (Rich Trott) [#32427](https://github.com/nodejs/node/pull/32427)
* \[[`4ca30303a7`](https://github.com/nodejs/node/commit/4ca30303a7)] - **doc**: import clarifications with links to MDN (Eric Dobbertin) [#31479](https://github.com/nodejs/node/pull/31479)
* \[[`471a5d8b82`](https://github.com/nodejs/node/commit/471a5d8b82)] - **doc**: add note re term-size commit on top of npm (Rod Vagg) [#32403](https://github.com/nodejs/node/pull/32403)
* \[[`99f260f42a`](https://github.com/nodejs/node/commit/99f260f42a)] - **doc**: official macOS builds now on 10.15 + Xcode 11 (Rod Vagg) [#31459](https://github.com/nodejs/node/pull/31459)
* \[[`569e555c2e`](https://github.com/nodejs/node/commit/569e555c2e)] - **doc**: update security release process (Sam Roberts) [#31679](https://github.com/nodejs/node/pull/31679)
* \[[`d2ce8e9c99`](https://github.com/nodejs/node/commit/d2ce8e9c99)] - **doc**: fix some 404 links (Thomas Watson Steen) [#32200](https://github.com/nodejs/node/pull/32200)
* \[[`b8753466e5`](https://github.com/nodejs/node/commit/b8753466e5)] - **doc**: complete n-api version matrix (Gabriel Schulhof) [#32304](https://github.com/nodejs/node/pull/32304)
* \[[`2e1fb2b9af`](https://github.com/nodejs/node/commit/2e1fb2b9af)] - **(SEMVER-MINOR)** **doc**: update stability of report features (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* \[[`597bcb530a`](https://github.com/nodejs/node/commit/597bcb530a)] - **doc**: update conditional exports recommendations (Guy Bedford) [#32098](https://github.com/nodejs/node/pull/32098)
* \[[`5080734301`](https://github.com/nodejs/node/commit/5080734301)] - **doc**: expand fs.watch caveats (Bartosz Sosnowski) [#32176](https://github.com/nodejs/node/pull/32176)
* \[[`19fee761ba`](https://github.com/nodejs/node/commit/19fee761ba)] - **doc**: add Ruben to TSC (Michael Dawson) [#32213](https://github.com/nodejs/node/pull/32213)
* \[[`c72a678d0c`](https://github.com/nodejs/node/commit/c72a678d0c)] - **doc**: add missing link for v13.11.0 changelog (Myles Borins) [#32218](https://github.com/nodejs/node/pull/32218)
* \[[`cd388b25f6`](https://github.com/nodejs/node/commit/cd388b25f6)] - **(SEMVER-MINOR)** **doc,lib,src,test**: make --experimental-report a nop (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* \[[`71a2fa24da`](https://github.com/nodejs/node/commit/71a2fa24da)] - **errors**: drop pronouns from ERR\_WORKER\_PATH message (Colin Ihrig) [#32285](https://github.com/nodejs/node/pull/32285)
* \[[`3e9012a3da`](https://github.com/nodejs/node/commit/3e9012a3da)] - **esm**: port loader code to JS (Anna Henningsen) [#32201](https://github.com/nodejs/node/pull/32201)
* \[[`ef32069d0c`](https://github.com/nodejs/node/commit/ef32069d0c)] - **http**: don't emit 'finish' after 'error' (Robert Nagy) [#32276](https://github.com/nodejs/node/pull/32276)
* \[[`d2fea9fb4a`](https://github.com/nodejs/node/commit/d2fea9fb4a)] - **http2**: rename counter in `mapToHeaders` inner loop (Mateusz Krawczuk) [#32012](https://github.com/nodejs/node/pull/32012)
* \[[`36ba54e8e1`](https://github.com/nodejs/node/commit/36ba54e8e1)] - **lib**: add option to disable \_\_proto\_\_ (Gus Caplan) [#32279](https://github.com/nodejs/node/pull/32279)
* \[[`435341a94f`](https://github.com/nodejs/node/commit/435341a94f)] - **lib**: use spread operator on cluster (himself65) [#32125](https://github.com/nodejs/node/pull/32125)
* \[[`cd0982ae7c`](https://github.com/nodejs/node/commit/cd0982ae7c)] - **lib**: change var to let/const (himself65) [#32037](https://github.com/nodejs/node/pull/32037)
* \[[`397cbca720`](https://github.com/nodejs/node/commit/397cbca720)] - **meta**: move inactive collaborators to emeriti (Rich Trott) [#32151](https://github.com/nodejs/node/pull/32151)
* \[[`7356c43997`](https://github.com/nodejs/node/commit/7356c43997)] - **module**: add hook for global preload code (Jan Krems) [#32068](https://github.com/nodejs/node/pull/32068)
* \[[`59a21e28d6`](https://github.com/nodejs/node/commit/59a21e28d6)] - **n-api**: fix comment on expected N-API version (Michael Dawson) [#32236](https://github.com/nodejs/node/pull/32236)
* \[[`1ecd407a71`](https://github.com/nodejs/node/commit/1ecd407a71)] - **repl**: align preview with the actual executed code (Ruben Bridgewater) [#32154](https://github.com/nodejs/node/pull/32154)
* \[[`28e298f219`](https://github.com/nodejs/node/commit/28e298f219)] - **report**: handle on-fatalerror better (Harshitha KP) [#32207](https://github.com/nodejs/node/pull/32207)
* \[[`94952b4ac8`](https://github.com/nodejs/node/commit/94952b4ac8)] - **src**: enhance C++ sprintf utility (himself65) [#32385](https://github.com/nodejs/node/pull/32385)
* \[[`e9e12b8f36`](https://github.com/nodejs/node/commit/e9e12b8f36)] - **src**: use single ObjectTemplate for TextDecoder (Anna Henningsen) [#32426](https://github.com/nodejs/node/pull/32426)
* \[[`6f06cf0bf4`](https://github.com/nodejs/node/commit/6f06cf0bf4)] - **src**: delete BaseObjectWeakPtr data when pointee is gone (Anna Henningsen) [#32393](https://github.com/nodejs/node/pull/32393)
* \[[`2bcf535a05`](https://github.com/nodejs/node/commit/2bcf535a05)] - **src**: simplify IsolateData shortcut accesses (Anna Henningsen) [#32407](https://github.com/nodejs/node/pull/32407)
* \[[`2fe351f6c3`](https://github.com/nodejs/node/commit/2fe351f6c3)] - **src**: delete CallbackInfo when cleared from cleanup hook (Anna Henningsen) [#32405](https://github.com/nodejs/node/pull/32405)
* \[[`bd55a9a607`](https://github.com/nodejs/node/commit/bd55a9a607)] - **src**: avoid Isolate::GetCurrent() for platform implementation (Anna Henningsen) [#32269](https://github.com/nodejs/node/pull/32269)
* \[[`11650c683e`](https://github.com/nodejs/node/commit/11650c683e)] - **src**: update comment for SetImmediate() (Anna Henningsen) [#32300](https://github.com/nodejs/node/pull/32300)
* \[[`243d0d4716`](https://github.com/nodejs/node/commit/243d0d4716)] - **src**: add debug option to report large page stats (Gabriel Schulhof) [#32331](https://github.com/nodejs/node/pull/32331)
* \[[`f873d87a7f`](https://github.com/nodejs/node/commit/f873d87a7f)] - **src**: prefer OnScopeLeave over shared\_ptr\<void> (Anna Henningsen) [#32247](https://github.com/nodejs/node/pull/32247)
* \[[`1c4a112fcc`](https://github.com/nodejs/node/commit/1c4a112fcc)] - **src**: clean up stream\_base.h and stream-base-inl.h (James M Snell) [#32307](https://github.com/nodejs/node/pull/32307)
* \[[`1476182670`](https://github.com/nodejs/node/commit/1476182670)] - **src**: handle NULL env scenario (himself65) [#32230](https://github.com/nodejs/node/pull/32230)
* \[[`1950c08ab1`](https://github.com/nodejs/node/commit/1950c08ab1)] - **(SEMVER-MINOR)** **src**: unconditionally include report feature (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* \[[`c00ce7b708`](https://github.com/nodejs/node/commit/c00ce7b708)] - **src**: find .text section using dl\_iterate\_phdr (Gabriel Schulhof) [#32244](https://github.com/nodejs/node/pull/32244)
* \[[`7fc5e6d37b`](https://github.com/nodejs/node/commit/7fc5e6d37b)] - **src**: fix warn\_unused\_result compiler warning (Colin Ihrig) [#32241](https://github.com/nodejs/node/pull/32241)
* \[[`d497f268f2`](https://github.com/nodejs/node/commit/d497f268f2)] - **src**: refactor to more safe method (gengjiawen) [#32087](https://github.com/nodejs/node/pull/32087)
* \[[`b5b7bf5ea4`](https://github.com/nodejs/node/commit/b5b7bf5ea4)] - **src,cli**: support compact (one-line) JSON reports (Sam Roberts) [#32254](https://github.com/nodejs/node/pull/32254)
* \[[`56da8dfd86`](https://github.com/nodejs/node/commit/56da8dfd86)] - **stream**: emit 'pause' on unpipe (Robert Nagy) [#32476](https://github.com/nodejs/node/pull/32476)
* \[[`b7a8878f0c`](https://github.com/nodejs/node/commit/b7a8878f0c)] - **stream**: fix pipeline with dest in objectMode (Robert Nagy) [#32414](https://github.com/nodejs/node/pull/32414)
* \[[`0185e3a46c`](https://github.com/nodejs/node/commit/0185e3a46c)] - **stream**: add pipeline test for destroy of returned stream (Robert Nagy) [#32425](https://github.com/nodejs/node/pull/32425)
* \[[`23ba0889ce`](https://github.com/nodejs/node/commit/23ba0889ce)] - **stream**: don't emit 'finish' after 'error' (Robert Nagy) [#32275](https://github.com/nodejs/node/pull/32275)
* \[[`07e41311d0`](https://github.com/nodejs/node/commit/07e41311d0)] - **test**: refactoring / cleanup on child-process tests (James M Snell) [#32078](https://github.com/nodejs/node/pull/32078)
* \[[`2f73e6eee0`](https://github.com/nodejs/node/commit/2f73e6eee0)] - **test**: use mustCall in place of countdown in timers test (Rich Trott) [#32416](https://github.com/nodejs/node/pull/32416)
* \[[`76a7386eff`](https://github.com/nodejs/node/commit/76a7386eff)] - **test**: end tls connection with some data (Sam Roberts) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`fcf9b46d55`](https://github.com/nodejs/node/commit/fcf9b46d55)] - **test**: discard data received by client (Hassaan Pasha) [#32328](https://github.com/nodejs/node/pull/32328)
* \[[`2e287837f8`](https://github.com/nodejs/node/commit/2e287837f8)] - **test**: replace countdown with Promise.all() in cluster-net-listen tests (Rich Trott) [#32381](https://github.com/nodejs/node/pull/32381)
* \[[`bdcc11f167`](https://github.com/nodejs/node/commit/bdcc11f167)] - **test**: replace Map with Array in cluster-net-listen tests (Rich Trott) [#32381](https://github.com/nodejs/node/pull/32381)
* \[[`4d173ea7d6`](https://github.com/nodejs/node/commit/4d173ea7d6)] - **test**: uv\_tty\_init returns EBADF on IBM i (Xu Meng) [#32338](https://github.com/nodejs/node/pull/32338)
* \[[`05fd16048c`](https://github.com/nodejs/node/commit/05fd16048c)] - **test**: use Promise.all() in test-hash-seed (Rich Trott) [#32273](https://github.com/nodejs/node/pull/32273)
* \[[`76781bd16e`](https://github.com/nodejs/node/commit/76781bd16e)] - **(SEMVER-MINOR)** **test**: remove common.skipIfReportDisabled() (Colin Ihrig) [#32242](https://github.com/nodejs/node/pull/32242)
* \[[`df1d4f708f`](https://github.com/nodejs/node/commit/df1d4f708f)] - **test**: workaround for V8 8.1 inspector pause issue (Matheus Marchini) [#32234](https://github.com/nodejs/node/pull/32234)
* \[[`fbcf602823`](https://github.com/nodejs/node/commit/fbcf602823)] - **test**: make test-memory-usage predictable (Matheus Marchini) [#32239](https://github.com/nodejs/node/pull/32239)
* \[[`09ca76befa`](https://github.com/nodejs/node/commit/09ca76befa)] - **test**: verify that WASI errors are rethrown (Colin Ihrig) [#32157](https://github.com/nodejs/node/pull/32157)
* \[[`fd80c21e9c`](https://github.com/nodejs/node/commit/fd80c21e9c)] - **test**: add new scenario for async-local storage (Harshitha KP) [#32082](https://github.com/nodejs/node/pull/32082)
* \[[`c0af3acc52`](https://github.com/nodejs/node/commit/c0af3acc52)] - **test**: use portable EOL (Harshitha KP) [#32104](https://github.com/nodejs/node/pull/32104)
* \[[`ed83a1cc09`](https://github.com/nodejs/node/commit/ed83a1cc09)] - **test**: refactor and simplify test-repl-preview (Ruben Bridgewater) [#32154](https://github.com/nodejs/node/pull/32154)
* \[[`08edf53207`](https://github.com/nodejs/node/commit/08edf53207)] - **test**: `buffer.write` with longer string scenario (Harshitha KP) [#32123](https://github.com/nodejs/node/pull/32123)
* \[[`2262e7c26d`](https://github.com/nodejs/node/commit/2262e7c26d)] - **test**: fix test-tls-env-extra-ca-file-load (Eric Bickle) [#32073](https://github.com/nodejs/node/pull/32073)
* \[[`dedd219622`](https://github.com/nodejs/node/commit/dedd219622)] - **tools**: fixup icutrim.py use of string and bytes objects (Jonathan MERCIER) [#31659](https://github.com/nodejs/node/pull/31659)
* \[[`5adaf1092a`](https://github.com/nodejs/node/commit/5adaf1092a)] - **tools**: update minimist\@1.2.5 (Rich Trott) [#32274](https://github.com/nodejs/node/pull/32274)
* \[[`963ce088fc`](https://github.com/nodejs/node/commit/963ce088fc)] - **tools**: update to acorn\@7.1.1 (Rich Trott) [#32259](https://github.com/nodejs/node/pull/32259)
* \[[`fa1fa3111a`](https://github.com/nodejs/node/commit/fa1fa3111a)] - **util**: text decoding allows SharedArrayBuffer (Bradley Farias) [#32203](https://github.com/nodejs/node/pull/32203)
* \[[`53fd0d80b1`](https://github.com/nodejs/node/commit/53fd0d80b1)] - **(SEMVER-MINOR)** **util**: use a global symbol for `util.promisify.custom` (ExE Boss) [#31672](https://github.com/nodejs/node/pull/31672)
* \[[`e83dcdef7e`](https://github.com/nodejs/node/commit/e83dcdef7e)] - **(SEMVER-MINOR)** **worker**: allow URL in Worker constructor (Antoine du HAMEL) [#31664](https://github.com/nodejs/node/pull/31664)

## 2020-03-11, Version 13.11.0 (Current), @MylesBorins

### Notable Changes

* **async\_hooks**: add sync enterWith to ALS (Stephen Belanger) [#31945](https://github.com/nodejs/node/pull/31945)
* **cli**: allow --jitless V8 flag in NODE\_OPTIONS (Andrew Neitsch) [#32100](https://github.com/nodejs/node/pull/32100)
* **fs**: return first folder made by mkdir recursive (Benjamin Coe) [#31530](https://github.com/nodejs/node/pull/31530)
* **n-api**: define release 6 (Gabriel Schulhof) [#32058](https://github.com/nodejs/node/pull/32058)
* **os**: create a getter for kernel version (Juan José Arboleda) [#31732](https://github.com/nodejs/node/pull/31732)
* **wasi**: add returnOnExit option (Colin Ihrig) [#32101](https://github.com/nodejs/node/pull/32101)

### Commits

* \[[`478f1e7e13`](https://github.com/nodejs/node/commit/478f1e7e13)] - **async\_hooks**: avoid resource reuse by FileHandle (Gerhard Stoebich) [#31972](https://github.com/nodejs/node/pull/31972)
* \[[`4d5981be96`](https://github.com/nodejs/node/commit/4d5981be96)] - **(SEMVER-MINOR)** **async\_hooks**: add sync enterWith to ALS (Stephen Belanger) [#31945](https://github.com/nodejs/node/pull/31945)
* \[[`3befe80c4f`](https://github.com/nodejs/node/commit/3befe80c4f)] - **async\_hooks**: fix ctx loss after nested ALS calls (Andrey Pechkurov) [#32085](https://github.com/nodejs/node/pull/32085)
* \[[`ddb882439f`](https://github.com/nodejs/node/commit/ddb882439f)] - **benchmark**: remove special test entries (Ruben Bridgewater) [#31755](https://github.com/nodejs/node/pull/31755)
* \[[`5d92cec12d`](https://github.com/nodejs/node/commit/5d92cec12d)] - **benchmark**: add `test` and `all` options and improve errors" (Ruben Bridgewater) [#31755](https://github.com/nodejs/node/pull/31755)
* \[[`e11f38cbab`](https://github.com/nodejs/node/commit/e11f38cbab)] - **benchmark**: refactor helper into a class (Ruben Bridgewater) [#31755](https://github.com/nodejs/node/pull/31755)
* \[[`31ec44302a`](https://github.com/nodejs/node/commit/31ec44302a)] - **benchmark**: remove problematic tls params (Brian White) [#31816](https://github.com/nodejs/node/pull/31816)
* \[[`079bb31b29`](https://github.com/nodejs/node/commit/079bb31b29)] - **build**: remove empty line on node.gyp file (Juan José Arboleda) [#31952](https://github.com/nodejs/node/pull/31952)
* \[[`fe34da84de`](https://github.com/nodejs/node/commit/fe34da84de)] - **build**: add mjs extension to lint-js (Nick Schonning) [#32145](https://github.com/nodejs/node/pull/32145)
* \[[`d66daa5661`](https://github.com/nodejs/node/commit/d66daa5661)] - **build**: support android build on ndk version equal or above 23 (forfun414) [#31521](https://github.com/nodejs/node/pull/31521)
* \[[`3c06316679`](https://github.com/nodejs/node/commit/3c06316679)] - **build**: workaround for gclient python3 issues (Matheus Marchini) [#32140](https://github.com/nodejs/node/pull/32140)
* \[[`64135249e5`](https://github.com/nodejs/node/commit/64135249e5)] - **build**: allow use of system-installed brotli (André Draszik) [#32046](https://github.com/nodejs/node/pull/32046)
* \[[`f07d423d16`](https://github.com/nodejs/node/commit/f07d423d16)] - **build**: allow passing multiple libs to pkg\_config (André Draszik) [#32046](https://github.com/nodejs/node/pull/32046)
* \[[`7c739aa386`](https://github.com/nodejs/node/commit/7c739aa386)] - **build**: enable backtrace when V8 is built for PPC and S390x (Michaël Zasso) [#32113](https://github.com/nodejs/node/pull/32113)
* \[[`e1347b411a`](https://github.com/nodejs/node/commit/e1347b411a)] - **cli**: allow --jitless V8 flag in NODE\_OPTIONS (Andrew Neitsch) [#32100](https://github.com/nodejs/node/pull/32100)
* \[[`ce686c03ae`](https://github.com/nodejs/node/commit/ce686c03ae)] - **crypto**: optimize sign.update() and verify.update() (Ben Noordhuis) [#31767](https://github.com/nodejs/node/pull/31767)
* \[[`a727b13343`](https://github.com/nodejs/node/commit/a727b13343)] - **crypto**: make update(buf, enc) ignore encoding (Ben Noordhuis) [#31766](https://github.com/nodejs/node/pull/31766)
* \[[`893e9183b5`](https://github.com/nodejs/node/commit/893e9183b5)] - **doc**: include the error type in the request.resolve doc (Joe Pea) [#32152](https://github.com/nodejs/node/pull/32152)
* \[[`af73ed632c`](https://github.com/nodejs/node/commit/af73ed632c)] - **doc**: clear up child\_process command resolution (Denys Otrishko) [#32091](https://github.com/nodejs/node/pull/32091)
* \[[`fa78aa4a60`](https://github.com/nodejs/node/commit/fa78aa4a60)] - **doc**: clarify windows specific behaviour (Sam Roberts) [#32079](https://github.com/nodejs/node/pull/32079)
* \[[`5bc51612b9`](https://github.com/nodejs/node/commit/5bc51612b9)] - **doc**: improve Buffer documentation (Anna Henningsen) [#32086](https://github.com/nodejs/node/pull/32086)
* \[[`35bea0798e`](https://github.com/nodejs/node/commit/35bea0798e)] - **doc**: add support encoding link on string\_decoder.md (himself65) [#31911](https://github.com/nodejs/node/pull/31911)
* \[[`3fa57ee0c2`](https://github.com/nodejs/node/commit/3fa57ee0c2)] - **doc**: add entry for `AsyncHook` class (Harshitha KP) [#31865](https://github.com/nodejs/node/pull/31865)
* \[[`38329bd438`](https://github.com/nodejs/node/commit/38329bd438)] - **doc**: prevent tables from shrinking page (David Gilbertson) [#31859](https://github.com/nodejs/node/pull/31859)
* \[[`bc1e3575d4`](https://github.com/nodejs/node/commit/bc1e3575d4)] - **doc**: change worker.takeHeapSnapshot to getHeapSnapshot (Gerhard Stoebich) [#32061](https://github.com/nodejs/node/pull/32061)
* \[[`7de4dfba79`](https://github.com/nodejs/node/commit/7de4dfba79)] - **doc**: remove personal pronoun usage in policy.md (Rich Trott) [#32142](https://github.com/nodejs/node/pull/32142)
* \[[`618b389b6a`](https://github.com/nodejs/node/commit/618b389b6a)] - **doc**: remove personal pronoun usage in fs.md (Rich Trott) [#32142](https://github.com/nodejs/node/pull/32142)
* \[[`fa99fb2eac`](https://github.com/nodejs/node/commit/fa99fb2eac)] - **doc**: remove personal pronoun usage in errors.md (Rich Trott) [#32142](https://github.com/nodejs/node/pull/32142)
* \[[`2d39369ee5`](https://github.com/nodejs/node/commit/2d39369ee5)] - **doc**: remove personal pronoun usage in addons.md (Rich Trott) [#32142](https://github.com/nodejs/node/pull/32142)
* \[[`02ebc81e94`](https://github.com/nodejs/node/commit/02ebc81e94)] - **doc**: revise tools/icu/README.md (Rich Trott) [#32136](https://github.com/nodejs/node/pull/32136)
* \[[`50c5eb49ab`](https://github.com/nodejs/node/commit/50c5eb49ab)] - **doc**: link setRawMode() from signal docs (Anna Henningsen) [#32088](https://github.com/nodejs/node/pull/32088)
* \[[`97965f518c`](https://github.com/nodejs/node/commit/97965f518c)] - **doc**: document self-referencing a package name (Gil Tayar) [#31680](https://github.com/nodejs/node/pull/31680)
* \[[`a79b8fa6f8`](https://github.com/nodejs/node/commit/a79b8fa6f8)] - **doc**: document fs.watchFile() bigint option (Colin Ihrig) [#32128](https://github.com/nodejs/node/pull/32128)
* \[[`2e5f81f69c`](https://github.com/nodejs/node/commit/2e5f81f69c)] - **doc**: fix broken links in benchmark README (Rich Trott) [#32121](https://github.com/nodejs/node/pull/32121)
* \[[`50094de274`](https://github.com/nodejs/node/commit/50094de274)] - **doc**: remove em dashes (Rich Trott) [#32080](https://github.com/nodejs/node/pull/32080)
* \[[`5f12595e00`](https://github.com/nodejs/node/commit/5f12595e00)] - **doc**: update email address in authors (Yael Hermon) [#32026](https://github.com/nodejs/node/pull/32026)
* \[[`77e5b509a9`](https://github.com/nodejs/node/commit/77e5b509a9)] - **doc,test**: add server.timeout property to http2 public API (Andrey Pechkurov) [#31693](https://github.com/nodejs/node/pull/31693)
* \[[`4c2e4d1747`](https://github.com/nodejs/node/commit/4c2e4d1747)] - **esm**: remove unused parameter on module.instantiate (himself65) [#32147](https://github.com/nodejs/node/pull/32147)
* \[[`55486bceb9`](https://github.com/nodejs/node/commit/55486bceb9)] - **events**: fix removeListener for Symbols (zfx) [#31847](https://github.com/nodejs/node/pull/31847)
* \[[`94f3eed229`](https://github.com/nodejs/node/commit/94f3eed229)] - **(SEMVER-MINOR)** **fs**: make fs.read params optional (Lucas Holmquist) [#31402](https://github.com/nodejs/node/pull/31402)
* \[[`7eed9d6bcc`](https://github.com/nodejs/node/commit/7eed9d6bcc)] - **fs**: fix WriteStream autoClose order (Robert Nagy) [#31790](https://github.com/nodejs/node/pull/31790)
* \[[`ff58854dbe`](https://github.com/nodejs/node/commit/ff58854dbe)] - **(SEMVER-MINOR)** **fs**: return first folder made by mkdir recursive (Benjamin Coe) [#31530](https://github.com/nodejs/node/pull/31530)
* \[[`1c4f4cc436`](https://github.com/nodejs/node/commit/1c4f4cc436)] - **fs**: fix writeFile\[Sync] for non-seekable files (Alba Mendez) [#32006](https://github.com/nodejs/node/pull/32006)
* \[[`c106a857a9`](https://github.com/nodejs/node/commit/c106a857a9)] - **fs**: fix valid id range on chown, lchown, fchown (himself65) [#31694](https://github.com/nodejs/node/pull/31694)
* \[[`1ffa9f388f`](https://github.com/nodejs/node/commit/1ffa9f388f)] - **http**: fix socket re-use races (Robert Nagy) [#32000](https://github.com/nodejs/node/pull/32000)
* \[[`49a07f7932`](https://github.com/nodejs/node/commit/49a07f7932)] - **http, async\_hooks**: remove unneeded reference to wrapping resource (Gerhard Stoebich) [#32054](https://github.com/nodejs/node/pull/32054)
* \[[`897b1d2e5e`](https://github.com/nodejs/node/commit/897b1d2e5e)] - **lib**: move isLegalPort to validators, refactor (James M Snell) [#31851](https://github.com/nodejs/node/pull/31851)
* \[[`607ac90906`](https://github.com/nodejs/node/commit/607ac90906)] - **lib**: improve value validation utils (Denys Otrishko) [#31480](https://github.com/nodejs/node/pull/31480)
* \[[`c0ba6ec560`](https://github.com/nodejs/node/commit/c0ba6ec560)] - **meta**: move thefourtheye to TSC Emeritus (Rich Trott) [#32059](https://github.com/nodejs/node/pull/32059)
* \[[`710c9051e3`](https://github.com/nodejs/node/commit/710c9051e3)] - **n-api**: define release 6 (Gabriel Schulhof) [#32058](https://github.com/nodejs/node/pull/32058)
* \[[`e83671c3c4`](https://github.com/nodejs/node/commit/e83671c3c4)] - **src**: DRY crypto Update() methods (Ben Noordhuis) [#31767](https://github.com/nodejs/node/pull/31767)
* \[[`025f658fa6`](https://github.com/nodejs/node/commit/025f658fa6)] - **src**: fix spawnSync CHECK when SIGKILL fails (Ben Noordhuis) [#31768](https://github.com/nodejs/node/pull/31768)
* \[[`2248ba760b`](https://github.com/nodejs/node/commit/2248ba760b)] - **src**: fix missing extra ca in tls.rootCertificates (Eric Bickle) [#32075](https://github.com/nodejs/node/pull/32075)
* \[[`fa376f420c`](https://github.com/nodejs/node/commit/fa376f420c)] - **src**: fix -Wmaybe-uninitialized compiler warning (Ben Noordhuis) [#31809](https://github.com/nodejs/node/pull/31809)
* \[[`c3aa3e70f0`](https://github.com/nodejs/node/commit/c3aa3e70f0)] - **src**: remove unused include from node\_file.cc (Ben Noordhuis) [#31809](https://github.com/nodejs/node/pull/31809)
* \[[`d8c927b5f1`](https://github.com/nodejs/node/commit/d8c927b5f1)] - _**Revert**_ "**src**: keep main-thread Isolate attached to platform during Dispose" (Anna Henningsen) [#31853](https://github.com/nodejs/node/pull/31853)
* \[[`625d8f7007`](https://github.com/nodejs/node/commit/625d8f7007)] - **src**: discard tasks posted to platform TaskRunner during shutdown (Anna Henningsen) [#31853](https://github.com/nodejs/node/pull/31853)
* \[[`55a8ca8ee4`](https://github.com/nodejs/node/commit/55a8ca8ee4)] - **src**: elevate v8 namespace (RamanandPatil) [#32041](https://github.com/nodejs/node/pull/32041)
* \[[`1e9a2516df`](https://github.com/nodejs/node/commit/1e9a2516df)] - **src**: use C++ style for struct with initializers (Sam Roberts) [#32134](https://github.com/nodejs/node/pull/32134)
* \[[`6aa797b546`](https://github.com/nodejs/node/commit/6aa797b546)] - **src**: implement per-process native Debug() printer (Joyee Cheung) [#31884](https://github.com/nodejs/node/pull/31884)
* \[[`5127c700d0`](https://github.com/nodejs/node/commit/5127c700d0)] - **src**: refactor debug category parsing (Joyee Cheung) [#31884](https://github.com/nodejs/node/pull/31884)
* \[[`2388a40f56`](https://github.com/nodejs/node/commit/2388a40f56)] - **src**: make aliased\_buffer.h self-contained (Joyee Cheung) [#31884](https://github.com/nodejs/node/pull/31884)
* \[[`258a80d3cc`](https://github.com/nodejs/node/commit/258a80d3cc)] - **(SEMVER-MINOR)** **src**: create a getter for kernel version (Juan José Arboleda) [#31732](https://github.com/nodejs/node/pull/31732)
* \[[`cba75c5cf4`](https://github.com/nodejs/node/commit/cba75c5cf4)] - **src**: handle NULL env scenario (Harshitha KP) [#31899](https://github.com/nodejs/node/pull/31899)
* \[[`cc27846fb9`](https://github.com/nodejs/node/commit/cc27846fb9)] - **src**: simplify node\_worker.cc using new KVStore API (Denys Otrishko) [#31773](https://github.com/nodejs/node/pull/31773)
* \[[`296f35b888`](https://github.com/nodejs/node/commit/296f35b888)] - **src**: improve KVStore API (Denys Otrishko) [#31773](https://github.com/nodejs/node/pull/31773)
* \[[`bd756883a7`](https://github.com/nodejs/node/commit/bd756883a7)] - **src**: add missing namespace using statements in node\_watchdog.h (legendecas) [#32117](https://github.com/nodejs/node/pull/32117)
* \[[`e9f9d076e9`](https://github.com/nodejs/node/commit/e9f9d076e9)] - **src**: fix -Wreorder compiler warning (Colin Ihrig) [#32126](https://github.com/nodejs/node/pull/32126)
* \[[`7b9b578652`](https://github.com/nodejs/node/commit/7b9b578652)] - **src**: fix -Winconsistent-missing-override warning (Colin Ihrig) [#32126](https://github.com/nodejs/node/pull/32126)
* \[[`4ac1ce1071`](https://github.com/nodejs/node/commit/4ac1ce1071)] - **src**: introduce node\_sockaddr (James M Snell) [#32070](https://github.com/nodejs/node/pull/32070)
* \[[`31e4a0d7ac`](https://github.com/nodejs/node/commit/31e4a0d7ac)] - **src**: Handle bad callback in asyc\_wrap (Harshitha KP) [#31946](https://github.com/nodejs/node/pull/31946)
* \[[`a03777096e`](https://github.com/nodejs/node/commit/a03777096e)] - **src,http2**: introduce node\_http\_common (James M Snell) [#32069](https://github.com/nodejs/node/pull/32069)
* \[[`fab8c83253`](https://github.com/nodejs/node/commit/fab8c83253)] - **stream**: avoid destroying writable source (Robert Nagy) [#32198](https://github.com/nodejs/node/pull/32198)
* \[[`66fe2d90ff`](https://github.com/nodejs/node/commit/66fe2d90ff)] - **stream**: avoid destroying http1 objects (Robert Nagy) [#32197](https://github.com/nodejs/node/pull/32197)
* \[[`0a00552122`](https://github.com/nodejs/node/commit/0a00552122)] - **stream**: do not swallow errors with async iterators and pipeline (Matteo Collina) [#32051](https://github.com/nodejs/node/pull/32051)
* \[[`f2636598e8`](https://github.com/nodejs/node/commit/f2636598e8)] - **stream**: eos make const state const (Robert Nagy) [#32031](https://github.com/nodejs/node/pull/32031)
* \[[`4b04bf89ad`](https://github.com/nodejs/node/commit/4b04bf89ad)] - **stream**: re-use legacy destroyer (Robert Nagy) [#31316](https://github.com/nodejs/node/pull/31316)
* \[[`7ce1cc93ce`](https://github.com/nodejs/node/commit/7ce1cc93ce)] - **stream**: simplify pipeline (Robert Nagy) [#31316](https://github.com/nodejs/node/pull/31316)
* \[[`9d1b1a3fbd`](https://github.com/nodejs/node/commit/9d1b1a3fbd)] - **stream**: simplify Writable.write (Robert Nagy) [#31146](https://github.com/nodejs/node/pull/31146)
* \[[`1e05ddf406`](https://github.com/nodejs/node/commit/1e05ddf406)] - **stream**: improve writable.write() performance (Brian White) [#31624](https://github.com/nodejs/node/pull/31624)
* \[[`90a4d438cb`](https://github.com/nodejs/node/commit/90a4d438cb)] - **stream**: combine properties using defineProperties (antsmartian) [#31187](https://github.com/nodejs/node/pull/31187)
* \[[`4640ea24bd`](https://github.com/nodejs/node/commit/4640ea24bd)] - **stream**: don't destroy final readable stream in pipeline (Robert Nagy) [#32110](https://github.com/nodejs/node/pull/32110)
* \[[`2585b814b0`](https://github.com/nodejs/node/commit/2585b814b0)] - **stream**: add comments to pipeline implementation (Robert Nagy) [#32042](https://github.com/nodejs/node/pull/32042)
* \[[`ceca1c3a4f`](https://github.com/nodejs/node/commit/ceca1c3a4f)] - **test**: improve test-fs-existssync-false.js (himself65) [#31883](https://github.com/nodejs/node/pull/31883)
* \[[`84197eaae0`](https://github.com/nodejs/node/commit/84197eaae0)] - **test**: mark test-timers-blocking-callback flaky on osx (Myles Borins) [#32189](https://github.com/nodejs/node/pull/32189)
* \[[`4589863518`](https://github.com/nodejs/node/commit/4589863518)] - **test**: always skip vm-timeout-escape-queuemicrotask (Denys Otrishko) [#31980](https://github.com/nodejs/node/pull/31980)
* \[[`188f1d275f`](https://github.com/nodejs/node/commit/188f1d275f)] - **test**: improve test-debug-usage (Rich Trott) [#32141](https://github.com/nodejs/node/pull/32141)
* \[[`92cc406baf`](https://github.com/nodejs/node/commit/92cc406baf)] - **test**: refactor all benchmark tests to use the new test option (Ruben Bridgewater) [#31755](https://github.com/nodejs/node/pull/31755)
* \[[`6f9f2c5de4`](https://github.com/nodejs/node/commit/6f9f2c5de4)] - **test**: warn when inspector process crashes (Matheus Marchini) [#32133](https://github.com/nodejs/node/pull/32133)
* \[[`6a9654a7a9`](https://github.com/nodejs/node/commit/6a9654a7a9)] - **test**: increase test timeout to prevent flakiness (Ruben Bridgewater) [#31716](https://github.com/nodejs/node/pull/31716)
* \[[`862cd2b49d`](https://github.com/nodejs/node/commit/862cd2b49d)] - **test**: use index.js if package.json "main" is empty (Ben Noordhuis) [#32040](https://github.com/nodejs/node/pull/32040)
* \[[`3d64c9eba6`](https://github.com/nodejs/node/commit/3d64c9eba6)] - **test**: changed function to arrow function (ProdipRoy89) [#32045](https://github.com/nodejs/node/pull/32045)
* \[[`6545d1a55d`](https://github.com/nodejs/node/commit/6545d1a55d)] - **test**: allow EAI\_FAIL in test-net-dns-error.js (Vita Batrla) [#31780](https://github.com/nodejs/node/pull/31780)
* \[[`1428de8ee6`](https://github.com/nodejs/node/commit/1428de8ee6)] - **test**: add WASI test for path\_link() (Colin Ihrig) [#32132](https://github.com/nodejs/node/pull/32132)
* \[[`da7349d908`](https://github.com/nodejs/node/commit/da7349d908)] - **test**: remove superfluous checks in test-net-reconnect-error (Rich Trott) [#32120](https://github.com/nodejs/node/pull/32120)
* \[[`74edcc5dd9`](https://github.com/nodejs/node/commit/74edcc5dd9)] - **test**: apply camelCase in test-net-reconnect-error (Rich Trott) [#32120](https://github.com/nodejs/node/pull/32120)
* \[[`8e435687bb`](https://github.com/nodejs/node/commit/8e435687bb)] - **test**: update tests for larger Buffers (Jakob Kummerow) [#32114](https://github.com/nodejs/node/pull/32114)
* \[[`83e9a3ea59`](https://github.com/nodejs/node/commit/83e9a3ea59)] - **test**: add coverage for FSWatcher exception (Rich Trott) [#32057](https://github.com/nodejs/node/pull/32057)
* \[[`89987b3a9f`](https://github.com/nodejs/node/commit/89987b3a9f)] - **test**: remove common.expectsInternalAssertion (Rich Trott) [#32057](https://github.com/nodejs/node/pull/32057)
* \[[`35d0569356`](https://github.com/nodejs/node/commit/35d0569356)] - **tools**: enable no-useless-backreference lint rule (Colin Ihrig) [#31400](https://github.com/nodejs/node/pull/31400)
* \[[`d3c4210ea0`](https://github.com/nodejs/node/commit/d3c4210ea0)] - **tools**: enable default-case-last lint rule (Colin Ihrig) [#31400](https://github.com/nodejs/node/pull/31400)
* \[[`814bb4a35d`](https://github.com/nodejs/node/commit/814bb4a35d)] - **tools**: update ESLint to 7.0.0-alpha.2 (Colin Ihrig) [#31400](https://github.com/nodejs/node/pull/31400)
* \[[`cac1d01cad`](https://github.com/nodejs/node/commit/cac1d01cad)] - **tools**: update ESLint to 7.0.0-alpha.1 (Colin Ihrig) [#31400](https://github.com/nodejs/node/pull/31400)
* \[[`c70cfd2ba6`](https://github.com/nodejs/node/commit/c70cfd2ba6)] - **tools**: update ESLint to 7.0.0-alpha.0 (Colin Ihrig) [#31400](https://github.com/nodejs/node/pull/31400)
* \[[`bb41383bdc`](https://github.com/nodejs/node/commit/bb41383bdc)] - **tools**: use per-process native Debug() printer in mkcodecache (Joyee Cheung) [#31884](https://github.com/nodejs/node/pull/31884)
* \[[`eaf6723804`](https://github.com/nodejs/node/commit/eaf6723804)] - **vm**: refactor value validation with internal/validators.js (Denys Otrishko) [#31480](https://github.com/nodejs/node/pull/31480)
* \[[`dd83bd266d`](https://github.com/nodejs/node/commit/dd83bd266d)] - **(SEMVER-MINOR)** **wasi**: add returnOnExit option (Colin Ihrig) [#32101](https://github.com/nodejs/node/pull/32101)

## 2020-03-04, Version 13.10.1 (Current), @MylesBorins

### Notable Changes

In Node.js 13.9.0 deps/zlib was switched to the chromium maintained implementation. This change
had the unforseen consequence of breaking building from the tarballs we release as we were too
aggressively removing `unneccessary files` from the `deps/zlib` folder. This release includes
a patch that ensures that individuals will once again be able to build Node.js from source.

### Commits

* \[[`723aa41d96`](https://github.com/nodejs/node/commit/723aa41d96)] - **build**: fix zlib tarball generation (Shelley Vohr) [#32094](https://github.com/nodejs/node/pull/32094)
* \[[`9c1ac50fc5`](https://github.com/nodejs/node/commit/9c1ac50fc5)] - **build**: fix building with ninja (Richard Lau) [#32071](https://github.com/nodejs/node/pull/32071)
* \[[`478450d6b3`](https://github.com/nodejs/node/commit/478450d6b3)] - **build**: add asan check in Github action (gengjiawen) [#31902](https://github.com/nodejs/node/pull/31902)
* \[[`0fc45f80b5`](https://github.com/nodejs/node/commit/0fc45f80b5)] - **crypto**: simplify exportKeyingMaterial (Tobias Nießen) [#31922](https://github.com/nodejs/node/pull/31922)
* \[[`4dc59b91a7`](https://github.com/nodejs/node/commit/4dc59b91a7)] - **dgram**: make UDPWrap more reusable (Anna Henningsen) [#31871](https://github.com/nodejs/node/pull/31871)
* \[[`4ed720e940`](https://github.com/nodejs/node/commit/4ed720e940)] - **doc**: visibility of Worker threads cli options (Harshitha KP) [#31380](https://github.com/nodejs/node/pull/31380)
* \[[`2518213a1b`](https://github.com/nodejs/node/commit/2518213a1b)] - **doc**: improve doc/markdown file organization coherence (ConorDavenport) [#31792](https://github.com/nodejs/node/pull/31792)
* \[[`ba3f7ff94d`](https://github.com/nodejs/node/commit/ba3f7ff94d)] - **doc**: update stream.pipeline() signature (vsemozhetbyt) [#31789](https://github.com/nodejs/node/pull/31789)
* \[[`3c8daa3aa0`](https://github.com/nodejs/node/commit/3c8daa3aa0)] - **events**: convert errorMonitor to a normal property (Gerhard Stoebich) [#31848](https://github.com/nodejs/node/pull/31848)
* \[[`6b44df2415`](https://github.com/nodejs/node/commit/6b44df2415)] - **perf,src**: add HistogramBase and internal/histogram.js (James M Snell) [#31988](https://github.com/nodejs/node/pull/31988)
* \[[`6a9cea9ed2`](https://github.com/nodejs/node/commit/6a9cea9ed2)] - **src**: pass resource object along with InternalMakeCallback (Anna Henningsen) [#32063](https://github.com/nodejs/node/pull/32063)
* \[[`70f046010c`](https://github.com/nodejs/node/commit/70f046010c)] - **src**: start the .text section with an asm symbol (Gabriel Schulhof) [#31981](https://github.com/nodejs/node/pull/31981)
* \[[`755da035ce`](https://github.com/nodejs/node/commit/755da035ce)] - **src**: add node\_crypto\_common and refactor (James M Snell) [#32016](https://github.com/nodejs/node/pull/32016)
* \[[`4d5318c164`](https://github.com/nodejs/node/commit/4d5318c164)] - **src**: improve handling of internal field counting (James M Snell) [#31960](https://github.com/nodejs/node/pull/31960)
* \[[`1539928ed9`](https://github.com/nodejs/node/commit/1539928ed9)] - **test**: add GC test for disabled AsyncLocalStorage (Andrey Pechkurov) [#31995](https://github.com/nodejs/node/pull/31995)
* \[[`be90817558`](https://github.com/nodejs/node/commit/be90817558)] - **test**: remove common.port from test-tls-securepair-client (Rich Trott) [#32024](https://github.com/nodejs/node/pull/32024)

## 2020-03-04, Version 13.10.0 (Current), @codebytere

### Notable Changes

* **async\_hooks**
  * introduce async-context API (vdeturckheim) [#26540](https://github.com/nodejs/node/pull/26540)
* **stream**
  * support passing generator functions into pipeline() (Robert Nagy) [#31223](https://github.com/nodejs/node/pull/31223)
* **tls**
  * expose SSL\_export\_keying\_material (simon) [#31814](https://github.com/nodejs/node/pull/31814)
* **vm**
  * implement vm.measureMemory() for per-context memory measurement (Joyee Cheung) [#31824](https://github.com/nodejs/node/pull/31824)

### Commits

* \[[`f71fc9044a`](https://github.com/nodejs/node/commit/f71fc9044a)] - **async\_hooks**: add store arg in AsyncLocalStorage (Andrey Pechkurov) [#31930](https://github.com/nodejs/node/pull/31930)
* \[[`6af9e7e0c3`](https://github.com/nodejs/node/commit/6af9e7e0c3)] - **async\_hooks**: executionAsyncResource matches in hooks (Gerhard Stoebich) [#31821](https://github.com/nodejs/node/pull/31821)
* \[[`877ab97286`](https://github.com/nodejs/node/commit/877ab97286)] - **(SEMVER-MINOR)** **async\_hooks**: introduce async-context API (vdeturckheim) [#26540](https://github.com/nodejs/node/pull/26540)
* \[[`9a41ced0d1`](https://github.com/nodejs/node/commit/9a41ced0d1)] - **build**: only lint markdown files that have changed (POSIX-only) (Rich Trott) [#31923](https://github.com/nodejs/node/pull/31923)
* \[[`ca4407105e`](https://github.com/nodejs/node/commit/ca4407105e)] - **build**: add missing comma in node.gyp (cjihrig) [#31959](https://github.com/nodejs/node/pull/31959)
* \[[`4dffd0437d`](https://github.com/nodejs/node/commit/4dffd0437d)] - **cli**: --perf-prof only works on Linux (Shelley Vohr) [#31892](https://github.com/nodejs/node/pull/31892)
* \[[`4d05508aa8`](https://github.com/nodejs/node/commit/4d05508aa8)] - **crypto**: turn impossible DH errors into assertions (Tobias Nießen) [#31934](https://github.com/nodejs/node/pull/31934)
* \[[`d0e94fc77e`](https://github.com/nodejs/node/commit/d0e94fc77e)] - **crypto**: fix ieee-p1363 for createVerify (Tobias Nießen) [#31876](https://github.com/nodejs/node/pull/31876)
* \[[`fbaab7d854`](https://github.com/nodejs/node/commit/fbaab7d854)] - **deps**: openssl: cherry-pick 4dcb150ea30f (Adam Majer) [#32002](https://github.com/nodejs/node/pull/32002)
* \[[`e6125cd53b`](https://github.com/nodejs/node/commit/e6125cd53b)] - **deps**: V8: backport f7771e5b0cc4 (Matheus Marchini) [#31957](https://github.com/nodejs/node/pull/31957)
* \[[`c27f0d10c4`](https://github.com/nodejs/node/commit/c27f0d10c4)] - **deps**: update zlib to upstream d7f3ca9 (Sam Roberts) [#31800](https://github.com/nodejs/node/pull/31800)
* \[[`b30a6981d3`](https://github.com/nodejs/node/commit/b30a6981d3)] - **deps**: move zlib maintenance info to guides (Sam Roberts) [#31800](https://github.com/nodejs/node/pull/31800)
* \[[`cd30dbb0d6`](https://github.com/nodejs/node/commit/cd30dbb0d6)] - **doc**: revise --zero-fill-buffers text in buffer.md (Rich Trott) [#32019](https://github.com/nodejs/node/pull/32019)
* \[[`166579f84b`](https://github.com/nodejs/node/commit/166579f84b)] - **doc**: add link to sem-ver info (unknown) [#31985](https://github.com/nodejs/node/pull/31985)
* \[[`e3258fd148`](https://github.com/nodejs/node/commit/e3258fd148)] - **doc**: update zlib doc (James M Snell) [#31665](https://github.com/nodejs/node/pull/31665)
* \[[`8516602ba0`](https://github.com/nodejs/node/commit/8516602ba0)] - **doc**: clarify http2.connect authority details (James M Snell) [#31828](https://github.com/nodejs/node/pull/31828)
* \[[`c5acf0a13b`](https://github.com/nodejs/node/commit/c5acf0a13b)] - **doc**: updated YAML version representation in readline.md (Rich Trott) [#31924](https://github.com/nodejs/node/pull/31924)
* \[[`4c6343fdea`](https://github.com/nodejs/node/commit/4c6343fdea)] - **doc**: describe how to update zlib (Sam Roberts) [#31800](https://github.com/nodejs/node/pull/31800)
* \[[`a46839279f`](https://github.com/nodejs/node/commit/a46839279f)] - **doc**: update releases guide re pushing tags (Myles Borins) [#31855](https://github.com/nodejs/node/pull/31855)
* \[[`15cc9b0126`](https://github.com/nodejs/node/commit/15cc9b0126)] - **doc**: update assert.rejects() docs with a validation function example (Eric Eastwood) [#31271](https://github.com/nodejs/node/pull/31271)
* \[[`2046652b4e`](https://github.com/nodejs/node/commit/2046652b4e)] - **doc**: fix anchor for ERR\_TLS\_INVALID\_CONTEXT (Tobias Nießen) [#31915](https://github.com/nodejs/node/pull/31915)
* \[[`091b4bfe2d`](https://github.com/nodejs/node/commit/091b4bfe2d)] - **doc**: add note about ssh key to releases (Shelley Vohr) [#31856](https://github.com/nodejs/node/pull/31856)
* \[[`3438937a37`](https://github.com/nodejs/node/commit/3438937a37)] - **doc**: fix notable changes for v13.9.0 (Shelley Vohr) [#31857](https://github.com/nodejs/node/pull/31857)
* \[[`672f76d6bd`](https://github.com/nodejs/node/commit/672f76d6bd)] - **doc**: reword possessive form of Node.js in adding-new-napi-api.md (Rich Trott) [#31748](https://github.com/nodejs/node/pull/31748)
* \[[`3eaf37767e`](https://github.com/nodejs/node/commit/3eaf37767e)] - **doc**: reword possessive form of Node.js in http.md (Rich Trott) [#31748](https://github.com/nodejs/node/pull/31748)
* \[[`cb210e6b16`](https://github.com/nodejs/node/commit/cb210e6b16)] - **doc**: reword possessive form of Node.js in process.md (Rich Trott) [#31748](https://github.com/nodejs/node/pull/31748)
* \[[`3969af43b4`](https://github.com/nodejs/node/commit/3969af43b4)] - **doc**: reword possessive form of Node.js in debugger.md (Rich Trott) [#31748](https://github.com/nodejs/node/pull/31748)
* \[[`f9526057b3`](https://github.com/nodejs/node/commit/f9526057b3)] - **doc**: move gireeshpunathil to TSC emeritus (Gireesh Punathil) [#31770](https://github.com/nodejs/node/pull/31770)
* \[[`b07175853f`](https://github.com/nodejs/node/commit/b07175853f)] - **doc**: pronouns for @Fishrock123 (Jeremiah Senkpiel) [#31725](https://github.com/nodejs/node/pull/31725)
* \[[`7f4d6ee8ea`](https://github.com/nodejs/node/commit/7f4d6ee8ea)] - **doc**: move @Fishrock123 to TSC Emeriti (Jeremiah Senkpiel) [#31725](https://github.com/nodejs/node/pull/31725)
* \[[`b177bba555`](https://github.com/nodejs/node/commit/b177bba555)] - **doc**: move @Fishrock123 to a previous releaser (Jeremiah Senkpiel) [#31725](https://github.com/nodejs/node/pull/31725)
* \[[`9e4aad705f`](https://github.com/nodejs/node/commit/9e4aad705f)] - **doc**: fix typos in doc/api/https.md (Jeff) [#31793](https://github.com/nodejs/node/pull/31793)
* \[[`eb2dce8342`](https://github.com/nodejs/node/commit/eb2dce8342)] - **doc**: claim ABI version 82 for Electron 10 (Samuel Attard) [#31778](https://github.com/nodejs/node/pull/31778)
* \[[`db291aaf06`](https://github.com/nodejs/node/commit/db291aaf06)] - **doc**: guide - using valgrind to debug memory leaks (Michael Dawson) [#31501](https://github.com/nodejs/node/pull/31501)
* \[[`aa16d80c05`](https://github.com/nodejs/node/commit/aa16d80c05)] - **doc,crypto**: re-document oaepLabel option (Ben Noordhuis) [#31825](https://github.com/nodejs/node/pull/31825)
* \[[`9079bb42ea`](https://github.com/nodejs/node/commit/9079bb42ea)] - **http2**: make compat finished match http/1 (Robert Nagy) [#24347](https://github.com/nodejs/node/pull/24347)
* \[[`3bd8feac0c`](https://github.com/nodejs/node/commit/3bd8feac0c)] - **meta**: move aqrln to emeritus (Rich Trott) [#31997](https://github.com/nodejs/node/pull/31997)
* \[[`c801045fcd`](https://github.com/nodejs/node/commit/c801045fcd)] - **meta**: move jbergstroem to emeritus (Rich Trott) [#31996](https://github.com/nodejs/node/pull/31996)
* \[[`ded3890bec`](https://github.com/nodejs/node/commit/ded3890bec)] - **meta**: move maclover7 to Emeritus (Rich Trott) [#31994](https://github.com/nodejs/node/pull/31994)
* \[[`91ce69a554`](https://github.com/nodejs/node/commit/91ce69a554)] - **meta**: move Glen Keane to Collaborator Emeritus (Rich Trott) [#31993](https://github.com/nodejs/node/pull/31993)
* \[[`b74c40eda6`](https://github.com/nodejs/node/commit/b74c40eda6)] - **meta**: move not-an-aardvark to emeritus (Rich Trott) [#31928](https://github.com/nodejs/node/pull/31928)
* \[[`61a0d8b6cd`](https://github.com/nodejs/node/commit/61a0d8b6cd)] - **meta**: move julianduque to emeritus (Rich Trott) [#31863](https://github.com/nodejs/node/pull/31863)
* \[[`94a471a422`](https://github.com/nodejs/node/commit/94a471a422)] - **meta**: move eljefedelrodeodeljefe to emeritus (Rich Trott) [#31735](https://github.com/nodejs/node/pull/31735)
* \[[`9e3e6763fa`](https://github.com/nodejs/node/commit/9e3e6763fa)] - **module**: port source map sort logic from chromium (bcoe) [#31927](https://github.com/nodejs/node/pull/31927)
* \[[`b9f3bfe6c8`](https://github.com/nodejs/node/commit/b9f3bfe6c8)] - **module**: disable conditional exports, self resolve warnings (Guy Bedford) [#31845](https://github.com/nodejs/node/pull/31845)
* \[[`bbb6cc733c`](https://github.com/nodejs/node/commit/bbb6cc733c)] - **module**: package "exports" error refinements (Guy Bedford) [#31625](https://github.com/nodejs/node/pull/31625)
* \[[`6adbfac9b0`](https://github.com/nodejs/node/commit/6adbfac9b0)] - **repl**: eager-evaluate input in parens (Shelley Vohr) [#31943](https://github.com/nodejs/node/pull/31943)
* \[[`6a35b0d102`](https://github.com/nodejs/node/commit/6a35b0d102)] - **src**: don't run bootstrapper in CreateEnvironment (Shelley Vohr) [#31910](https://github.com/nodejs/node/pull/31910)
* \[[`3497370d66`](https://github.com/nodejs/node/commit/3497370d66)] - **src**: move InternalCallbackScope to StartExecution (Shelley Vohr) [#31944](https://github.com/nodejs/node/pull/31944)
* \[[`f62967c827`](https://github.com/nodejs/node/commit/f62967c827)] - **src**: enable `StreamPipe` for generic `StreamBase`s (Anna Henningsen) [#31869](https://github.com/nodejs/node/pull/31869)
* \[[`776f379124`](https://github.com/nodejs/node/commit/776f379124)] - **src**: include large pages source unconditionally (Gabriel Schulhof) [#31904](https://github.com/nodejs/node/pull/31904)
* \[[`9f68e14052`](https://github.com/nodejs/node/commit/9f68e14052)] - **src**: elevate v8 namespaces (Harshitha KP) [#31901](https://github.com/nodejs/node/pull/31901)
* \[[`8fa6373e62`](https://github.com/nodejs/node/commit/8fa6373e62)] - **src**: allow unique\_ptrs with custom deleter in memory tracker (Anna Henningsen) [#31870](https://github.com/nodejs/node/pull/31870)
* \[[`88ccb444e3`](https://github.com/nodejs/node/commit/88ccb444e3)] - **src**: move BaseObject subclass dtors/ctors out of node\_crypto.h (Anna Henningsen) [#31872](https://github.com/nodejs/node/pull/31872)
* \[[`98d262e5f3`](https://github.com/nodejs/node/commit/98d262e5f3)] - **src**: inform callback scopes about exceptions in HTTP parser (Anna Henningsen) [#31801](https://github.com/nodejs/node/pull/31801)
* \[[`57302f866e`](https://github.com/nodejs/node/commit/57302f866e)] - **src**: prefer 3-argument Array::New() (Anna Henningsen) [#31775](https://github.com/nodejs/node/pull/31775)
* \[[`8a2b62e4cd`](https://github.com/nodejs/node/commit/8a2b62e4cd)] - **stream**: ensure pipeline always destroys streams (Robert Nagy) [#31940](https://github.com/nodejs/node/pull/31940)
* \[[`313ecaabe5`](https://github.com/nodejs/node/commit/313ecaabe5)] - **stream**: fix broken pipeline error propagation (Robert Nagy) [#31835](https://github.com/nodejs/node/pull/31835)
* \[[`8ad64b8e53`](https://github.com/nodejs/node/commit/8ad64b8e53)] - **(SEMVER-MINOR)** **stream**: support passing generator functions into pipeline() (Robert Nagy) [#31223](https://github.com/nodejs/node/pull/31223)
* \[[`d0a00711f8`](https://github.com/nodejs/node/commit/d0a00711f8)] - **stream**: invoke buffered write callbacks on error (Robert Nagy) [#30596](https://github.com/nodejs/node/pull/30596)
* \[[`1bca7b6c70`](https://github.com/nodejs/node/commit/1bca7b6c70)] - **test**: move test-inspector-module to parallel (Rich Trott) [#32025](https://github.com/nodejs/node/pull/32025)
* \[[`932563473c`](https://github.com/nodejs/node/commit/932563473c)] - **test**: improve disable AsyncLocalStorage test (Andrey Pechkurov) [#31998](https://github.com/nodejs/node/pull/31998)
* \[[`49864d161e`](https://github.com/nodejs/node/commit/49864d161e)] - **test**: fix flaky test-dns-any.js (Rich Trott) [#32017](https://github.com/nodejs/node/pull/32017)
* \[[`38494746a6`](https://github.com/nodejs/node/commit/38494746a6)] - **test**: fix flaky test-gc-net-timeout (Robert Nagy) [#31918](https://github.com/nodejs/node/pull/31918)
* \[[`b6d33f671a`](https://github.com/nodejs/node/commit/b6d33f671a)] - **test**: change test to not be sensitive to buffer send size (Rusty Conover) [#31499](https://github.com/nodejs/node/pull/31499)
* \[[`cef5502055`](https://github.com/nodejs/node/commit/cef5502055)] - **test**: remove sequential/test-https-keep-alive-large-write.js (Rusty Conover) [#31499](https://github.com/nodejs/node/pull/31499)
* \[[`f1e76488a7`](https://github.com/nodejs/node/commit/f1e76488a7)] - **test**: validate common property usage (Denys Otrishko) [#31933](https://github.com/nodejs/node/pull/31933)
* \[[`ab8f060159`](https://github.com/nodejs/node/commit/ab8f060159)] - **test**: fix usage of invalid common properties (Denys Otrishko) [#31933](https://github.com/nodejs/node/pull/31933)
* \[[`49c959d636`](https://github.com/nodejs/node/commit/49c959d636)] - **test**: increase timeout in vm-timeout-escape-queuemicrotask (Denys Otrishko) [#31966](https://github.com/nodejs/node/pull/31966)
* \[[`04eda02d87`](https://github.com/nodejs/node/commit/04eda02d87)] - **test**: add documentation for common.enoughTestCpu (Rich Trott) [#31931](https://github.com/nodejs/node/pull/31931)
* \[[`918c2b67cc`](https://github.com/nodejs/node/commit/918c2b67cc)] - **test**: fix typo in common/index.js (Rich Trott) [#31931](https://github.com/nodejs/node/pull/31931)
* \[[`f89fb2751b`](https://github.com/nodejs/node/commit/f89fb2751b)] - **test**: mark empty udp tests flaky on OS X (Sam Roberts) [#31936](https://github.com/nodejs/node/pull/31936)
* \[[`e08fef1fda`](https://github.com/nodejs/node/commit/e08fef1fda)] - **test**: add secp224k1 check in crypto-dh-stateless (Daniel Bevenius) [#31715](https://github.com/nodejs/node/pull/31715)
* \[[`4fe9e043ef`](https://github.com/nodejs/node/commit/4fe9e043ef)] - **test**: remove common.PORT from assorted pummel tests (Rich Trott) [#31897](https://github.com/nodejs/node/pull/31897)
* \[[`7d5776e119`](https://github.com/nodejs/node/commit/7d5776e119)] - **test**: remove flaky designation for test-net-connect-options-port (Rich Trott) [#31841](https://github.com/nodejs/node/pull/31841)
* \[[`1933efa62f`](https://github.com/nodejs/node/commit/1933efa62f)] - **test**: remove common.PORT from test-net-write-callbacks.js (Rich Trott) [#31839](https://github.com/nodejs/node/pull/31839)
* \[[`87e9014764`](https://github.com/nodejs/node/commit/87e9014764)] - **test**: remove common.PORT from test-net-pause (Rich Trott) [#31749](https://github.com/nodejs/node/pull/31749)
* \[[`3fbd5ab265`](https://github.com/nodejs/node/commit/3fbd5ab265)] - **test**: remove common.PORT from test-tls-server-large-request (Rich Trott) [#31749](https://github.com/nodejs/node/pull/31749)
* \[[`e76ac1d2c9`](https://github.com/nodejs/node/commit/e76ac1d2c9)] - **test**: remove common.PORT from test-net-throttle (Rich Trott) [#31749](https://github.com/nodejs/node/pull/31749)
* \[[`724bf3105b`](https://github.com/nodejs/node/commit/724bf3105b)] - **test**: remove common.PORT from test-net-timeout (Rich Trott) [#31749](https://github.com/nodejs/node/pull/31749)
* \[[`60c71dcad2`](https://github.com/nodejs/node/commit/60c71dcad2)] - **test**: add known issue test for sync writable callback (James M Snell) [#31756](https://github.com/nodejs/node/pull/31756)
* \[[`2c0b249098`](https://github.com/nodejs/node/commit/2c0b249098)] - **tls**: reduce memory copying and number of BIO buffer allocations (Rusty Conover) [#31499](https://github.com/nodejs/node/pull/31499)
* \[[`acb3aff674`](https://github.com/nodejs/node/commit/acb3aff674)] - **(SEMVER-MINOR)** **tls**: expose SSL\_export\_keying\_material (simon) [#31814](https://github.com/nodejs/node/pull/31814)
* \[[`f293dcf6de`](https://github.com/nodejs/node/commit/f293dcf6de)] - **tools**: add NODE\_TEST\_NO\_INTERNET to the doc builder (Joyee Cheung) [#31849](https://github.com/nodejs/node/pull/31849)
* \[[`79b1f04b15`](https://github.com/nodejs/node/commit/79b1f04b15)] - **tools**: sync gyp code base with node-gyp repo (Michaël Zasso) [#30563](https://github.com/nodejs/node/pull/30563)
* \[[`f858f2366c`](https://github.com/nodejs/node/commit/f858f2366c)] - **tools**: update lint-md task to lint for possessives of Node.js (Rich Trott) [#31862](https://github.com/nodejs/node/pull/31862)
* \[[`ae3929e958`](https://github.com/nodejs/node/commit/ae3929e958)] - **(SEMVER-MINOR)** **vm**: implement vm.measureMemory() for per-context memory measurement (Joyee Cheung) [#31824](https://github.com/nodejs/node/pull/31824)
* \[[`a86cb0e480`](https://github.com/nodejs/node/commit/a86cb0e480)] - **vm**: lazily initialize primordials for vm contexts (Joyee Cheung) [#31738](https://github.com/nodejs/node/pull/31738)
* \[[`f2389eba99`](https://github.com/nodejs/node/commit/f2389eba99)] - **worker**: emit runtime error on loop creation failure (Harshitha KP) [#31621](https://github.com/nodejs/node/pull/31621)
* \[[`f87ac90849`](https://github.com/nodejs/node/commit/f87ac90849)] - **worker**: unroll file extension regexp (Anna Henningsen) [#31779](https://github.com/nodejs/node/pull/31779)

## 2020-02-18, Version 13.9.0 (Current), @codebytere

### Notable changes

* **async\_hooks**
  * add executionAsyncResource (Matteo Collina) [#30959](https://github.com/nodejs/node/pull/30959)
* **crypto**
  * add crypto.diffieHellman (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
  * add DH support to generateKeyPair (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
  * simplify DH groups (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
  * add key type 'dh' (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* **test**
  * skip keygen tests on arm systems (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* **perf\_hooks**
  * add property flags to GCPerformanceEntry (Kirill Fomichev) [#29547](https://github.com/nodejs/node/pull/29547)
* **process**
  * report ArrayBuffer memory in `memoryUsage()` (Anna Henningsen) [#31550](https://github.com/nodejs/node/pull/31550)
* **readline**
  * make tab size configurable (Ruben Bridgewater) [#31318](https://github.com/nodejs/node/pull/31318)
* **report**
  * add support for Workers (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* **worker**
  * add ability to take heap snapshot from parent thread (Anna Henningsen) [#31569](https://github.com/nodejs/node/pull/31569)
* **added new collaborators**
  * add ronag to collaborators (Robert Nagy) [#31498](https://github.com/nodejs/node/pull/31498)

### Commits

* \[[`2db7593838`](https://github.com/nodejs/node/commit/2db7593838)] - **assert**: align character indicators properly (Ruben Bridgewater) [#31429](https://github.com/nodejs/node/pull/31429)
* \[[`a840e9d639`](https://github.com/nodejs/node/commit/a840e9d639)] - **async\_hooks**: ensure event after been emitted on runInAsyncScope (legendecas) [#31784](https://github.com/nodejs/node/pull/31784)
* \[[`6be51296e4`](https://github.com/nodejs/node/commit/6be51296e4)] - **(SEMVER-MINOR)** **async\_hooks**: add executionAsyncResource (Matteo Collina) [#30959](https://github.com/nodejs/node/pull/30959)
* \[[`2de085fe93`](https://github.com/nodejs/node/commit/2de085fe93)] - **benchmark**: use let instead of var (Daniele Belardi) [#31592](https://github.com/nodejs/node/pull/31592)
* \[[`e37f5100e5`](https://github.com/nodejs/node/commit/e37f5100e5)] - **benchmark**: swap var for let in benchmarks (Alex Ramirez) [#28958](https://github.com/nodejs/node/pull/28958)
* \[[`819fb76ba5`](https://github.com/nodejs/node/commit/819fb76ba5)] - _**Revert**_ "**benchmark**: refactor helper into a class" (Anna Henningsen) [#31722](https://github.com/nodejs/node/pull/31722)
* \[[`8974fa794c`](https://github.com/nodejs/node/commit/8974fa794c)] - _**Revert**_ "**benchmark**: add `test` and `all` options and improve errors" (Anna Henningsen) [#31722](https://github.com/nodejs/node/pull/31722)
* \[[`30f55cebb6`](https://github.com/nodejs/node/commit/30f55cebb6)] - _**Revert**_ "**benchmark**: remove special test entries" (Anna Henningsen) [#31722](https://github.com/nodejs/node/pull/31722)
* \[[`1484f5ab6e`](https://github.com/nodejs/node/commit/1484f5ab6e)] - **benchmark**: remove special test entries (Ruben Bridgewater) [#31396](https://github.com/nodejs/node/pull/31396)
* \[[`ca343caee3`](https://github.com/nodejs/node/commit/ca343caee3)] - **benchmark**: add `test` and `all` options and improve errors (Ruben Bridgewater) [#31396](https://github.com/nodejs/node/pull/31396)
* \[[`9f2c742626`](https://github.com/nodejs/node/commit/9f2c742626)] - **benchmark**: refactor helper into a class (Ruben Bridgewater) [#31396](https://github.com/nodejs/node/pull/31396)
* \[[`161db608ae`](https://github.com/nodejs/node/commit/161db608ae)] - **benchmark**: check for and fix multiple end() (Brian White) [#31624](https://github.com/nodejs/node/pull/31624)
* \[[`6fe8eda3ca`](https://github.com/nodejs/node/commit/6fe8eda3ca)] - **benchmark**: clean up config resolution in multiple benchmarks (Denys Otrishko) [#31581](https://github.com/nodejs/node/pull/31581)
* \[[`ebdcafafeb`](https://github.com/nodejs/node/commit/ebdcafafeb)] - **benchmark**: add MessagePort benchmark (Anna Henningsen) [#31568](https://github.com/nodejs/node/pull/31568)
* \[[`eb3c6e9127`](https://github.com/nodejs/node/commit/eb3c6e9127)] - **benchmark**: use let and const instead of var (Daniele Belardi) [#31518](https://github.com/nodejs/node/pull/31518)
* \[[`b29badad81`](https://github.com/nodejs/node/commit/b29badad81)] - **benchmark**: fix getStringWidth() benchmark (Rich Trott) [#31476](https://github.com/nodejs/node/pull/31476)
* \[[`519134ddb0`](https://github.com/nodejs/node/commit/519134ddb0)] - **buffer**: improve from() performance (Brian White) [#31615](https://github.com/nodejs/node/pull/31615)
* \[[`769154de07`](https://github.com/nodejs/node/commit/769154de07)] - **buffer**: improve concat() performance (Brian White) [#31522](https://github.com/nodejs/node/pull/31522)
* \[[`9d45393e95`](https://github.com/nodejs/node/commit/9d45393e95)] - **buffer**: improve fill(number) performance (Brian White) [#31489](https://github.com/nodejs/node/pull/31489)
* \[[`60a69770f5`](https://github.com/nodejs/node/commit/60a69770f5)] - **build**: add configure option to debug only Node.js part of the binary (Anna Henningsen) [#31644](https://github.com/nodejs/node/pull/31644)
* \[[`10f9abe81d`](https://github.com/nodejs/node/commit/10f9abe81d)] - **build**: ignore all the "Debug","Release" folders (ConorDavenport) [#31565](https://github.com/nodejs/node/pull/31565)
* \[[`03eade01d7`](https://github.com/nodejs/node/commit/03eade01d7)] - **build**: enable loading internal modules from disk (Gus Caplan) [#31321](https://github.com/nodejs/node/pull/31321)
* \[[`a2b7006847`](https://github.com/nodejs/node/commit/a2b7006847)] - **build**: build docs in GitHub Actions CI workflow (Richard Lau) [#31504](https://github.com/nodejs/node/pull/31504)
* \[[`2e216aebcb`](https://github.com/nodejs/node/commit/2e216aebcb)] - **build**: do not use setup-node in build workflows (Richard Lau) [#31349](https://github.com/nodejs/node/pull/31349)
* \[[`825d089763`](https://github.com/nodejs/node/commit/825d089763)] - **crypto**: fix performance regression (Robert Nagy) [#31742](https://github.com/nodejs/node/pull/31742)
* \[[`3c6545f0b4`](https://github.com/nodejs/node/commit/3c6545f0b4)] - **crypto**: improve randomBytes() performance (Brian White) [#31519](https://github.com/nodejs/node/pull/31519)
* \[[`f84b34d42c`](https://github.com/nodejs/node/commit/f84b34d42c)] - **crypto**: improve errors in DiffieHellmanGroup (Tobias Nießen) [#31445](https://github.com/nodejs/node/pull/31445)
* \[[`4591202e66`](https://github.com/nodejs/node/commit/4591202e66)] - **crypto**: assign and use ERR\_CRYPTO\_UNKNOWN\_CIPHER (Tobias Nießen) [#31437](https://github.com/nodejs/node/pull/31437)
* \[[`bf46c304dd`](https://github.com/nodejs/node/commit/bf46c304dd)] - **(SEMVER-MINOR)** **crypto**: add crypto.diffieHellman (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* \[[`0d3e095941`](https://github.com/nodejs/node/commit/0d3e095941)] - **(SEMVER-MINOR)** **crypto**: add DH support to generateKeyPair (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* \[[`15bd2c9f0c`](https://github.com/nodejs/node/commit/15bd2c9f0c)] - **(SEMVER-MINOR)** **crypto**: simplify DH groups (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* \[[`572322fddf`](https://github.com/nodejs/node/commit/572322fddf)] - **(SEMVER-MINOR)** **crypto**: add key type 'dh' (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* \[[`0ac124b6b9`](https://github.com/nodejs/node/commit/0ac124b6b9)] - **deps**: upgrade npm to 6.13.7 (Michael Perrotte) [#31558](https://github.com/nodejs/node/pull/31558)
* \[[`bf7097c77d`](https://github.com/nodejs/node/commit/bf7097c77d)] - **deps**: switch to chromium's zlib implementation (Brian White) [#31201](https://github.com/nodejs/node/pull/31201)
* \[[`2eeaa5ce40`](https://github.com/nodejs/node/commit/2eeaa5ce40)] - **deps**: uvwasi: cherry-pick 7b5b6f9 (cjihrig) [#31495](https://github.com/nodejs/node/pull/31495)
* \[[`464f4afa66`](https://github.com/nodejs/node/commit/464f4afa66)] - **deps**: upgrade to libuv 1.34.2 (cjihrig) [#31477](https://github.com/nodejs/node/pull/31477)
* \[[`9811ebe0c5`](https://github.com/nodejs/node/commit/9811ebe0c5)] - **deps**: uvwasi: cherry-pick eea4508 (cjihrig) [#31432](https://github.com/nodejs/node/pull/31432)
* \[[`2fe0ed3a2e`](https://github.com/nodejs/node/commit/2fe0ed3a2e)] - **deps**: uvwasi: cherry-pick c3bef8e (cjihrig) [#31432](https://github.com/nodejs/node/pull/31432)
* \[[`09566be899`](https://github.com/nodejs/node/commit/09566be899)] - **deps**: uvwasi: cherry-pick ea73af5 (cjihrig) [#31432](https://github.com/nodejs/node/pull/31432)
* \[[`04f2799ed2`](https://github.com/nodejs/node/commit/04f2799ed2)] - **deps**: update to uvwasi 0.0.5 (cjihrig) [#31432](https://github.com/nodejs/node/pull/31432)
* \[[`7c4f1ed030`](https://github.com/nodejs/node/commit/7c4f1ed030)] - **deps**: uvwasi: cherry-pick 941bedf (cjihrig) [#31363](https://github.com/nodejs/node/pull/31363)
* \[[`00e38a749a`](https://github.com/nodejs/node/commit/00e38a749a)] - **deps**: port uvwasi\@676ba9a to gyp (cjihrig) [#31363](https://github.com/nodejs/node/pull/31363)
* \[[`5bd3f6c258`](https://github.com/nodejs/node/commit/5bd3f6c258)] - **deps,test**: update to uvwasi 0.0.4 (cjihrig) [#31363](https://github.com/nodejs/node/pull/31363)
* \[[`2cd8461e56`](https://github.com/nodejs/node/commit/2cd8461e56)] - **doc**: add glossary.md (gengjiawen) [#27517](https://github.com/nodejs/node/pull/27517)
* \[[`c4613c6b8b`](https://github.com/nodejs/node/commit/c4613c6b8b)] - **doc**: add prerequisites information for Arch (Ujjwal Sharma) [#31669](https://github.com/nodejs/node/pull/31669)
* \[[`b35f83e69b`](https://github.com/nodejs/node/commit/b35f83e69b)] - **doc**: fix typo on fs docs (Juan José Arboleda) [#31620](https://github.com/nodejs/node/pull/31620)
* \[[`2ff812ca84`](https://github.com/nodejs/node/commit/2ff812ca84)] - **doc**: update contact email for @ryzokuken (Ujjwal Sharma) [#31670](https://github.com/nodejs/node/pull/31670)
* \[[`2c83946757`](https://github.com/nodejs/node/commit/2c83946757)] - **doc**: fix default server timeout description for https (Andrey Pechkurov) [#31692](https://github.com/nodejs/node/pull/31692)
* \[[`b56a21fdad`](https://github.com/nodejs/node/commit/b56a21fdad)] - **doc**: add directions to mark a release line as lts (Danielle Adams) [#31724](https://github.com/nodejs/node/pull/31724)
* \[[`5ae40cd2b2`](https://github.com/nodejs/node/commit/5ae40cd2b2)] - **doc**: expand C++ README with information about exception handling (Anna Henningsen) [#31720](https://github.com/nodejs/node/pull/31720)
* \[[`94a0ec1b99`](https://github.com/nodejs/node/commit/94a0ec1b99)] - **doc**: update foundation name in onboarding (Tobias Nießen) [#31719](https://github.com/nodejs/node/pull/31719)
* \[[`fda97fa772`](https://github.com/nodejs/node/commit/fda97fa772)] - **doc**: reword possessive form of Node.js in zlib.md (Rich Trott) [#31713](https://github.com/nodejs/node/pull/31713)
* \[[`eea58cd3d5`](https://github.com/nodejs/node/commit/eea58cd3d5)] - **doc**: reword possessive form of Node.js in modules.md (Rich Trott) [#31713](https://github.com/nodejs/node/pull/31713)
* \[[`d0238190a1`](https://github.com/nodejs/node/commit/d0238190a1)] - **doc**: reword possessive form of Node.js in repl.md (Rich Trott) [#31713](https://github.com/nodejs/node/pull/31713)
* \[[`55a25b3bbe`](https://github.com/nodejs/node/commit/55a25b3bbe)] - **doc**: reword section title in addons.md (Rich Trott) [#31713](https://github.com/nodejs/node/pull/31713)
* \[[`ba9fae058a`](https://github.com/nodejs/node/commit/ba9fae058a)] - **doc**: revise deepEqual() legacy assertion mode text (Rich Trott) [#31704](https://github.com/nodejs/node/pull/31704)
* \[[`f6d78f959f`](https://github.com/nodejs/node/commit/f6d78f959f)] - **doc**: improve strict assertion mode color text (Rich Trott) [#31703](https://github.com/nodejs/node/pull/31703)
* \[[`22cf3e3d4e`](https://github.com/nodejs/node/commit/22cf3e3d4e)] - **doc**: consolidate introductory text (Rich Trott) [#31667](https://github.com/nodejs/node/pull/31667)
* \[[`1e2327d9e6`](https://github.com/nodejs/node/commit/1e2327d9e6)] - **doc**: simplify async\_hooks overview (Rich Trott) [#31660](https://github.com/nodejs/node/pull/31660)
* \[[`77ec381ea2`](https://github.com/nodejs/node/commit/77ec381ea2)] - **doc**: clarify Worker exit/message event ordering (Anna Henningsen) [#31642](https://github.com/nodejs/node/pull/31642)
* \[[`4b0085c7e3`](https://github.com/nodejs/node/commit/4b0085c7e3)] - **doc**: update TSC name in "Release Process" (Tobias Nießen) [#31652](https://github.com/nodejs/node/pull/31652)
* \[[`2e6c737281`](https://github.com/nodejs/node/commit/2e6c737281)] - **doc**: remove .github/ISSUE\_TEMPLATE.md in favor of the template folder (Joyee Cheung) [#31656](https://github.com/nodejs/node/pull/31656)
* \[[`b61b85ccf9`](https://github.com/nodejs/node/commit/b61b85ccf9)] - **doc**: add note in BUILDING.md about running `make distclean` (Swagat Konchada) [#31542](https://github.com/nodejs/node/pull/31542)
* \[[`2991e7c0e3`](https://github.com/nodejs/node/commit/2991e7c0e3)] - **doc**: correct getting an ArrayBuffer's length (tsabolov) [#31632](https://github.com/nodejs/node/pull/31632)
* \[[`e27f24987e`](https://github.com/nodejs/node/commit/e27f24987e)] - **doc**: ask more questions in the bug report template (Joyee Cheung) [#31611](https://github.com/nodejs/node/pull/31611)
* \[[`b50a6cc54d`](https://github.com/nodejs/node/commit/b50a6cc54d)] - **doc**: add example to fs.promises.readdir (Conor ONeill) [#31552](https://github.com/nodejs/node/pull/31552)
* \[[`1dbe765b0b`](https://github.com/nodejs/node/commit/1dbe765b0b)] - **doc**: add AsyncResource + Worker pool example (Anna Henningsen) [#31601](https://github.com/nodejs/node/pull/31601)
* \[[`f40264980e`](https://github.com/nodejs/node/commit/f40264980e)] - **doc**: fix numbering (Steffen) [#31575](https://github.com/nodejs/node/pull/31575)
* \[[`3ba0a22c57`](https://github.com/nodejs/node/commit/3ba0a22c57)] - **doc**: clarify socket.setNoDelay() explanation (Rusty Conover) [#31541](https://github.com/nodejs/node/pull/31541)
* \[[`faec87b7f1`](https://github.com/nodejs/node/commit/faec87b7f1)] - **doc**: list largepage values in --help (cjihrig) [#31537](https://github.com/nodejs/node/pull/31537)
* \[[`2638110cce`](https://github.com/nodejs/node/commit/2638110cce)] - **doc**: clarify require() OS independence (Denys Otrishko) [#31571](https://github.com/nodejs/node/pull/31571)
* \[[`7fe9d5ebd4`](https://github.com/nodejs/node/commit/7fe9d5ebd4)] - **doc**: add protocol option in http2.connect() (Michael Lumish) [#31560](https://github.com/nodejs/node/pull/31560)
* \[[`6626c4de3c`](https://github.com/nodejs/node/commit/6626c4de3c)] - **doc**: clarify that `v8.serialize()` is not deterministic (Anna Henningsen) [#31548](https://github.com/nodejs/node/pull/31548)
* \[[`cde4b51a92`](https://github.com/nodejs/node/commit/cde4b51a92)] - **doc**: update job reference in COLLABORATOR\_GUIDE.md (Richard Lau) [#31557](https://github.com/nodejs/node/pull/31557)
* \[[`4cac2cccd6`](https://github.com/nodejs/node/commit/4cac2cccd6)] - **doc**: simultaneous blog and email of sec announce (Sam Roberts) [#31483](https://github.com/nodejs/node/pull/31483)
* \[[`e2b3e4e0e3`](https://github.com/nodejs/node/commit/e2b3e4e0e3)] - **doc**: update collaborator guide citgm instructions (Robert Nagy) [#31549](https://github.com/nodejs/node/pull/31549)
* \[[`43186e0046`](https://github.com/nodejs/node/commit/43186e0046)] - **doc**: change error message testing policy (Tobias Nießen) [#31421](https://github.com/nodejs/node/pull/31421)
* \[[`a52df55b9a`](https://github.com/nodejs/node/commit/a52df55b9a)] - **doc**: remove redundant properties from headers (XhmikosR) [#31492](https://github.com/nodejs/node/pull/31492)
* \[[`04d783ae71`](https://github.com/nodejs/node/commit/04d783ae71)] - **doc**: update maintaining-V8.md (kenzo-spaulding) [#31503](https://github.com/nodejs/node/pull/31503)
* \[[`f75fe9ab71`](https://github.com/nodejs/node/commit/f75fe9ab71)] - **doc**: enable visual code indication in headers (Rich Trott) [#31493](https://github.com/nodejs/node/pull/31493)
* \[[`8f25e51e4e`](https://github.com/nodejs/node/commit/8f25e51e4e)] - **doc**: clean up and streamline vm.md examples (Denys Otrishko) [#31474](https://github.com/nodejs/node/pull/31474)
* \[[`729b96137e`](https://github.com/nodejs/node/commit/729b96137e)] - **doc**: further fix async iterator example (Robert Nagy) [#31367](https://github.com/nodejs/node/pull/31367)
* \[[`15b24b71ce`](https://github.com/nodejs/node/commit/15b24b71ce)] - **doc**: add ronag to collaborators (Robert Nagy) [#31498](https://github.com/nodejs/node/pull/31498)
* \[[`e9462b4d44`](https://github.com/nodejs/node/commit/e9462b4d44)] - **doc**: fix code display in header glitch (Rich Trott) [#31460](https://github.com/nodejs/node/pull/31460)
* \[[`b1c745877b`](https://github.com/nodejs/node/commit/b1c745877b)] - **doc**: fix syntax in N-API documentation (Tobias Nießen) [#31466](https://github.com/nodejs/node/pull/31466)
* \[[`67d8967f98`](https://github.com/nodejs/node/commit/67d8967f98)] - **doc**: add explanatory to path.resolve description (Yakov Litvin) [#31430](https://github.com/nodejs/node/pull/31430)
* \[[`1099524452`](https://github.com/nodejs/node/commit/1099524452)] - **doc**: document process.std\*.fd (Harshitha KP) [#31395](https://github.com/nodejs/node/pull/31395)
* \[[`843c5c6f46`](https://github.com/nodejs/node/commit/843c5c6f46)] - **doc**: fix several child\_process doc typos (cjihrig) [#31393](https://github.com/nodejs/node/pull/31393)
* \[[`d77099856a`](https://github.com/nodejs/node/commit/d77099856a)] - **doc**: fix a broken link in fs.md (himself65) [#31373](https://github.com/nodejs/node/pull/31373)
* \[[`1e08d3c2f1`](https://github.com/nodejs/node/commit/1e08d3c2f1)] - **doc**: correct added version for --abort-on-uncaught-exception (Anna Henningsen) [#31360](https://github.com/nodejs/node/pull/31360)
* \[[`6055134db6`](https://github.com/nodejs/node/commit/6055134db6)] - **doc**: explain `hex` encoding in Buffer API (Harshitha KP) [#31352](https://github.com/nodejs/node/pull/31352)
* \[[`bd54abe3f7`](https://github.com/nodejs/node/commit/bd54abe3f7)] - **doc**: explain \_writev() API (Harshitha KP) [#31356](https://github.com/nodejs/node/pull/31356)
* \[[`91f5e9b0f7`](https://github.com/nodejs/node/commit/91f5e9b0f7)] - **doc**: document missing properties in child\_process (Harshitha KP) [#31342](https://github.com/nodejs/node/pull/31342)
* \[[`6874deef28`](https://github.com/nodejs/node/commit/6874deef28)] - **doc,assert**: rename "mode" to "assertion mode" (Rich Trott) [#31635](https://github.com/nodejs/node/pull/31635)
* \[[`788ea36ce0`](https://github.com/nodejs/node/commit/788ea36ce0)] - **doc,net**: reword Unix domain path paragraph in net.md (Rich Trott) [#31684](https://github.com/nodejs/node/pull/31684)
* \[[`e3e40a12b0`](https://github.com/nodejs/node/commit/e3e40a12b0)] - **doc,util**: revise util.md introductory paragraph (Rich Trott) [#31685](https://github.com/nodejs/node/pull/31685)
* \[[`e46cfaf146`](https://github.com/nodejs/node/commit/e46cfaf146)] - **errors**: make use of "cannot" consistent (Tobias Nießen) [#31420](https://github.com/nodejs/node/pull/31420)
* \[[`f6392e9fde`](https://github.com/nodejs/node/commit/f6392e9fde)] - **esm**: import.meta.resolve with nodejs: builtins (Guy Bedford) [#31032](https://github.com/nodejs/node/pull/31032)
* \[[`21fc81821f`](https://github.com/nodejs/node/commit/21fc81821f)] - **fs**: set path when mkdir recursive called on file (bcoe) [#31607](https://github.com/nodejs/node/pull/31607)
* \[[`8669ecc8a2`](https://github.com/nodejs/node/commit/8669ecc8a2)] - **fs**: bail on permission error in recursive directory creation (bcoe) [#31505](https://github.com/nodejs/node/pull/31505)
* \[[`2c2b3ba39c`](https://github.com/nodejs/node/commit/2c2b3ba39c)] - **fs**: do not emit 'close' twice if emitClose enabled (Robert Nagy) [#31383](https://github.com/nodejs/node/pull/31383)
* \[[`32ac1be372`](https://github.com/nodejs/node/commit/32ac1be372)] - **fs**: unset FileHandle fd after close (Anna Henningsen) [#31389](https://github.com/nodejs/node/pull/31389)
* \[[`9ecae58643`](https://github.com/nodejs/node/commit/9ecae58643)] - **lib**: delete dead code in SourceMap (Justin Ridgewell) [#31512](https://github.com/nodejs/node/pull/31512)
* \[[`7ecf842429`](https://github.com/nodejs/node/commit/7ecf842429)] - **lib,src**: switch Buffer::kMaxLength to size\_t (Ben Noordhuis) [#31406](https://github.com/nodejs/node/pull/31406)
* \[[`15c8d9ead1`](https://github.com/nodejs/node/commit/15c8d9ead1)] - **meta**: move princejwesley to emeritus (Rich Trott) [#31730](https://github.com/nodejs/node/pull/31730)
* \[[`f5ae510e03`](https://github.com/nodejs/node/commit/f5ae510e03)] - **meta**: move vkurchatkin to emeritus (Rich Trott) [#31729](https://github.com/nodejs/node/pull/31729)
* \[[`cd520ddfef`](https://github.com/nodejs/node/commit/cd520ddfef)] - **meta**: move calvinmetcalf to emeritus (Rich Trott) [#31736](https://github.com/nodejs/node/pull/31736)
* \[[`832255df89`](https://github.com/nodejs/node/commit/832255df89)] - **meta**: fix collaborator list errors in README.md (James M Snell) [#31655](https://github.com/nodejs/node/pull/31655)
* \[[`aa266628ba`](https://github.com/nodejs/node/commit/aa266628ba)] - **module**: drop support for extensionless main entry points in esm (Geoffrey Booth) [#31415](https://github.com/nodejs/node/pull/31415)
* \[[`ca81af7d73`](https://github.com/nodejs/node/commit/ca81af7d73)] - **module**: correct docs about when extensionless files are supported (Geoffrey Booth) [#31415](https://github.com/nodejs/node/pull/31415)
* \[[`6797656d86`](https://github.com/nodejs/node/commit/6797656d86)] - **module**: revert #31021 (Geoffrey Booth) [#31415](https://github.com/nodejs/node/pull/31415)
* \[[`ae2141effc`](https://github.com/nodejs/node/commit/ae2141effc)] - **n-api**: free instance data as reference (Gabriel Schulhof) [#31638](https://github.com/nodejs/node/pull/31638)
* \[[`c8215699ab`](https://github.com/nodejs/node/commit/c8215699ab)] - **n-api**: rename 'promise' parameter to 'value' (Tobias Nießen) [#31544](https://github.com/nodejs/node/pull/31544)
* \[[`5982726ef9`](https://github.com/nodejs/node/commit/5982726ef9)] - **net**: track state of setNoDelay() and prevent unnecessary system calls (Rusty Conover) [#31543](https://github.com/nodejs/node/pull/31543)
* \[[`e7fea14c7b`](https://github.com/nodejs/node/commit/e7fea14c7b)] - **(SEMVER-MINOR)** **perf\_hooks**: add property flags to GCPerformanceEntry (Kirill Fomichev) [#29547](https://github.com/nodejs/node/pull/29547)
* \[[`672315651d`](https://github.com/nodejs/node/commit/672315651d)] - **(SEMVER-MINOR)** **process**: report ArrayBuffer memory in `memoryUsage()` (Anna Henningsen) [#31550](https://github.com/nodejs/node/pull/31550)
* \[[`cd754337f8`](https://github.com/nodejs/node/commit/cd754337f8)] - **process**: fix two overflow cases in SourceMap VLQ decoding (Justin Ridgewell) [#31490](https://github.com/nodejs/node/pull/31490)
* \[[`98f3028c30`](https://github.com/nodejs/node/commit/98f3028c30)] - **readline**: remove intermediate variable (cjihrig) [#31676](https://github.com/nodejs/node/pull/31676)
* \[[`148dfde1d4`](https://github.com/nodejs/node/commit/148dfde1d4)] - **(SEMVER-MINOR)** **readline**: make tab size configurable (Ruben Bridgewater) [#31318](https://github.com/nodejs/node/pull/31318)
* \[[`1bcf2f9423`](https://github.com/nodejs/node/commit/1bcf2f9423)] - **report**: add support for Workers (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`7c2d33f38f`](https://github.com/nodejs/node/commit/7c2d33f38f)] - **src**: use hex not decimal in IsArrayIndex (Shelley Vohr) [#31758](https://github.com/nodejs/node/pull/31758)
* \[[`a095ef0d52`](https://github.com/nodejs/node/commit/a095ef0d52)] - **src**: keep main-thread Isolate attached to platform during Dispose (Anna Henningsen) [#31795](https://github.com/nodejs/node/pull/31795)
* \[[`1dec9d196f`](https://github.com/nodejs/node/commit/1dec9d196f)] - **src**: wrap HostPort in ExclusiveAccess (Ben Noordhuis) [#31717](https://github.com/nodejs/node/pull/31717)
* \[[`e23023d685`](https://github.com/nodejs/node/commit/e23023d685)] - **src**: add ExclusiveAccess class (Ben Noordhuis) [#31717](https://github.com/nodejs/node/pull/31717)
* \[[`54caf76210`](https://github.com/nodejs/node/commit/54caf76210)] - **src**: allow to reuse env options handling (Denys Otrishko) [#31711](https://github.com/nodejs/node/pull/31711)
* \[[`6ad8ca5ecf`](https://github.com/nodejs/node/commit/6ad8ca5ecf)] - **src**: do not unnecessarily re-assign uv handle data (Anna Henningsen) [#31696](https://github.com/nodejs/node/pull/31696)
* \[[`2837788849`](https://github.com/nodejs/node/commit/2837788849)] - **src**: fix compile warnings in node\_url.cc (Anna Henningsen) [#31689](https://github.com/nodejs/node/pull/31689)
* \[[`1d34ab5e43`](https://github.com/nodejs/node/commit/1d34ab5e43)] - **src**: modernized unique\_ptr construction (Yuhanun Citgez) [#31654](https://github.com/nodejs/node/pull/31654)
* \[[`0e44902b85`](https://github.com/nodejs/node/commit/0e44902b85)] - **src**: remove dead code in InternalMakeCallback (Gerhard Stoebich) [#31622](https://github.com/nodejs/node/pull/31622)
* \[[`348c7871b6`](https://github.com/nodejs/node/commit/348c7871b6)] - **src**: remove fixed-size GetHumanReadableProcessName (Ben Noordhuis) [#31633](https://github.com/nodejs/node/pull/31633)
* \[[`8964077935`](https://github.com/nodejs/node/commit/8964077935)] - **src**: fix OOB reads in process.title getter (Ben Noordhuis) [#31633](https://github.com/nodejs/node/pull/31633)
* \[[`af612bcc21`](https://github.com/nodejs/node/commit/af612bcc21)] - **src**: various minor improvements to node\_url (James M Snell) [#31651](https://github.com/nodejs/node/pull/31651)
* \[[`f0ffa4cb80`](https://github.com/nodejs/node/commit/f0ffa4cb80)] - **src**: fix inspecting `MessagePort` from `init` async hook (Anna Henningsen) [#31600](https://github.com/nodejs/node/pull/31600)
* \[[`425662e2d6`](https://github.com/nodejs/node/commit/425662e2d6)] - **src**: remove unused `Worker::child\_port\_` member (Anna Henningsen) [#31599](https://github.com/nodejs/node/pull/31599)
* \[[`43e2c2e643`](https://github.com/nodejs/node/commit/43e2c2e643)] - **src**: change Fill() to use ParseArrayIndex() (ConorDavenport) [#31591](https://github.com/nodejs/node/pull/31591)
* \[[`42b835412d`](https://github.com/nodejs/node/commit/42b835412d)] - **src**: remove duplicate field env in CryptoJob class (ConorDavenport) [#31554](https://github.com/nodejs/node/pull/31554)
* \[[`9fd1e717e6`](https://github.com/nodejs/node/commit/9fd1e717e6)] - **src**: fix console debug output on Windows (Denys Otrishko) [#31580](https://github.com/nodejs/node/pull/31580)
* \[[`277980d288`](https://github.com/nodejs/node/commit/277980d288)] - **src**: use \_\_executable\_start for linux hugepages (Ben Noordhuis) [#31547](https://github.com/nodejs/node/pull/31547)
* \[[`6d5c3cd7ac`](https://github.com/nodejs/node/commit/6d5c3cd7ac)] - **src**: remove preview for heap dump utilities (Anna Henningsen) [#31570](https://github.com/nodejs/node/pull/31570)
* \[[`c167ae0a87`](https://github.com/nodejs/node/commit/c167ae0a87)] - **src**: fix minor typo in base\_object.h (Daniel Bevenius) [#31535](https://github.com/nodejs/node/pull/31535)
* \[[`f04576ede0`](https://github.com/nodejs/node/commit/f04576ede0)] - **src**: fix debug crash handling null strings (Rusty Conover) [#31523](https://github.com/nodejs/node/pull/31523)
* \[[`ef4d081660`](https://github.com/nodejs/node/commit/ef4d081660)] - **src**: simplify native immediate queue running (Anna Henningsen) [#31502](https://github.com/nodejs/node/pull/31502)
* \[[`bc0c1420f0`](https://github.com/nodejs/node/commit/bc0c1420f0)] - **src**: define noreturn attribute for windows (Alexander Smarus) [#31467](https://github.com/nodejs/node/pull/31467)
* \[[`9e9dbd44fe`](https://github.com/nodejs/node/commit/9e9dbd44fe)] - **src**: reduce code duplication in BootstrapNode (Denys Otrishko) [#31465](https://github.com/nodejs/node/pull/31465)
* \[[`76aad0e5e1`](https://github.com/nodejs/node/commit/76aad0e5e1)] - **src**: use custom fprintf alike to write errors to stderr (Anna Henningsen) [#31446](https://github.com/nodejs/node/pull/31446)
* \[[`a685827a55`](https://github.com/nodejs/node/commit/a685827a55)] - **src**: add C++-style sprintf utility (Anna Henningsen) [#31446](https://github.com/nodejs/node/pull/31446)
* \[[`049a1727d4`](https://github.com/nodejs/node/commit/049a1727d4)] - **src**: harden running native `SetImmediate()`s slightly (Anna Henningsen) [#31468](https://github.com/nodejs/node/pull/31468)
* \[[`f56de5a3b4`](https://github.com/nodejs/node/commit/f56de5a3b4)] - **src**: move MemoryInfo() for worker code to .cc files (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`0cacc1facf`](https://github.com/nodejs/node/commit/0cacc1facf)] - **src**: add interrupts to Environments/Workers (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`f8c45b277f`](https://github.com/nodejs/node/commit/f8c45b277f)] - **src**: remove AsyncRequest (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`600e96ec04`](https://github.com/nodejs/node/commit/600e96ec04)] - **src**: add a threadsafe variant of SetImmediate() (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`74a7cdbe05`](https://github.com/nodejs/node/commit/74a7cdbe05)] - **src**: exclude C++ SetImmediate() from count (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`53e566bc50`](https://github.com/nodejs/node/commit/53e566bc50)] - **src**: better encapsulate native immediate list (Anna Henningsen) [#31386](https://github.com/nodejs/node/pull/31386)
* \[[`b8face28e7`](https://github.com/nodejs/node/commit/b8face28e7)] - **src**: reduce large pages code duplication (Gabriel Schulhof) [#31385](https://github.com/nodejs/node/pull/31385)
* \[[`83dd65a469`](https://github.com/nodejs/node/commit/83dd65a469)] - **src**: fix ignore GCC -Wcast-function-type for older compilers (Denys Otrishko) [#31524](https://github.com/nodejs/node/pull/31524)
* \[[`13c6965703`](https://github.com/nodejs/node/commit/13c6965703)] - **src**: ignore GCC -Wcast-function-type for v8.h (Daniel Bevenius) [#31475](https://github.com/nodejs/node/pull/31475)
* \[[`3dd4089b9a`](https://github.com/nodejs/node/commit/3dd4089b9a)] - **(SEMVER-MINOR)** **src,lib**: make ^C print a JS stack trace (legendecas) [#29207](https://github.com/nodejs/node/pull/29207)
* \[[`6d0b2267ce`](https://github.com/nodejs/node/commit/6d0b2267ce)] - **stream**: fix finished w/ 'close' before 'finish' (Robert Nagy) [#31534](https://github.com/nodejs/node/pull/31534)
* \[[`80e75ab389`](https://github.com/nodejs/node/commit/80e75ab389)] - **stream**: add regression test for async iteration completion (Matteo Collina) [#31508](https://github.com/nodejs/node/pull/31508)
* \[[`538582b43d`](https://github.com/nodejs/node/commit/538582b43d)] - _**Revert**_ "**stream**: fix async iterator destroyed error propagation" (Matteo Collina) [#31508](https://github.com/nodejs/node/pull/31508)
* \[[`f255053033`](https://github.com/nodejs/node/commit/f255053033)] - **stream**: fix finished writable/readable state (Robert Nagy) [#31527](https://github.com/nodejs/node/pull/31527)
* \[[`3046648580`](https://github.com/nodejs/node/commit/3046648580)] - **stream**: implement throw for async iterator (Robert Nagy) [#31316](https://github.com/nodejs/node/pull/31316)
* \[[`5a95fa4aeb`](https://github.com/nodejs/node/commit/5a95fa4aeb)] - **stream**: normalize async iterator stream destroy (Robert Nagy) [#31316](https://github.com/nodejs/node/pull/31316)
* \[[`20d0a0e9a7`](https://github.com/nodejs/node/commit/20d0a0e9a7)] - **stream**: add async iterator support for v1 streams (Robert Nagy) [#31316](https://github.com/nodejs/node/pull/31316)
* \[[`0654e6790d`](https://github.com/nodejs/node/commit/0654e6790d)] - **test**: mark test-fs-stat-bigint flaky on FreeBSD (Rich Trott) [#31728](https://github.com/nodejs/node/pull/31728)
* \[[`6dbe6bde56`](https://github.com/nodejs/node/commit/6dbe6bde56)] - **test**: fix flaky parallel/test-repl-history-navigation test (Ruben Bridgewater) [#31708](https://github.com/nodejs/node/pull/31708)
* \[[`1dae7dc6bc`](https://github.com/nodejs/node/commit/1dae7dc6bc)] - **test**: improve test-fs-stat-bigint (Rich Trott) [#31726](https://github.com/nodejs/node/pull/31726)
* \[[`fa9b59276d`](https://github.com/nodejs/node/commit/fa9b59276d)] - **test**: remove flaky designation for test-fs-stat-bigint (Rich Trott) [#30437](https://github.com/nodejs/node/pull/30437)
* \[[`d36ba2b555`](https://github.com/nodejs/node/commit/d36ba2b555)] - **test**: fix flaky test-fs-stat-bigint (Duncan Healy) [#30437](https://github.com/nodejs/node/pull/30437)
* \[[`5b3c4b3e7d`](https://github.com/nodejs/node/commit/5b3c4b3e7d)] - _**Revert**_ "**test**: refactor all benchmark tests to use the new test option" (Anna Henningsen) [#31722](https://github.com/nodejs/node/pull/31722)
* \[[`2c0f3028c9`](https://github.com/nodejs/node/commit/2c0f3028c9)] - **test**: add debugging output to test-net-listen-after-destroy-stdin (Rich Trott) [#31698](https://github.com/nodejs/node/pull/31698)
* \[[`2224211609`](https://github.com/nodejs/node/commit/2224211609)] - **test**: improve assertion message in test-dns-any (Rich Trott) [#31697](https://github.com/nodejs/node/pull/31697)
* \[[`b0e37b7180`](https://github.com/nodejs/node/commit/b0e37b7180)] - **test**: fix flaky test-trace-sigint-on-idle (Anna Henningsen) [#31645](https://github.com/nodejs/node/pull/31645)
* \[[`58f17c0e6b`](https://github.com/nodejs/node/commit/58f17c0e6b)] - **test**: stricter assert color test (Ruben Bridgewater) [#31429](https://github.com/nodejs/node/pull/31429)
* \[[`89dcf733c6`](https://github.com/nodejs/node/commit/89dcf733c6)] - **test**: improve logged errors (Ruben Bridgewater) [#31425](https://github.com/nodejs/node/pull/31425)
* \[[`4878c7a197`](https://github.com/nodejs/node/commit/4878c7a197)] - **test**: refactor all benchmark tests to use the new test option (Ruben Bridgewater) [#31396](https://github.com/nodejs/node/pull/31396)
* \[[`3bcc2da887`](https://github.com/nodejs/node/commit/3bcc2da887)] - **test**: fix test-benchmark-http (Rich Trott) [#31686](https://github.com/nodejs/node/pull/31686)
* \[[`6139d4ea3b`](https://github.com/nodejs/node/commit/6139d4ea3b)] - **test**: fix flaky test-inspector-connect-main-thread (Anna Henningsen) [#31637](https://github.com/nodejs/node/pull/31637)
* \[[`13c256d31d`](https://github.com/nodejs/node/commit/13c256d31d)] - **test**: add test-dns-promises-lookupService (Rich Trott) [#31640](https://github.com/nodejs/node/pull/31640)
* \[[`23fefba84c`](https://github.com/nodejs/node/commit/23fefba84c)] - **test**: fix flaky test-http2-stream-destroy-event-order (Anna Henningsen) [#31610](https://github.com/nodejs/node/pull/31610)
* \[[`435b9c977a`](https://github.com/nodejs/node/commit/435b9c977a)] - **test**: abstract common assertions in readline-interface test (Ruben Bridgewater) [#31423](https://github.com/nodejs/node/pull/31423)
* \[[`d2a12d3af8`](https://github.com/nodejs/node/commit/d2a12d3af8)] - **test**: refactor test-readline-interface.js (Ruben Bridgewater) [#31423](https://github.com/nodejs/node/pull/31423)
* \[[`7c3cc94b9f`](https://github.com/nodejs/node/commit/7c3cc94b9f)] - **test**: unset NODE\_OPTIONS for cctest (Anna Henningsen) [#31594](https://github.com/nodejs/node/pull/31594)
* \[[`62d0c6029d`](https://github.com/nodejs/node/commit/62d0c6029d)] - **test**: simplify test-https-simple.js (Sam Roberts) [#31584](https://github.com/nodejs/node/pull/31584)
* \[[`49be50051c`](https://github.com/nodejs/node/commit/49be50051c)] - **test**: show child stderr output in largepages test (Ben Noordhuis) [#31612](https://github.com/nodejs/node/pull/31612)
* \[[`c3247fedd9`](https://github.com/nodejs/node/commit/c3247fedd9)] - **test**: mark additional tests as flaky on Windows (Anna Henningsen) [#31606](https://github.com/nodejs/node/pull/31606)
* \[[`3fdec1c790`](https://github.com/nodejs/node/commit/3fdec1c790)] - **test**: fix flaky test-memory-usage (Anna Henningsen) [#31602](https://github.com/nodejs/node/pull/31602)
* \[[`23da559ab2`](https://github.com/nodejs/node/commit/23da559ab2)] - **test**: verify threadId in reports (Dylan Coakley) [#31556](https://github.com/nodejs/node/pull/31556)
* \[[`5a12cd636b`](https://github.com/nodejs/node/commit/5a12cd636b)] - **test**: remove --experimental-worker flag comment (Harshitha KP) [#31563](https://github.com/nodejs/node/pull/31563)
* \[[`07525c317e`](https://github.com/nodejs/node/commit/07525c317e)] - **test**: make test-http2-buffersize more correct (Anna Henningsen) [#31502](https://github.com/nodejs/node/pull/31502)
* \[[`c4a2f94a11`](https://github.com/nodejs/node/commit/c4a2f94a11)] - **test**: cover property n-api null cases (Gabriel Schulhof) [#31488](https://github.com/nodejs/node/pull/31488)
* \[[`f2dc694805`](https://github.com/nodejs/node/commit/f2dc694805)] - **test**: fix test-heapdump-worker (Anna Henningsen) [#31494](https://github.com/nodejs/node/pull/31494)
* \[[`b25ea9b1dc`](https://github.com/nodejs/node/commit/b25ea9b1dc)] - **test**: add tests for main() argument handling (cjihrig) [#31426](https://github.com/nodejs/node/pull/31426)
* \[[`38ea53629b`](https://github.com/nodejs/node/commit/38ea53629b)] - **test**: add wasi test for freopen() (cjihrig) [#31432](https://github.com/nodejs/node/pull/31432)
* \[[`c2792aad44`](https://github.com/nodejs/node/commit/c2792aad44)] - **test**: remove bluebird remnants from test fixture (Rich Trott) [#31435](https://github.com/nodejs/node/pull/31435)
* \[[`583d1d9f55`](https://github.com/nodejs/node/commit/583d1d9f55)] - **test**: improve wasi stat test (cjihrig) [#31413](https://github.com/nodejs/node/pull/31413)
* \[[`676b84a803`](https://github.com/nodejs/node/commit/676b84a803)] - **(SEMVER-MINOR)** **test**: skip keygen tests on arm systems (Tobias Nießen) [#31178](https://github.com/nodejs/node/pull/31178)
* \[[`099c921f40`](https://github.com/nodejs/node/commit/099c921f40)] - **test**: add wasi test for symlink() and readlink() (cjihrig) [#31403](https://github.com/nodejs/node/pull/31403)
* \[[`6256d0ae92`](https://github.com/nodejs/node/commit/6256d0ae92)] - **test**: update postmortem test with v12 constants (Matheus Marchini) [#31391](https://github.com/nodejs/node/pull/31391)
* \[[`0bafb5c8c8`](https://github.com/nodejs/node/commit/0bafb5c8c8)] - **test**: export public symbols in addons tests (Ben Noordhuis) [#28717](https://github.com/nodejs/node/pull/28717)
* \[[`6833f62e9d`](https://github.com/nodejs/node/commit/6833f62e9d)] - **test**: add promises metadata to postmortem test (Matheus Marchini) [#31357](https://github.com/nodejs/node/pull/31357)
* \[[`41524282b5`](https://github.com/nodejs/node/commit/41524282b5)] - **test,benchmark**: fix test-benchmark-zlib (Rich Trott) [#31538](https://github.com/nodejs/node/pull/31538)
* \[[`c34872e464`](https://github.com/nodejs/node/commit/c34872e464)] - **test,dns**: add coverage for dns exception (Rich Trott) [#31678](https://github.com/nodejs/node/pull/31678)
* \[[`03aac4e65d`](https://github.com/nodejs/node/commit/03aac4e65d)] - **tls**: simplify errors using ThrowCryptoError (Tobias Nießen) [#31436](https://github.com/nodejs/node/pull/31436)
* \[[`95d509e974`](https://github.com/nodejs/node/commit/95d509e974)] - **tools**: update Markdown linter to be cross-platform (Derek Lewis) [#31239](https://github.com/nodejs/node/pull/31239)
* \[[`328b8a6444`](https://github.com/nodejs/node/commit/328b8a6444)] - **tools**: unify make-v8.sh for ppc64le and s390x (Richard Lau) [#31628](https://github.com/nodejs/node/pull/31628)
* \[[`39c86bbe4c`](https://github.com/nodejs/node/commit/39c86bbe4c)] - **tools**: replace deprecated iteritems() for items() (Giovanny Andres Gongora Granada (Gioyik)) [#31528](https://github.com/nodejs/node/pull/31528)
* \[[`be55f3ec4f`](https://github.com/nodejs/node/commit/be55f3ec4f)] - **tty**: do not end in an infinite warning recursion (Ruben Bridgewater) [#31429](https://github.com/nodejs/node/pull/31429)
* \[[`a0c1ceddbc`](https://github.com/nodejs/node/commit/a0c1ceddbc)] - **util**: throw if unreachable TypedArray checking code is reached (Rich Trott) [#31737](https://github.com/nodejs/node/pull/31737)
* \[[`7b9d6d08f4`](https://github.com/nodejs/node/commit/7b9d6d08f4)] - **util**: add coverage for util.inspect.colors alias setter (Rich Trott) [#31743](https://github.com/nodejs/node/pull/31743)
* \[[`9f9edc2c78`](https://github.com/nodejs/node/commit/9f9edc2c78)] - **util**: throw if unreachable code is reached (Rich Trott) [#31712](https://github.com/nodejs/node/pull/31712)
* \[[`5e1bee817c`](https://github.com/nodejs/node/commit/5e1bee817c)] - **util**: fix inspection of typed arrays with unusual length (Ruben Bridgewater) [#31458](https://github.com/nodejs/node/pull/31458)
* \[[`3da4d5174c`](https://github.com/nodejs/node/commit/3da4d5174c)] - **util**: improve unicode support (Ruben Bridgewater) [#31319](https://github.com/nodejs/node/pull/31319)
* \[[`822f2ac640`](https://github.com/nodejs/node/commit/822f2ac640)] - **worker**: add support for .cjs extension (Antoine du HAMEL) [#31662](https://github.com/nodejs/node/pull/31662)
* \[[`cd99dc7368`](https://github.com/nodejs/node/commit/cd99dc7368)] - **worker**: properly handle env and NODE\_OPTIONS in workers (Denys Otrishko) [#31711](https://github.com/nodejs/node/pull/31711)
* \[[`1592c474da`](https://github.com/nodejs/node/commit/1592c474da)] - **worker**: reset `Isolate` stack limit after entering `Locker` (Anna Henningsen) [#31593](https://github.com/nodejs/node/pull/31593)
* \[[`3e5803f91b`](https://github.com/nodejs/node/commit/3e5803f91b)] - **worker**: improve MessagePort performance (Anna Henningsen) [#31605](https://github.com/nodejs/node/pull/31605)
* \[[`8d3ffbeb55`](https://github.com/nodejs/node/commit/8d3ffbeb55)] - **(SEMVER-MINOR)** **worker**: add ability to take heap snapshot from parent thread (Anna Henningsen) [#31569](https://github.com/nodejs/node/pull/31569)
* \[[`6fdef457c6`](https://github.com/nodejs/node/commit/6fdef457c6)] - **worker**: remove redundant closing of child port (aaccttrr) [#31555](https://github.com/nodejs/node/pull/31555)
* \[[`5656ec9f71`](https://github.com/nodejs/node/commit/5656ec9f71)] - **worker**: move JoinThread() back into exit callback (Anna Henningsen) [#31468](https://github.com/nodejs/node/pull/31468)

## 2020-02-06, Version 13.8.0 (Current), @BethGriggs

### Notable Changes

This is a security release.

Vulnerabilities fixed:

* **CVE-2019-15606**: HTTP header values do not have trailing OWS trimmed.
* **CVE-2019-15605**: HTTP request smuggling using malformed Transfer-Encoding header.
* **CVE-2019-15604**: Remotely trigger an assertion on a TLS server with a malformed certificate string.

Also, HTTP parsing is more strict to be more secure. Since this may
cause problems in interoperability with some non-conformant HTTP
implementations, it is possible to disable the strict checks with the
`--insecure-http-parser` command line flag, or the `insecureHTTPParser`
http option. Using the insecure HTTP parser should be avoided.

### Commits

* \[[`b7da194714`](https://github.com/nodejs/node/commit/b7da194714)] - **benchmark**: support optional headers with wrk (Sam Roberts) [nodejs-private/node-private#189](https://github.com/nodejs-private/node-private/pull/189)
* \[[`1156a9e5f8`](https://github.com/nodejs/node/commit/1156a9e5f8)] - **crypto**: fix assertion caused by unsupported ext (Fedor Indutny) [nodejs-private/node-private#175](https://github.com/nodejs-private/node-private/pull/175)
* \[[`8f41e837bb`](https://github.com/nodejs/node/commit/8f41e837bb)] - **deps**: update llhttp to 2.0.4 (Beth Griggs) [nodejs-private/node-private#199](https://github.com/nodejs-private/node-private/pull/199)
* \[[`07d56e49cf`](https://github.com/nodejs/node/commit/07d56e49cf)] - **(SEMVER-MINOR)** **http**: make --insecure-http-parser configurable per-stream or per-server (Anna Henningsen) [#31448](https://github.com/nodejs/node/pull/31448)
* \[[`25b6897e8a`](https://github.com/nodejs/node/commit/25b6897e8a)] - **http**: strip trailing OWS from header values (Sam Roberts) [nodejs-private/node-private#189](https://github.com/nodejs-private/node-private/pull/189)
* \[[`eea3a7429b`](https://github.com/nodejs/node/commit/eea3a7429b)] - **test**: using TE to smuggle reqs is not possible (Sam Roberts) [nodejs-private/node-private#199](https://github.com/nodejs-private/node-private/pull/199)

## 2020-01-21, Version 13.7.0 (Current), @codebytere

### Notable Changes

* **deps**:
  * upgrade to libuv 1.34.1 (cjihrig) [#31332](https://github.com/nodejs/node/pull/31332)
  * upgrade npm to 6.13.6 (Ruy Adorno) [#31304](https://github.com/nodejs/node/pull/31304)
* **module**
  * add API for interacting with source maps (bcoe) [#31132](https://github.com/nodejs/node/pull/31132)
  * loader getSource, getFormat, transform hooks (Geoffrey Booth) [#30986](https://github.com/nodejs/node/pull/30986)
  * logical conditional exports ordering (Guy Bedford) [#31008](https://github.com/nodejs/node/pull/31008)
  * unflag conditional exports (Guy Bedford) [#31001](https://github.com/nodejs/node/pull/31001)
* **process**:
  * allow monitoring uncaughtException (Gerhard Stoebich) [#31257](https://github.com/nodejs/node/pull/31257)
* **Added new collaborators**:
  * [GeoffreyBooth](https://github.com/GeoffreyBooth) - Geoffrey Booth. [#31306](https://github.com/nodejs/node/pull/31306)

### Commits

* \[[`9d26358cfe`](https://github.com/nodejs/node/commit/9d26358cfe)] - **async\_hooks**: remove internal only error checking (Anatoli Papirovski) [#30967](https://github.com/nodejs/node/pull/30967)
* \[[`6e978f7d73`](https://github.com/nodejs/node/commit/6e978f7d73)] - **benchmark**: add default type in getstringwidth.js (Rich Trott) [#31377](https://github.com/nodejs/node/pull/31377)
* \[[`317d2dba45`](https://github.com/nodejs/node/commit/317d2dba45)] - **benchmark**: benchmarking impacts of async hooks on promises (legendecas) [#31188](https://github.com/nodejs/node/pull/31188)
* \[[`55e2b4ee3b`](https://github.com/nodejs/node/commit/55e2b4ee3b)] - **build**: remove enable\_vtune from vcbuild.bat (Richard Lau) [#31338](https://github.com/nodejs/node/pull/31338)
* \[[`f11406de43`](https://github.com/nodejs/node/commit/f11406de43)] - **build**: add vs2019 to vcbuild.bat help (Richard Lau) [#31338](https://github.com/nodejs/node/pull/31338)
* \[[`b2180d932a`](https://github.com/nodejs/node/commit/b2180d932a)] - **build**: fix macos runner type in GitHub Action (扩散性百万甜面包) [#31327](https://github.com/nodejs/node/pull/31327)
* \[[`a6e1e9c6c3`](https://github.com/nodejs/node/commit/a6e1e9c6c3)] - **build**: fix step name in GitHub Actions workflow (Richard Lau) [#31323](https://github.com/nodejs/node/pull/31323)
* \[[`0379c319fd`](https://github.com/nodejs/node/commit/0379c319fd)] - **build**: add GitHub actions to run linters (Richard Lau) [#31323](https://github.com/nodejs/node/pull/31323)
* \[[`a31eed0214`](https://github.com/nodejs/node/commit/a31eed0214)] - **build**: silence OpenSSL Windows compiler warnings (Richard Lau) [#31311](https://github.com/nodejs/node/pull/31311)
* \[[`6b118b44e8`](https://github.com/nodejs/node/commit/6b118b44e8)] - **build**: silence c-ares Windows compiler warnings (Richard Lau) [#31311](https://github.com/nodejs/node/pull/31311)
* \[[`7a5d4fad84`](https://github.com/nodejs/node/commit/7a5d4fad84)] - **build**: test Python 3 using GitHub Actions-based CI (cclauss) [#29474](https://github.com/nodejs/node/pull/29474)
* \[[`964371824c`](https://github.com/nodejs/node/commit/964371824c)] - **build**: avoid using CMP for BZ2File (SpaceRacet5w2A6l0I) [#31198](https://github.com/nodejs/node/pull/31198)
* \[[`22859367ca`](https://github.com/nodejs/node/commit/22859367ca)] - **child\_process**: remove unnecessary use of inner state (Chetan Karande) [#29358](https://github.com/nodejs/node/pull/29358)
* \[[`6d6a3e4551`](https://github.com/nodejs/node/commit/6d6a3e4551)] - **deps**: V8: cherry-pick d89f4ef1cd62 (Milad Farazmand) [#31354](https://github.com/nodejs/node/pull/31354)
* \[[`d62d06b3b7`](https://github.com/nodejs/node/commit/d62d06b3b7)] - **deps**: V8: cherry-pick b9d33036e9a8 (Benjamin Coe) [#31335](https://github.com/nodejs/node/pull/31335)
* \[[`51e4a5618b`](https://github.com/nodejs/node/commit/51e4a5618b)] - **deps**: upgrade to libuv 1.34.1 (cjihrig) [#31332](https://github.com/nodejs/node/pull/31332)
* \[[`985f980053`](https://github.com/nodejs/node/commit/985f980053)] - **deps**: upgrade npm to 6.13.6 (Ruy Adorno) [#31304](https://github.com/nodejs/node/pull/31304)
* \[[`6f95f01f95`](https://github.com/nodejs/node/commit/6f95f01f95)] - **deps**: deactivate failing tests corresponding to experimental features (Ruben Bridgewater) [#31289](https://github.com/nodejs/node/pull/31289)
* \[[`aed00d7d68`](https://github.com/nodejs/node/commit/aed00d7d68)] - **doc**: add missing code formatting in vm.md (cjihrig) [#31350](https://github.com/nodejs/node/pull/31350)
* \[[`aedbfdb33a`](https://github.com/nodejs/node/commit/aedbfdb33a)] - **doc**: standardize on "host name" in url.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`28245277d7`](https://github.com/nodejs/node/commit/28245277d7)] - **doc**: standardize on "host name" in tls.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`baeabff896`](https://github.com/nodejs/node/commit/baeabff896)] - **doc**: standardize on "host name" in os.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`94122f611a`](https://github.com/nodejs/node/commit/94122f611a)] - **doc**: standardize on "host name" in net.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`bac588e076`](https://github.com/nodejs/node/commit/bac588e076)] - **doc**: standardize on "host name" in https.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`600eb8b67c`](https://github.com/nodejs/node/commit/600eb8b67c)] - **doc**: standardize on "host name" in http2.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`47f71de786`](https://github.com/nodejs/node/commit/47f71de786)] - **doc**: standardize on "host name" in fs.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`ece70a8288`](https://github.com/nodejs/node/commit/ece70a8288)] - **doc**: standardize on "host name" in errors.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`b8dee4540a`](https://github.com/nodejs/node/commit/b8dee4540a)] - **doc**: standardize on "host name" in dgram.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`8055f78995`](https://github.com/nodejs/node/commit/8055f78995)] - **doc**: standardize on "host name" in deprecations.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`6e9f0daad1`](https://github.com/nodejs/node/commit/6e9f0daad1)] - **doc**: standardize on "host name" in async\_hooks.md (Rich Trott) [#31326](https://github.com/nodejs/node/pull/31326)
* \[[`e1fd6ae4fa`](https://github.com/nodejs/node/commit/e1fd6ae4fa)] - **doc**: fix a code example in crypto.md (himself65) [#31313](https://github.com/nodejs/node/pull/31313)
* \[[`bb9622ba5a`](https://github.com/nodejs/node/commit/bb9622ba5a)] - **doc**: add an example for util.types.isExternal (Harshitha KP) [#31173](https://github.com/nodejs/node/pull/31173)
* \[[`0608873052`](https://github.com/nodejs/node/commit/0608873052)] - **doc**: fix example of parsing request.url (Egor Pavlov) [#31302](https://github.com/nodejs/node/pull/31302)
* \[[`b9aca7849d`](https://github.com/nodejs/node/commit/b9aca7849d)] - **doc**: document readline key bindings (Harshitha KP) [#31256](https://github.com/nodejs/node/pull/31256)
* \[[`6184f1ab70`](https://github.com/nodejs/node/commit/6184f1ab70)] - **doc**: improve doc v8.getHeapSpaceStatistics() 'GetHeapSpaceStatistics' (dev-313) [#31274](https://github.com/nodejs/node/pull/31274)
* \[[`deff60024a`](https://github.com/nodejs/node/commit/deff60024a)] - **doc**: update README to make Node.js description clearer (carterbancroft) [#31266](https://github.com/nodejs/node/pull/31266)
* \[[`8e14066578`](https://github.com/nodejs/node/commit/8e14066578)] - **doc**: fix a code example in zlib.md (Alexander Wang) [#31264](https://github.com/nodejs/node/pull/31264)
* \[[`9c58aa4c75`](https://github.com/nodejs/node/commit/9c58aa4c75)] - **doc**: add GeoffreyBooth to collaborators (Geoffrey Booth) [#31306](https://github.com/nodejs/node/pull/31306)
* \[[`de6f2be0d0`](https://github.com/nodejs/node/commit/de6f2be0d0)] - **doc**: update description of `External` (Anna Henningsen) [#31255](https://github.com/nodejs/node/pull/31255)
* \[[`0e48d8d855`](https://github.com/nodejs/node/commit/0e48d8d855)] - **doc**: rename iterator to iterable in examples (Robert Nagy) [#31252](https://github.com/nodejs/node/pull/31252)
* \[[`d51de787d9`](https://github.com/nodejs/node/commit/d51de787d9)] - **doc**: fix stream async iterator sample (Robert Nagy) [#31252](https://github.com/nodejs/node/pull/31252)
* \[[`3e7b3e3c18`](https://github.com/nodejs/node/commit/3e7b3e3c18)] - **doc**: correct filehandle.\[read|write|append]File() (Bryan English) [#31235](https://github.com/nodejs/node/pull/31235)
* \[[`220ea0c12e`](https://github.com/nodejs/node/commit/220ea0c12e)] - **doc**: prefer server vs srv and client vs clt (Andrew Hughes) [#31224](https://github.com/nodejs/node/pull/31224)
* \[[`c1333ea113`](https://github.com/nodejs/node/commit/c1333ea113)] - **doc**: explain native external types (Harshitha KP) [#31214](https://github.com/nodejs/node/pull/31214)
* \[[`82b447c399`](https://github.com/nodejs/node/commit/82b447c399)] - **doc,src**: clarify that one napi\_env is per-module (legendecas) [#31102](https://github.com/nodejs/node/pull/31102)
* \[[`4981f9721a`](https://github.com/nodejs/node/commit/4981f9721a)] - **errors**: remove dead code in ERR\_INVALID\_ARG\_TYPE (Gerhard Stoebich) [#31322](https://github.com/nodejs/node/pull/31322)
* \[[`b55fba2028`](https://github.com/nodejs/node/commit/b55fba2028)] - **fs**: add missing HandleScope to FileHandle.close (Anna Henningsen) [#31276](https://github.com/nodejs/node/pull/31276)
* \[[`57016b9e66`](https://github.com/nodejs/node/commit/57016b9e66)] - **fs**: use async writeFile in FileHandle#appendFile (Bryan English) [#31235](https://github.com/nodejs/node/pull/31235)
* \[[`52504fb91e`](https://github.com/nodejs/node/commit/52504fb91e)] - **http2**: skip creating native ShutdownWrap (Anna Henningsen) [#31283](https://github.com/nodejs/node/pull/31283)
* \[[`108046d910`](https://github.com/nodejs/node/commit/108046d910)] - **lib**: replace BigInt64Array global by the primordials (Sebastien Ahkrin) [#31193](https://github.com/nodejs/node/pull/31193)
* \[[`02714573ee`](https://github.com/nodejs/node/commit/02714573ee)] - **lib**: add Uint16Array primordials (Sebastien Ahkrin) [#31210](https://github.com/nodejs/node/pull/31210)
* \[[`53e73fc60e`](https://github.com/nodejs/node/commit/53e73fc60e)] - **lib**: add RegExp primordials (Sebastien Ahkrin) [#31208](https://github.com/nodejs/node/pull/31208)
* \[[`f7833ac934`](https://github.com/nodejs/node/commit/f7833ac934)] - **lib**: replace Float32Array global by the primordials (Sebastien Ahkrin) [#31195](https://github.com/nodejs/node/pull/31195)
* \[[`aafeab8cdb`](https://github.com/nodejs/node/commit/aafeab8cdb)] - **lib**: replace BigUInt64Array global by the primordials (Sebastien Ahkrin) [#31194](https://github.com/nodejs/node/pull/31194)
* \[[`ac904f9e65`](https://github.com/nodejs/node/commit/ac904f9e65)] - **lib,tools,test**: remove custom number-isnan rule (cjihrig) [#31211](https://github.com/nodejs/node/pull/31211)
* \[[`cb27c2bd3e`](https://github.com/nodejs/node/commit/cb27c2bd3e)] - **module**: fix check exports issue in cjs module loading (Guy Bedford) [#31427](https://github.com/nodejs/node/pull/31427)
* \[[`ea27e16fc2`](https://github.com/nodejs/node/commit/ea27e16fc2)] - **(SEMVER-MINOR)** **module**: unflag conditional exports (Guy Bedford) [#31001](https://github.com/nodejs/node/pull/31001)
* \[[`4dced024fd`](https://github.com/nodejs/node/commit/4dced024fd)] - **(SEMVER-MINOR)** **module**: add API for interacting with source maps (bcoe) [#31132](https://github.com/nodejs/node/pull/31132)
* \[[`f62fb7603a`](https://github.com/nodejs/node/commit/f62fb7603a)] - **module**: logical conditional exports ordering (Guy Bedford) [#31008](https://github.com/nodejs/node/pull/31008)
* \[[`94af94ae73`](https://github.com/nodejs/node/commit/94af94ae73)] - **module**: loader getSource, getFormat, transform hooks (Geoffrey Booth) [#30986](https://github.com/nodejs/node/pull/30986)
* \[[`c8aa08ed27`](https://github.com/nodejs/node/commit/c8aa08ed27)] - **n-api**: return napi\_invalid\_arg on napi\_create\_bigint\_words (legendecas) [#31312](https://github.com/nodejs/node/pull/31312)
* \[[`0911813862`](https://github.com/nodejs/node/commit/0911813862)] - **(SEMVER-MINOR)** **n-api**: add napi\_get\_all\_property\_names (himself65) [#30006](https://github.com/nodejs/node/pull/30006)
* \[[`79eba6afa3`](https://github.com/nodejs/node/commit/79eba6afa3)] - **(SEMVER-MINOR)** **process**: allow monitoring uncaughtException (Gerhard Stoebich) [#31257](https://github.com/nodejs/node/pull/31257)
* \[[`38811897c0`](https://github.com/nodejs/node/commit/38811897c0)] - **readline**: improve unicode support and tab completion (Ruben Bridgewater) [#31288](https://github.com/nodejs/node/pull/31288)
* \[[`f0506c3dd2`](https://github.com/nodejs/node/commit/f0506c3dd2)] - **readline**: move charLengthLeft() and charLengthAt() (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`7ba21d0e15`](https://github.com/nodejs/node/commit/7ba21d0e15)] - **readline**: improve getStringWidth() (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`686a3bcf92`](https://github.com/nodejs/node/commit/686a3bcf92)] - **readline,repl**: support tabs properly (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`2e54a9922e`](https://github.com/nodejs/node/commit/2e54a9922e)] - **readline,repl**: improve history up/previous (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`cecd25693f`](https://github.com/nodejs/node/commit/cecd25693f)] - **readline,repl**: skip history entries identical to the current line (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`b6f4e01a0e`](https://github.com/nodejs/node/commit/b6f4e01a0e)] - **readline,repl**: add substring based history search (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`85926d4038`](https://github.com/nodejs/node/commit/85926d4038)] - **repl**: do not preview while pasting code (Ruben Bridgewater) [#31315](https://github.com/nodejs/node/pull/31315)
* \[[`c252356d38`](https://github.com/nodejs/node/commit/c252356d38)] - **repl**: fix preview cursor position (Ruben Bridgewater) [#31293](https://github.com/nodejs/node/pull/31293)
* \[[`b9b044b98e`](https://github.com/nodejs/node/commit/b9b044b98e)] - **repl**: change preview default in case of custom eval functions (Ruben Bridgewater) [#31259](https://github.com/nodejs/node/pull/31259)
* \[[`b92d65dbe7`](https://github.com/nodejs/node/commit/b92d65dbe7)] - **repl**: activate previews for lines exceeding the terminal columns (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`d84c394541`](https://github.com/nodejs/node/commit/d84c394541)] - **repl**: improve preview length calculation (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`f8e805985e`](https://github.com/nodejs/node/commit/f8e805985e)] - **repl,readline**: clean up code (Ruben Bridgewater) [#31288](https://github.com/nodejs/node/pull/31288)
* \[[`83f7b5a8a9`](https://github.com/nodejs/node/commit/83f7b5a8a9)] - **src**: fix performance regression in node\_file.cc (Ben Noordhuis) [#31343](https://github.com/nodejs/node/pull/31343)
* \[[`6534c6c7bd`](https://github.com/nodejs/node/commit/6534c6c7bd)] - **src**: use uv\_guess\_handle() to detect TTYs (cjihrig) [#31333](https://github.com/nodejs/node/pull/31333)
* \[[`06fbc03cbd`](https://github.com/nodejs/node/commit/06fbc03cbd)] - **src**: include uv.h in node\_binding header (Shelley Vohr) [#31265](https://github.com/nodejs/node/pull/31265)
* \[[`e3491d7dd6`](https://github.com/nodejs/node/commit/e3491d7dd6)] - **src**: change GetStringWidth's expand\_emoji\_sequence option default (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`d2a10ad847`](https://github.com/nodejs/node/commit/d2a10ad847)] - **src**: improve GetColumnWidth performance (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`d0a96ab700`](https://github.com/nodejs/node/commit/d0a96ab700)] - **src**: fix -Wbraced-scalar-init warning (cjihrig) [#31254](https://github.com/nodejs/node/pull/31254)
* \[[`60942cc2a7`](https://github.com/nodejs/node/commit/60942cc2a7)] - **src**: add build Github Action (gengjiawen) [#31153](https://github.com/nodejs/node/pull/31153)
* \[[`4259afe583`](https://github.com/nodejs/node/commit/4259afe583)] - **src**: remove node::InitializeV8Platform() (Ben Noordhuis) [#31245](https://github.com/nodejs/node/pull/31245)
* \[[`6050236c3d`](https://github.com/nodejs/node/commit/6050236c3d)] - **src**: remove uses of node::InitializeV8Platform() (Ben Noordhuis) [#31245](https://github.com/nodejs/node/pull/31245)
* \[[`1ad907039d`](https://github.com/nodejs/node/commit/1ad907039d)] - **src**: clean up large\_pages code (Denys Otrishko) [#31196](https://github.com/nodejs/node/pull/31196)
* \[[`499c41d78a`](https://github.com/nodejs/node/commit/499c41d78a)] - **stream**: fix async iterator destroyed error propagation (Robert Nagy) [#31314](https://github.com/nodejs/node/pull/31314)
* \[[`d04118f125`](https://github.com/nodejs/node/commit/d04118f125)] - **stream**: simplify push (Robert Nagy) [#31150](https://github.com/nodejs/node/pull/31150)
* \[[`ff60a0e2b1`](https://github.com/nodejs/node/commit/ff60a0e2b1)] - **stream**: clean up definition using defineProperties (antsmartian) [#31236](https://github.com/nodejs/node/pull/31236)
* \[[`9c98d25506`](https://github.com/nodejs/node/commit/9c98d25506)] - **stream**: replace Function.prototype with primordial (Sebastien Ahkrin) [#31204](https://github.com/nodejs/node/pull/31204)
* \[[`256289fe83`](https://github.com/nodejs/node/commit/256289fe83)] - **stream**: sync stream unpipe resume (Robert Nagy) [#31191](https://github.com/nodejs/node/pull/31191)
* \[[`424408005f`](https://github.com/nodejs/node/commit/424408005f)] - **test**: stricten readline keypress failure test condition (Ruben Bridgewater) [#31300](https://github.com/nodejs/node/pull/31300)
* \[[`1df7961b28`](https://github.com/nodejs/node/commit/1df7961b28)] - **test**: allow disabling crypto tests (Shelley Vohr) [#31268](https://github.com/nodejs/node/pull/31268)
* \[[`3c82d5bed2`](https://github.com/nodejs/node/commit/3c82d5bed2)] - **test**: add repl tests to verify unicode support in previews (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`ca51ff8981`](https://github.com/nodejs/node/commit/ca51ff8981)] - **test**: fix recursive rm test to actually use tmpdir (Denys Otrishko) [#31250](https://github.com/nodejs/node/pull/31250)
* \[[`0b88c3d8ed`](https://github.com/nodejs/node/commit/0b88c3d8ed)] - **test**: check that --insecure-http-parser works (Sam Roberts) [#31253](https://github.com/nodejs/node/pull/31253)
* \[[`69c4f229cb`](https://github.com/nodejs/node/commit/69c4f229cb)] - **test**: remove unused symlink loop (cjihrig) [#31267](https://github.com/nodejs/node/pull/31267)
* \[[`d76deca9cf`](https://github.com/nodejs/node/commit/d76deca9cf)] - **test**: prefer server over srv (Andrew Hughes) [#31224](https://github.com/nodejs/node/pull/31224)
* \[[`f93095de6f`](https://github.com/nodejs/node/commit/f93095de6f)] - **test**: fix unit test logging with python3 (Adam Majer) [#31156](https://github.com/nodejs/node/pull/31156)
* \[[`cbd84c5ee1`](https://github.com/nodejs/node/commit/cbd84c5ee1)] - **test,module**: add test for exports cjs loader check (Rich Trott) [#31427](https://github.com/nodejs/node/pull/31427)
* \[[`5dd6fb1529`](https://github.com/nodejs/node/commit/5dd6fb1529)] - **tools**: remove obsolete dependencies (Rich Trott) [#31359](https://github.com/nodejs/node/pull/31359)
* \[[`29e0465104`](https://github.com/nodejs/node/commit/29e0465104)] - **tools**: update remark-preset-lint-node to 1.12.0 (Rich Trott) [#31359](https://github.com/nodejs/node/pull/31359)
* \[[`49364b0835`](https://github.com/nodejs/node/commit/49364b0835)] - **tools**: update JSON header parsing for backticks (Rich Trott) [#31294](https://github.com/nodejs/node/pull/31294)
* \[[`d48f59224b`](https://github.com/nodejs/node/commit/d48f59224b)] - **tools**: ensure consistent perms of signed release files (Rod Vagg) [#29350](https://github.com/nodejs/node/pull/29350)
* \[[`a5311bd757`](https://github.com/nodejs/node/commit/a5311bd757)] - **tools**: add clang-tidy rule in src (gengjiawen) [#26840](https://github.com/nodejs/node/pull/26840)
* \[[`63f4eaefee`](https://github.com/nodejs/node/commit/63f4eaefee)] - **util**: add todo comments for inspect to add unicode support (Ruben Bridgewater) [#31112](https://github.com/nodejs/node/pull/31112)
* \[[`27564a4837`](https://github.com/nodejs/node/commit/27564a4837)] - **(SEMVER-MINOR)** **vm**: add code cache support for SourceTextModule (Gus Caplan) [#31278](https://github.com/nodejs/node/pull/31278)
* \[[`bdaac04c10`](https://github.com/nodejs/node/commit/bdaac04c10)] - **wasi**: improve use of primordials (cjihrig) [#31212](https://github.com/nodejs/node/pull/31212)
* \[[`66fe92353b`](https://github.com/nodejs/node/commit/66fe92353b)] - **win**: change to use Python in install tool (gengjiawen) [#31221](https://github.com/nodejs/node/pull/31221)

## 2020-01-07, Version 13.6.0 (Current), @BridgeAR

### Notable Changes

* **assert**:
  * Implement `assert.match()` and `assert.doesNotMatch()` (Ruben Bridgewater) [#30929](https://github.com/nodejs/node/pull/30929)
* **events**:
  * Add `EventEmitter.on` to async iterate over events (Matteo Collina) [#27994](https://github.com/nodejs/node/pull/27994)
  * Allow monitoring error events (Gerhard Stoebich) [#30932](https://github.com/nodejs/node/pull/30932)
* **fs**:
  * Allow overriding `fs` for streams (Robert Nagy) [#29083](https://github.com/nodejs/node/pull/29083)
* **perf\_hooks**:
  * Move `perf_hooks` out of experimental (legendecas) [#31101](https://github.com/nodejs/node/pull/31101)
* **repl**:
  * Implement ZSH-like reverse-i-search (Ruben Bridgewater) [#31006](https://github.com/nodejs/node/pull/31006)
* **tls**:
  * Add PSK (pre-shared key) support (Denys Otrishko) [#23188](https://github.com/nodejs/node/pull/23188)

### Commits

* \[[`d831dc1b77`](https://github.com/nodejs/node/commit/d831dc1b77)] - **(SEMVER-MINOR)** **assert**: implement `assert.match()` and `assert.doesNotMatch()` (Ruben Bridgewater) [#30929](https://github.com/nodejs/node/pull/30929)
* \[[`f8aa365508`](https://github.com/nodejs/node/commit/f8aa365508)] - **assert**: use for...of (Soar) [#30983](https://github.com/nodejs/node/pull/30983)
* \[[`5fccb508e9`](https://github.com/nodejs/node/commit/5fccb508e9)] - **benchmark**: use let instead of var in dgram (dnlup) [#31175](https://github.com/nodejs/node/pull/31175)
* \[[`827d3fea0e`](https://github.com/nodejs/node/commit/827d3fea0e)] - **benchmark**: add benchmark on async\_hooks enabled http server (legendecas) [#31100](https://github.com/nodejs/node/pull/31100)
* \[[`b193142e0a`](https://github.com/nodejs/node/commit/b193142e0a)] - **benchmark**: use let instead of var in crypto (dnlup) [#31135](https://github.com/nodejs/node/pull/31135)
* \[[`b8ccf30ac1`](https://github.com/nodejs/node/commit/b8ccf30ac1)] - **benchmark**: replace var with let/const in cluster benchmark (dnlup) [#31042](https://github.com/nodejs/node/pull/31042)
* \[[`01fd3be84a`](https://github.com/nodejs/node/commit/01fd3be84a)] - **benchmark**: include writev in benchmark (Robert Nagy) [#31066](https://github.com/nodejs/node/pull/31066)
* \[[`ca53f02767`](https://github.com/nodejs/node/commit/ca53f02767)] - **benchmark**: use let instead of var in child\_process (dnlup) [#31043](https://github.com/nodejs/node/pull/31043)
* \[[`625744d292`](https://github.com/nodejs/node/commit/625744d292)] - **benchmark**: add clear connections to secure-pair (Diego Lafuente) [#27971](https://github.com/nodejs/node/pull/27971)
* \[[`0e864a383c`](https://github.com/nodejs/node/commit/0e864a383c)] - **benchmark**: update manywrites back pressure (Robert Nagy) [#30977](https://github.com/nodejs/node/pull/30977)
* \[[`37ffa8c2ae`](https://github.com/nodejs/node/commit/37ffa8c2ae)] - **bootstrap**: use different scripts to setup different configurations (Joyee Cheung) [#30862](https://github.com/nodejs/node/pull/30862)
* \[[`4df365256f`](https://github.com/nodejs/node/commit/4df365256f)] - **buffer**: improve .from() error details (Ruben Bridgewater) [#29675](https://github.com/nodejs/node/pull/29675)
* \[[`9b7cf090c7`](https://github.com/nodejs/node/commit/9b7cf090c7)] - **build**: don't use -latomic on macOS (Ryan Schmidt) [#30099](https://github.com/nodejs/node/pull/30099)
* \[[`d2ab877b72`](https://github.com/nodejs/node/commit/d2ab877b72)] - **build**: warn upon --use-largepages config option (Gabriel Schulhof) [#31103](https://github.com/nodejs/node/pull/31103)
* \[[`ca05a5bb64`](https://github.com/nodejs/node/commit/ca05a5bb64)] - **build**: switch realpath to pwd (bcoe) [#31095](https://github.com/nodejs/node/pull/31095)
* \[[`d131877398`](https://github.com/nodejs/node/commit/d131877398)] - **build**: fixes build for some os versions (David Carlier)
* \[[`baf8730a47`](https://github.com/nodejs/node/commit/baf8730a47)] - **build**: re-introduce --use-largepages as no-op (Gabriel Schulhof)
* \[[`ca235112ae`](https://github.com/nodejs/node/commit/ca235112ae)] - **deps**: V8: backport a4545db (David Carlier) [#31127](https://github.com/nodejs/node/pull/31127)
* \[[`e2ef1a9e63`](https://github.com/nodejs/node/commit/e2ef1a9e63)] - **deps**: V8: bump v8\_embedder\_string for 0e21c1e637bf (Сковорода Никита Андреевич) [#31096](https://github.com/nodejs/node/pull/31096)
* \[[`2ec817e02d`](https://github.com/nodejs/node/commit/2ec817e02d)] - **deps**: uvwasi: cherry-pick 75b389c (cjihrig) [#31076](https://github.com/nodejs/node/pull/31076)
* \[[`a5937c7b6c`](https://github.com/nodejs/node/commit/a5937c7b6c)] - **deps**: uvwasi: cherry-pick 64e59d5 (cjihrig) [#31076](https://github.com/nodejs/node/pull/31076)
* \[[`647f3c7639`](https://github.com/nodejs/node/commit/647f3c7639)] - **deps**: V8: cherry-pick 687d865fe251 (Сковорода Никита Андреевич) [#31007](https://github.com/nodejs/node/pull/31007)
* \[[`7fe8399e08`](https://github.com/nodejs/node/commit/7fe8399e08)] - **deps**: V8: cherry-pick d406bfd64653 (Sam Roberts) [#30819](https://github.com/nodejs/node/pull/30819)
* \[[`7e13ae7757`](https://github.com/nodejs/node/commit/7e13ae7757)] - **deps**: V8: cherry-pick d3a1a5b6c491 (Michaël Zasso) [#31005](https://github.com/nodejs/node/pull/31005)
* \[[`32805a9525`](https://github.com/nodejs/node/commit/32805a9525)] - **deps,src,test**: update to uvwasi 0.0.3 (cjihrig) [#30980](https://github.com/nodejs/node/pull/30980)
* \[[`44d03e81d4`](https://github.com/nodejs/node/commit/44d03e81d4)] - **dgram**: test to add and to drop specific membership (A. Volgin) [#31047](https://github.com/nodejs/node/pull/31047)
* \[[`21ef3d615e`](https://github.com/nodejs/node/commit/21ef3d615e)] - **dgram**: use for...of (Trivikram Kamat) [#30999](https://github.com/nodejs/node/pull/30999)
* \[[`7b696fe9f4`](https://github.com/nodejs/node/commit/7b696fe9f4)] - **doc**: remove extra backtick (cjihrig) [#31186](https://github.com/nodejs/node/pull/31186)
* \[[`dba2ab75d9`](https://github.com/nodejs/node/commit/dba2ab75d9)] - **doc**: use code markup/markdown in headers (Ruben Bridgewater) [#31149](https://github.com/nodejs/node/pull/31149)
* \[[`cc44325eed`](https://github.com/nodejs/node/commit/cc44325eed)] - **doc**: update REPL documentation to instantiate the REPL (Ruben Bridgewater) [#30928](https://github.com/nodejs/node/pull/30928)
* \[[`d3a8088cd5`](https://github.com/nodejs/node/commit/d3a8088cd5)] - **doc**: improve explanation of package.json "type" field (Ronald J Kimball) [#27516](https://github.com/nodejs/node/pull/27516)
* \[[`33352c2433`](https://github.com/nodejs/node/commit/33352c2433)] - **doc**: clarify role of writable.cork() (Colin Grant) [#30442](https://github.com/nodejs/node/pull/30442)
* \[[`b657a64b77`](https://github.com/nodejs/node/commit/b657a64b77)] - **doc**: de-duplicate security release processes (Sam Roberts) [#30996](https://github.com/nodejs/node/pull/30996)
* \[[`18b34def41`](https://github.com/nodejs/node/commit/18b34def41)] - **doc**: fix createDiffieHellman generator type (Tobias Nießen) [#31121](https://github.com/nodejs/node/pull/31121)
* \[[`1fa8e49f7e`](https://github.com/nodejs/node/commit/1fa8e49f7e)] - **doc**: update mode type for mkdir() functions (cjihrig) [#31115](https://github.com/nodejs/node/pull/31115)
* \[[`a37a88f40d`](https://github.com/nodejs/node/commit/a37a88f40d)] - **doc**: update mode type for process.umask() (cjihrig) [#31115](https://github.com/nodejs/node/pull/31115)
* \[[`2313b9e33b`](https://github.com/nodejs/node/commit/2313b9e33b)] - **doc**: update mode type for fs open() functions (cjihrig) [#31115](https://github.com/nodejs/node/pull/31115)
* \[[`53c6a1ee34`](https://github.com/nodejs/node/commit/53c6a1ee34)] - **doc**: update mode type for fchmod() functions (cjihrig) [#31115](https://github.com/nodejs/node/pull/31115)
* \[[`68557889d3`](https://github.com/nodejs/node/commit/68557889d3)] - **doc**: update parameter type for fsPromises.chmod() (cjihrig) [#31115](https://github.com/nodejs/node/pull/31115)
* \[[`72d70d5102`](https://github.com/nodejs/node/commit/72d70d5102)] - **doc**: improve dns introduction (Rich Trott) [#31090](https://github.com/nodejs/node/pull/31090)
* \[[`4c29a6ee15`](https://github.com/nodejs/node/commit/4c29a6ee15)] - **doc**: update parameter type for fs.chmod() (Santosh Yadav) [#31085](https://github.com/nodejs/node/pull/31085)
* \[[`dcce8b68b2`](https://github.com/nodejs/node/commit/dcce8b68b2)] - **doc**: use code markup/markdown in headers in globals documentation (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`7afe69cee0`](https://github.com/nodejs/node/commit/7afe69cee0)] - **doc**: use code markup/markdown in headers in deprecations documentation (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`ff828900f6`](https://github.com/nodejs/node/commit/ff828900f6)] - **doc**: use code markup/markdown in headers in addons documentation (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`ce60a80944`](https://github.com/nodejs/node/commit/ce60a80944)] - **doc**: allow \<code> in header elements (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`1033760874`](https://github.com/nodejs/node/commit/1033760874)] - **doc**: add --inspect-publish-uid man page entry (cjihrig) [#31077](https://github.com/nodejs/node/pull/31077)
* \[[`23013e3e31`](https://github.com/nodejs/node/commit/23013e3e31)] - **doc**: add --force-context-aware man page entry (cjihrig) [#31077](https://github.com/nodejs/node/pull/31077)
* \[[`efc97fd927`](https://github.com/nodejs/node/commit/efc97fd927)] - **doc**: add --enable-source-maps man page entry (cjihrig) [#31077](https://github.com/nodejs/node/pull/31077)
* \[[`4292f64c27`](https://github.com/nodejs/node/commit/4292f64c27)] - **doc**: fix anchors and subtitle in BUILDING.md (sutangu) [#30296](https://github.com/nodejs/node/pull/30296)
* \[[`1357c97a70`](https://github.com/nodejs/node/commit/1357c97a70)] - **doc**: standardize usage of hostname vs. host name (Rich Trott) [#31073](https://github.com/nodejs/node/pull/31073)
* \[[`4caf4578fe`](https://github.com/nodejs/node/commit/4caf4578fe)] - **doc**: add unrepresented flags docs for configure (Pranshu Srivastava) [#28069](https://github.com/nodejs/node/pull/28069)
* \[[`9141366e09`](https://github.com/nodejs/node/commit/9141366e09)] - **doc**: improve doc net:server.listen (dev-313) [#31064](https://github.com/nodejs/node/pull/31064)
* \[[`69d6e9732b`](https://github.com/nodejs/node/commit/69d6e9732b)] - **doc**: implement minor improvements to BUILDING.md text (Rich Trott) [#31070](https://github.com/nodejs/node/pull/31070)
* \[[`a7988ab0fa`](https://github.com/nodejs/node/commit/a7988ab0fa)] - **doc**: avoid using v8::Persistent in addon docs (Anna Henningsen) [#31018](https://github.com/nodejs/node/pull/31018)
* \[[`a3861147e5`](https://github.com/nodejs/node/commit/a3861147e5)] - **doc**: clarify required flag for extensionless esm (Lucas Azzola) [#30657](https://github.com/nodejs/node/pull/30657)
* \[[`cc8c0b4cde`](https://github.com/nodejs/node/commit/cc8c0b4cde)] - **doc**: reference worker threads on signal events (legendecas) [#30990](https://github.com/nodejs/node/pull/30990)
* \[[`7815d5f2cb`](https://github.com/nodejs/node/commit/7815d5f2cb)] - **doc**: update message.url example in http.IncomingMessage (Tadao Iseki) [#30830](https://github.com/nodejs/node/pull/30830)
* \[[`118df63d9f`](https://github.com/nodejs/node/commit/118df63d9f)] - **doc,assert**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`32e5895a2f`](https://github.com/nodejs/node/commit/32e5895a2f)] - **doc,async\_hooks**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`0e0d45b02f`](https://github.com/nodejs/node/commit/0e0d45b02f)] - **doc,buffer**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`405bf8c8bb`](https://github.com/nodejs/node/commit/405bf8c8bb)] - **doc,child\_process**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`27790fc76e`](https://github.com/nodejs/node/commit/27790fc76e)] - **doc,cluster**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`f8a6edaac6`](https://github.com/nodejs/node/commit/f8a6edaac6)] - **doc,console**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`df5ec4e7b1`](https://github.com/nodejs/node/commit/df5ec4e7b1)] - **doc,crypto**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`4a42230fd7`](https://github.com/nodejs/node/commit/4a42230fd7)] - **doc,dgram**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`9979f82716`](https://github.com/nodejs/node/commit/9979f82716)] - **doc,dns**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`decfcaf89e`](https://github.com/nodejs/node/commit/decfcaf89e)] - **doc,domain**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`665a662ad1`](https://github.com/nodejs/node/commit/665a662ad1)] - **doc,errors**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`fbb217a29d`](https://github.com/nodejs/node/commit/fbb217a29d)] - **doc,esm**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`db01d0f947`](https://github.com/nodejs/node/commit/db01d0f947)] - **doc,events**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`e7f7e45ddb`](https://github.com/nodejs/node/commit/e7f7e45ddb)] - **doc,fs**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`cdb79fc106`](https://github.com/nodejs/node/commit/cdb79fc106)] - **doc,http**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`3062bcb13c`](https://github.com/nodejs/node/commit/3062bcb13c)] - **doc,http2**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`3571df3115`](https://github.com/nodejs/node/commit/3571df3115)] - **doc,https**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`699b31f8fe`](https://github.com/nodejs/node/commit/699b31f8fe)] - **doc,inspector**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`d6f942003b`](https://github.com/nodejs/node/commit/d6f942003b)] - **doc,lib,src,test**: rename WASI CLI flag (cjihrig) [#30980](https://github.com/nodejs/node/pull/30980)
* \[[`7d25e44bc1`](https://github.com/nodejs/node/commit/7d25e44bc1)] - **doc,module**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`927b37f5a3`](https://github.com/nodejs/node/commit/927b37f5a3)] - **doc,net**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`9de914687d`](https://github.com/nodejs/node/commit/9de914687d)] - **doc,os**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`5921654eca`](https://github.com/nodejs/node/commit/5921654eca)] - **doc,path**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`3ee3e6f5ff`](https://github.com/nodejs/node/commit/3ee3e6f5ff)] - **doc,perf\_hooks**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`8c126527d9`](https://github.com/nodejs/node/commit/8c126527d9)] - **doc,process**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`f0bc62896a`](https://github.com/nodejs/node/commit/f0bc62896a)] - **doc,punycode**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`125a59a0b0`](https://github.com/nodejs/node/commit/125a59a0b0)] - **doc,querystring**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`128a69dde3`](https://github.com/nodejs/node/commit/128a69dde3)] - **doc,readline**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`38e09f8d17`](https://github.com/nodejs/node/commit/38e09f8d17)] - **doc,repl**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`4c5a9854ec`](https://github.com/nodejs/node/commit/4c5a9854ec)] - **doc,stream**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`cf563bbd7f`](https://github.com/nodejs/node/commit/cf563bbd7f)] - **doc,string\_decoder**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`450d9a27bf`](https://github.com/nodejs/node/commit/450d9a27bf)] - **doc,timers**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`d6d507aa6c`](https://github.com/nodejs/node/commit/d6d507aa6c)] - **doc,tls**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`9d2082be94`](https://github.com/nodejs/node/commit/9d2082be94)] - **doc,tty**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`73c598a905`](https://github.com/nodejs/node/commit/73c598a905)] - **doc,url**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`4672e106c1`](https://github.com/nodejs/node/commit/4672e106c1)] - **doc,util**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`342d3372ef`](https://github.com/nodejs/node/commit/342d3372ef)] - **doc,v8**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`e6fbde53b3`](https://github.com/nodejs/node/commit/e6fbde53b3)] - **doc,vm**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`796a9c0f43`](https://github.com/nodejs/node/commit/796a9c0f43)] - **doc,vm,test**: remove \_sandbox\_ from vm documentation (Rich Trott) [#31057](https://github.com/nodejs/node/pull/31057)
* \[[`1bcc07b758`](https://github.com/nodejs/node/commit/1bcc07b758)] - **doc,wasi**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`cb3c3fcb3f`](https://github.com/nodejs/node/commit/cb3c3fcb3f)] - **doc,worker**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`a6f16b3e78`](https://github.com/nodejs/node/commit/a6f16b3e78)] - **doc,zlib**: use code markup/markdown in headers (Rich Trott) [#31086](https://github.com/nodejs/node/pull/31086)
* \[[`1057a4cdf2`](https://github.com/nodejs/node/commit/1057a4cdf2)] - **errors**: support prepareSourceMap with source-maps (bcoe) [#31143](https://github.com/nodejs/node/pull/31143)
* \[[`33c5dbe197`](https://github.com/nodejs/node/commit/33c5dbe197)] - **errors**: improve ERR\_INVALID\_ARG\_TYPE (Ruben Bridgewater) [#29675](https://github.com/nodejs/node/pull/29675)
* \[[`a6c2502686`](https://github.com/nodejs/node/commit/a6c2502686)] - **esm**: better error message for unsupported URL (Thomas) [#31129](https://github.com/nodejs/node/pull/31129)
* \[[`24a021216d`](https://github.com/nodejs/node/commit/24a021216d)] - **esm**: empty ext from pkg type/main doesnt affect format (Bradley Farias) [#31021](https://github.com/nodejs/node/pull/31021)
* \[[`afecc973d5`](https://github.com/nodejs/node/commit/afecc973d5)] - **(SEMVER-MINOR)** **events**: add EventEmitter.on to async iterate over events (Matteo Collina) [#27994](https://github.com/nodejs/node/pull/27994)
* \[[`f570de8ea9`](https://github.com/nodejs/node/commit/f570de8ea9)] - **(SEMVER-MINOR)** **events**: allow monitoring error events (Gerhard Stoebich) [#30932](https://github.com/nodejs/node/pull/30932)
* \[[`4f32bbb816`](https://github.com/nodejs/node/commit/4f32bbb816)] - **fs**: use consistent defaults in sync stat functions (cjihrig) [#31097](https://github.com/nodejs/node/pull/31097)
* \[[`7f6a0ed548`](https://github.com/nodejs/node/commit/7f6a0ed548)] - **(SEMVER-MINOR)** **fs**: allow overriding fs for streams (Robert Nagy) [#29083](https://github.com/nodejs/node/pull/29083)
* \[[`4a54f304a7`](https://github.com/nodejs/node/commit/4a54f304a7)] - **http**: http\_outgoing rename var to let and const (telenord) [#30284](https://github.com/nodejs/node/pull/30284)
* \[[`1b720aa802`](https://github.com/nodejs/node/commit/1b720aa802)] - **http**: free listeners on free sockets (Robert Nagy) [#29259](https://github.com/nodejs/node/pull/29259)
* \[[`b5a71a439d`](https://github.com/nodejs/node/commit/b5a71a439d)] - **http2**: set default enableConnectProtocol to 0 (ZYSzys) [#31174](https://github.com/nodejs/node/pull/31174)
* \[[`b9160351ec`](https://github.com/nodejs/node/commit/b9160351ec)] - **http2**: make HTTP2ServerResponse more streams compliant (Robert Nagy) [#30964](https://github.com/nodejs/node/pull/30964)
* \[[`ba0682e91c`](https://github.com/nodejs/node/commit/ba0682e91c)] - **http2**: wait for session socket writable end on close/destroy (Denys Otrishko) [#30854](https://github.com/nodejs/node/pull/30854)
* \[[`86f2e869dc`](https://github.com/nodejs/node/commit/86f2e869dc)] - **http2**: wait for session to finish writing before destroy (Denys Otrishko) [#30854](https://github.com/nodejs/node/pull/30854)
* \[[`18acaccf0a`](https://github.com/nodejs/node/commit/18acaccf0a)] - **https**: prevent options object from being mutated (Vighnesh Raut) [#31151](https://github.com/nodejs/node/pull/31151)
* \[[`42d36dca90`](https://github.com/nodejs/node/commit/42d36dca90)] - **lib**: move initialization of APIs for changing process state (Anna Henningsen) [#31172](https://github.com/nodejs/node/pull/31172)
* \[[`20ecb5dcfb`](https://github.com/nodejs/node/commit/20ecb5dcfb)] - **lib**: replace Map global by the primordials (Sebastien Ahkrin) [#31155](https://github.com/nodejs/node/pull/31155)
* \[[`f268621ffa`](https://github.com/nodejs/node/commit/f268621ffa)] - **lib**: replace use of Error with primordials (Sebastien Ahkrin) [#31163](https://github.com/nodejs/node/pull/31163)
* \[[`3f21ad67f8`](https://github.com/nodejs/node/commit/3f21ad67f8)] - **lib**: replace Set global by the primordials (Sebastien Ahkrin) [#31154](https://github.com/nodejs/node/pull/31154)
* \[[`542aae4bf0`](https://github.com/nodejs/node/commit/542aae4bf0)] - **lib**: replace WeakSet global by the primordials (Sebastien Ahkrin) [#31157](https://github.com/nodejs/node/pull/31157)
* \[[`0b8eaf2e5c`](https://github.com/nodejs/node/commit/0b8eaf2e5c)] - **lib**: replace WeakMap global by the primordials (Sebastien Ahkrin) [#31158](https://github.com/nodejs/node/pull/31158)
* \[[`1527796661`](https://github.com/nodejs/node/commit/1527796661)] - **lib**: replace Set.prototype with SetPrototype primordial (Sebastien Ahkrin) [#31161](https://github.com/nodejs/node/pull/31161)
* \[[`4b2d8df5b5`](https://github.com/nodejs/node/commit/4b2d8df5b5)] - **lib**: do not catch user errors (Ruben Bridgewater) [#31159](https://github.com/nodejs/node/pull/31159)
* \[[`97ce0a3b47`](https://github.com/nodejs/node/commit/97ce0a3b47)] - **lib**: replace var with let/const (kresimirfranin) [#30394](https://github.com/nodejs/node/pull/30394)
* \[[`614b2c58f0`](https://github.com/nodejs/node/commit/614b2c58f0)] - **lib**: further simplify assertions in vm/module (Anna Henningsen) [#30815](https://github.com/nodejs/node/pull/30815)
* \[[`a83d338102`](https://github.com/nodejs/node/commit/a83d338102)] - **lib**: improve spelling and grammar in comment (David Newman) [#31026](https://github.com/nodejs/node/pull/31026)
* \[[`799b50934b`](https://github.com/nodejs/node/commit/799b50934b)] - **meta**: clarify scope of new nodejs.org issue choice (Derek Lewis) [#31123](https://github.com/nodejs/node/pull/31123)
* \[[`72c64605c9`](https://github.com/nodejs/node/commit/72c64605c9)] - **module**: unflag resolve self (Guy Bedford) [#31002](https://github.com/nodejs/node/pull/31002)
* \[[`bd047e8277`](https://github.com/nodejs/node/commit/bd047e8277)] - **module**: self resolve bug fix and esm ordering (Guy Bedford) [#31009](https://github.com/nodejs/node/pull/31009)
* \[[`d7712213a4`](https://github.com/nodejs/node/commit/d7712213a4)] - **n-api**: keep napi\_env alive while it has finalizers (Anna Henningsen) [#31140](https://github.com/nodejs/node/pull/31140)
* \[[`ae58c9709b`](https://github.com/nodejs/node/commit/ae58c9709b)] - **perf\_hooks**: use for...of (Kamat, Trivikram) [#31049](https://github.com/nodejs/node/pull/31049)
* \[[`dcbb97e2c3`](https://github.com/nodejs/node/commit/dcbb97e2c3)] - **(SEMVER-MINOR)** **perf\_hooks**: move perf\_hooks out of experimental (legendecas) [#31101](https://github.com/nodejs/node/pull/31101)
* \[[`ffbf790358`](https://github.com/nodejs/node/commit/ffbf790358)] - **(SEMVER-MINOR)** **readline**: set null as callback return in case there's no error (Ruben Bridgewater) [#31006](https://github.com/nodejs/node/pull/31006)
* \[[`92dcf3e4ae`](https://github.com/nodejs/node/commit/92dcf3e4ae)] - **(SEMVER-MINOR)** **readline**: small refactoring (Ruben Bridgewater) [#31006](https://github.com/nodejs/node/pull/31006)
* \[[`0999d53df0`](https://github.com/nodejs/node/commit/0999d53df0)] - **repl**: use public getCursorPos() (cjihrig) [#31091](https://github.com/nodejs/node/pull/31091)
* \[[`09ca8be1f2`](https://github.com/nodejs/node/commit/09ca8be1f2)] - **(SEMVER-MINOR)** **repl**: implement reverse search (Ruben Bridgewater) [#31006](https://github.com/nodejs/node/pull/31006)
* \[[`925dd8e7f9`](https://github.com/nodejs/node/commit/925dd8e7f9)] - **(SEMVER-MINOR)** **repl**: fix preview of lines that exceed the terminal columns (Ruben Bridgewater) [#31006](https://github.com/nodejs/node/pull/31006)
* \[[`892e7b0d7f`](https://github.com/nodejs/node/commit/892e7b0d7f)] - **src**: suppress warning in src/node\_env\_var.cc (Harshitha KP) [#31136](https://github.com/nodejs/node/pull/31136)
* \[[`2c6f81730b`](https://github.com/nodejs/node/commit/2c6f81730b)] - **src**: make large\_pages node.cc include conditional (Denys Otrishko) [#31078](https://github.com/nodejs/node/pull/31078)
* \[[`54caadc6ef`](https://github.com/nodejs/node/commit/54caadc6ef)] - **src**: enable stack trace printing for V8 check failures (Anna Henningsen) [#31079](https://github.com/nodejs/node/pull/31079)
* \[[`60dd1838e9`](https://github.com/nodejs/node/commit/60dd1838e9)] - **src**: prevent hard coding stack trace limit (legendecas) [#30752](https://github.com/nodejs/node/pull/30752)
* \[[`80732cdf9c`](https://github.com/nodejs/node/commit/80732cdf9c)] - **src**: port --bash-completion to C++ (Joyee Cheung) [#25901](https://github.com/nodejs/node/pull/25901)
* \[[`49a7e73898`](https://github.com/nodejs/node/commit/49a7e73898)] - **src**: make --use-largepages a runtime option (Gabriel Schulhof) [#30954](https://github.com/nodejs/node/pull/30954)
* \[[`6b65cafacf`](https://github.com/nodejs/node/commit/6b65cafacf)] - **src**: list used functions on headers (Juan José Arboleda) [#30827](https://github.com/nodejs/node/pull/30827)
* \[[`e5a41552e6`](https://github.com/nodejs/node/commit/e5a41552e6)] - **src**: fix compiler warning in env.cc (Anna Henningsen) [#31020](https://github.com/nodejs/node/pull/31020)
* \[[`a27edd8335`](https://github.com/nodejs/node/commit/a27edd8335)] - **src,test**: use v8::Global instead of v8::Persistent (Anna Henningsen) [#31018](https://github.com/nodejs/node/pull/31018)
* \[[`5bf27729dd`](https://github.com/nodejs/node/commit/5bf27729dd)] - **stream**: group all properties using defineProperties (antsmartian) [#31144](https://github.com/nodejs/node/pull/31144)
* \[[`ca22ce2698`](https://github.com/nodejs/node/commit/ca22ce2698)] - **stream**: pipeline should use req.abort() to destroy response (Robert Nagy) [#31054](https://github.com/nodejs/node/pull/31054)
* \[[`bca23b9e16`](https://github.com/nodejs/node/commit/bca23b9e16)] - **stream**: reset flowing state if no 'readable' or 'data' listeners (Robert Nagy) [#31036](https://github.com/nodejs/node/pull/31036)
* \[[`146321410c`](https://github.com/nodejs/node/commit/146321410c)] - **stream**: simplify isBuf (Robert Nagy) [#31067](https://github.com/nodejs/node/pull/31067)
* \[[`21d96645db`](https://github.com/nodejs/node/commit/21d96645db)] - **test**: change buffer offset to accommodate V8 BackingStore (Thang Tran) [#31171](https://github.com/nodejs/node/pull/31171)
* \[[`bd6a29c60b`](https://github.com/nodejs/node/commit/bd6a29c60b)] - **test**: use spread object (Fran Herrero) [#30423](https://github.com/nodejs/node/pull/30423)
* \[[`efa0bd8e25`](https://github.com/nodejs/node/commit/efa0bd8e25)] - **test**: refactor common.expectsError (Ruben Bridgewater) [#31092](https://github.com/nodejs/node/pull/31092)
* \[[`16f60cedb3`](https://github.com/nodejs/node/commit/16f60cedb3)] - **test**: increase coverage for \_http\_incoming.js (Rich Trott) [#31093](https://github.com/nodejs/node/pull/31093)
* \[[`990760e57f`](https://github.com/nodejs/node/commit/990760e57f)] - **test**: log errors in test-http2-propagate-session-destroy-code (Denys Otrishko) [#31072](https://github.com/nodejs/node/pull/31072)
* \[[`e28e873fb6`](https://github.com/nodejs/node/commit/e28e873fb6)] - **test**: skip the unsupported test cases for IBM i (Xu Meng) [#30819](https://github.com/nodejs/node/pull/30819)
* \[[`07e82db764`](https://github.com/nodejs/node/commit/07e82db764)] - **test**: get lib/wasi.js coverage to 100% (cjihrig) [#31039](https://github.com/nodejs/node/pull/31039)
* \[[`e5980a106c`](https://github.com/nodejs/node/commit/e5980a106c)] - **test**: cover vm with negative tests (Andrew Kuzmenko) [#31028](https://github.com/nodejs/node/pull/31028)
* \[[`3c9e435f56`](https://github.com/nodejs/node/commit/3c9e435f56)] - **test**: unflake async hooks statwatcher test (Denys Otrishko) [#30362](https://github.com/nodejs/node/pull/30362)
* \[[`dadccb7761`](https://github.com/nodejs/node/commit/dadccb7761)] - **test**: fix common.enoughTestMem (Rich Trott) [#31035](https://github.com/nodejs/node/pull/31035)
* \[[`93cf1231db`](https://github.com/nodejs/node/commit/93cf1231db)] - **test**: fix long lines (cjihrig) [#31014](https://github.com/nodejs/node/pull/31014)
* \[[`54c471a3bf`](https://github.com/nodejs/node/commit/54c471a3bf)] - **test**: fix flaky test-http2-client-upload (Gerhard Stoebich) [#29889](https://github.com/nodejs/node/pull/29889)
* \[[`3753f47677`](https://github.com/nodejs/node/commit/3753f47677)] - **test**: use tmpdir.refresh() in test-esm-windows.js (Richard Lau) [#30997](https://github.com/nodejs/node/pull/30997)
* \[[`d36ae62bd7`](https://github.com/nodejs/node/commit/d36ae62bd7)] - **test**: remove obsolete WASI test (cjihrig) [#30980](https://github.com/nodejs/node/pull/30980)
* \[[`fe4f55ee13`](https://github.com/nodejs/node/commit/fe4f55ee13)] - **timers**: fix refresh for expired timers (Anatoli Papirovski) [#27345](https://github.com/nodejs/node/pull/27345)
* \[[`83330a00a0`](https://github.com/nodejs/node/commit/83330a00a0)] - **timers**: do less work in insert (Anatoli Papirovski) [#27345](https://github.com/nodejs/node/pull/27345)
* \[[`7b2bf20f7e`](https://github.com/nodejs/node/commit/7b2bf20f7e)] - **(SEMVER-MINOR)** **tls**: add PSK support (Denys Otrishko) [#23188](https://github.com/nodejs/node/pull/23188)
* \[[`c23bbc6fe2`](https://github.com/nodejs/node/commit/c23bbc6fe2)] - **tools**: remove prefer-common-expectserror lint rule (cjihrig) [#31147](https://github.com/nodejs/node/pull/31147)
* \[[`85d152fccf`](https://github.com/nodejs/node/commit/85d152fccf)] - **tools**: allow the travis commit message job to fail (Ruben Bridgewater) [#31116](https://github.com/nodejs/node/pull/31116)
* \[[`048b7f469c`](https://github.com/nodejs/node/commit/048b7f469c)] - **tools**: fix Raspbian armv7 build (Andrey Hohutkin) [#31041](https://github.com/nodejs/node/pull/31041)
* \[[`c779421f41`](https://github.com/nodejs/node/commit/c779421f41)] - **tools**: update ESLint to 6.8.0 (cjihrig) [#31044](https://github.com/nodejs/node/pull/31044)
* \[[`28a62c30be`](https://github.com/nodejs/node/commit/28a62c30be)] - **tools,src**: forbid usage of v8::Persistent (Anna Henningsen) [#31018](https://github.com/nodejs/node/pull/31018)
* \[[`697908e8d9`](https://github.com/nodejs/node/commit/697908e8d9)] - **util**: improve prototype inspection using `inspect()` and `showHidden` (Ruben Bridgewater) [#31113](https://github.com/nodejs/node/pull/31113)
* \[[`a6998085d2`](https://github.com/nodejs/node/commit/a6998085d2)] - **util**: add (typed) array length to the default output (Ruben Bridgewater) [#31027](https://github.com/nodejs/node/pull/31027)
* \[[`7611d5b47b`](https://github.com/nodejs/node/commit/7611d5b47b)] - **util**: add colors to debuglog() (Ruben Bridgewater) [#30930](https://github.com/nodejs/node/pull/30930)
* \[[`614b074f3b`](https://github.com/nodejs/node/commit/614b074f3b)] - **wasi**: refactor destructuring object on constructor (himself65) [#31185](https://github.com/nodejs/node/pull/31185)
* \[[`8491e1c3c6`](https://github.com/nodejs/node/commit/8491e1c3c6)] - **wasi**: fix serdes bugs from snapshot1 migration (cjihrig) [#31122](https://github.com/nodejs/node/pull/31122)
* \[[`87f15c03bc`](https://github.com/nodejs/node/commit/87f15c03bc)] - **wasi**: throw on failed uvwasi\_init() (cjihrig) [#31076](https://github.com/nodejs/node/pull/31076)
* \[[`10f7169d58`](https://github.com/nodejs/node/commit/10f7169d58)] - **zlib**: use for...of (Kamat, Trivikram) [#31051](https://github.com/nodejs/node/pull/31051)
* \[[`31bbae7c92`](https://github.com/nodejs/node/commit/31bbae7c92)] - **zlib**: allow writes after readable 'end' to finish (Anna Henningsen) [#31082](https://github.com/nodejs/node/pull/31082)

## 2019-12-18, Version 13.5.0 (Current), @MylesBorins

### Notable Changes

* **cli**:
  * add --trace-exit cli option (legendecas) [#30516](https://github.com/nodejs/node/pull/30516)
* **http,https**:
  * increase server headers timeout (Tim Costa) [#30071](https://github.com/nodejs/node/pull/30071)
* **readline**:
  * update ansi-regex (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
  * promote \_getCursorPos to public api (Jeremy Albright) [#30687](https://github.com/nodejs/node/pull/30687)
* **repl**:
  * add completion preview (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* **util**:
  * add Set and map size to inspect output (Ruben Bridgewater) [#30225](https://github.com/nodejs/node/pull/30225)
* **wasi**:
  * require CLI flag to require() wasi module (Colin Ihrig) [#30963](https://github.com/nodejs/node/pull/30963)

### Commits

* \[[`e10917f8ba`](https://github.com/nodejs/node/commit/e10917f8ba)] - **async\_hooks**: ensure proper handling in runInAsyncScope (Anatoli Papirovski) [#30965](https://github.com/nodejs/node/pull/30965)
* \[[`b6ddbc1291`](https://github.com/nodejs/node/commit/b6ddbc1291)] - **benchmark**: use let/const instead of var in buffers (dnlup) [#30945](https://github.com/nodejs/node/pull/30945)
* \[[`00cbf5b1b6`](https://github.com/nodejs/node/commit/00cbf5b1b6)] - **build**: auto-load ICU data from --with-icu-default-data-dir (Stephen Gallagher) [#30825](https://github.com/nodejs/node/pull/30825)
* \[[`60225c171e`](https://github.com/nodejs/node/commit/60225c171e)] - **build**: fix missing x64 arch suffix in binary tar name (legendecas) [#30877](https://github.com/nodejs/node/pull/30877)
* \[[`10a77d3cd1`](https://github.com/nodejs/node/commit/10a77d3cd1)] - **build,win**: fix goto exit in vcbuild (João Reis) [#30931](https://github.com/nodejs/node/pull/30931)
* \[[`f371562e30`](https://github.com/nodejs/node/commit/f371562e30)] - **build,win**: support building MSI with VS2019 (João Reis) [#30895](https://github.com/nodejs/node/pull/30895)
* \[[`d8ce9a0e23`](https://github.com/nodejs/node/commit/d8ce9a0e23)] - **(SEMVER-MINOR)** **cli**: add --trace-exit cli option (legendecas) [#30516](https://github.com/nodejs/node/pull/30516)
* \[[`30e2d28ac5`](https://github.com/nodejs/node/commit/30e2d28ac5)] - **cluster**: remove unnecessary bind (Anatoli Papirovski) [#28131](https://github.com/nodejs/node/pull/28131)
* \[[`4f3eca5d42`](https://github.com/nodejs/node/commit/4f3eca5d42)] - **console**: unregister temporary error listener (Robert Nagy) [#30852](https://github.com/nodejs/node/pull/30852)
* \[[`a221017ee8`](https://github.com/nodejs/node/commit/a221017ee8)] - **crypto**: cast oaepLabel to unsigned char\* (Shelley Vohr) [#30917](https://github.com/nodejs/node/pull/30917)
* \[[`3abcb69c3e`](https://github.com/nodejs/node/commit/3abcb69c3e)] - **doc**: add note about fs.close() about undefined behavior (Robert Nagy) [#30966](https://github.com/nodejs/node/pull/30966)
* \[[`13b5ace4db`](https://github.com/nodejs/node/commit/13b5ace4db)] - **doc**: explain napi\_run\_script (Tobias Nießen) [#30918](https://github.com/nodejs/node/pull/30918)
* \[[`559284b20a`](https://github.com/nodejs/node/commit/559284b20a)] - **doc**: add "Be direct." to the style guide (Rich Trott) [#30935](https://github.com/nodejs/node/pull/30935)
* \[[`eb6443dc11`](https://github.com/nodejs/node/commit/eb6443dc11)] - **doc**: clarify expectations for PR commit messages (Derek Lewis) [#30922](https://github.com/nodejs/node/pull/30922)
* \[[`df5ae1a8ef`](https://github.com/nodejs/node/commit/df5ae1a8ef)] - **doc**: fix description of N-API exception handlers (Tobias Nießen) [#30893](https://github.com/nodejs/node/pull/30893)
* \[[`b53e2a84ec`](https://github.com/nodejs/node/commit/b53e2a84ec)] - **doc**: improve doc writable streams: 'finish' event (dev-313) [#30889](https://github.com/nodejs/node/pull/30889)
* \[[`ad5b71525d`](https://github.com/nodejs/node/commit/ad5b71525d)] - **fs**: remove unnecessary bind (Anatoli Papirovski) [#28131](https://github.com/nodejs/node/pull/28131)
* \[[`3bc9b09ce6`](https://github.com/nodejs/node/commit/3bc9b09ce6)] - **http**: use for...of in http library code (Trivikram Kamat) [#30958](https://github.com/nodejs/node/pull/30958)
* \[[`7a756cb539`](https://github.com/nodejs/node/commit/7a756cb539)] - **http**: remove unnecessary bind (Anatoli Papirovski) [#28131](https://github.com/nodejs/node/pull/28131)
* \[[`172228047a`](https://github.com/nodejs/node/commit/172228047a)] - **http,https**: increase server headers timeout (Tim Costa) [#30071](https://github.com/nodejs/node/pull/30071)
* \[[`52aab47766`](https://github.com/nodejs/node/commit/52aab47766)] - **http2**: remove unnecessary bind from setImmediate (Anatoli Papirovski) [#28131](https://github.com/nodejs/node/pull/28131)
* \[[`88731adff6`](https://github.com/nodejs/node/commit/88731adff6)] - **lib**: replace Symbol.species by SymbolSpecies (Sebastien Ahkrin) [#30950](https://github.com/nodejs/node/pull/30950)
* \[[`f51b5bd3dc`](https://github.com/nodejs/node/commit/f51b5bd3dc)] - **lib**: replace Symbol.hasInstance by SymbolHasInstance (Sebastien Ahkrin) [#30948](https://github.com/nodejs/node/pull/30948)
* \[[`92475e998d`](https://github.com/nodejs/node/commit/92475e998d)] - **lib**: replace Symbol.asyncIterator by SymbolAsyncIterator (Sebastien Ahkrin) [#30947](https://github.com/nodejs/node/pull/30947)
* \[[`19f05cab39`](https://github.com/nodejs/node/commit/19f05cab39)] - **lib**: enforce use of Promise from primordials (Michaël Zasso) [#30936](https://github.com/nodejs/node/pull/30936)
* \[[`698e0a2095`](https://github.com/nodejs/node/commit/698e0a2095)] - **lib**: add TypedArray constructors to primordials (Sebastien Ahkrin) [#30740](https://github.com/nodejs/node/pull/30740)
* \[[`cbe29ce4cf`](https://github.com/nodejs/node/commit/cbe29ce4cf)] - **lib**: change var to let/const (rene.herrmann) [#30910](https://github.com/nodejs/node/pull/30910)
* \[[`2430dd8ecb`](https://github.com/nodejs/node/commit/2430dd8ecb)] - **lib**: use strict equality comparison (Donggeon Lim) [#30898](https://github.com/nodejs/node/pull/30898)
* \[[`30d32492a0`](https://github.com/nodejs/node/commit/30d32492a0)] - **lib**: refactor NativeModule (Joyee Cheung) [#30856](https://github.com/nodejs/node/pull/30856)
* \[[`a326309a74`](https://github.com/nodejs/node/commit/a326309a74)] - **lib**: replace Symbol.toPrimitive to SymbolToPrimitive primordials (Sebastien Ahkrin) [#30905](https://github.com/nodejs/node/pull/30905)
* \[[`0d2172fb5d`](https://github.com/nodejs/node/commit/0d2172fb5d)] - **lib**: update Symbol.toStringTag by SymbolToStringTag primordial (Sebastien Ahkrin) [#30908](https://github.com/nodejs/node/pull/30908)
* \[[`4e67d38f42`](https://github.com/nodejs/node/commit/4e67d38f42)] - **perf\_hooks**: remove unnecessary bind (Anatoli Papirovski) [#28131](https://github.com/nodejs/node/pull/28131)
* \[[`510edead69`](https://github.com/nodejs/node/commit/510edead69)] - **process**: refs --unhandled-rejections documentation in warning message (Antoine du HAMEL) [#30564](https://github.com/nodejs/node/pull/30564)
* \[[`954793f363`](https://github.com/nodejs/node/commit/954793f363)] - **process**: fix promise catching (Rongjian Zhang) [#30957](https://github.com/nodejs/node/pull/30957)
* \[[`5b49ded22a`](https://github.com/nodejs/node/commit/5b49ded22a)] - **(SEMVER-MINOR)** **readline**: promote \_getCursorPos to public api (Jeremy Albright) [#30687](https://github.com/nodejs/node/pull/30687)
* \[[`424c37baba`](https://github.com/nodejs/node/commit/424c37baba)] - **(SEMVER-MINOR)** **readline**: update ansi-regex (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`02f3fe4b60`](https://github.com/nodejs/node/commit/02f3fe4b60)] - **(SEMVER-MINOR)** **repl**: fix preview bug in case of long lines (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`6a3e79f953`](https://github.com/nodejs/node/commit/6a3e79f953)] - **(SEMVER-MINOR)** **repl**: add completion preview (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`1a8f828c17`](https://github.com/nodejs/node/commit/1a8f828c17)] - **(SEMVER-MINOR)** **repl**: improve completion (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`8b92223ed1`](https://github.com/nodejs/node/commit/8b92223ed1)] - **(SEMVER-MINOR)** **repl**: simplify code (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`f7eeb8cc0b`](https://github.com/nodejs/node/commit/f7eeb8cc0b)] - **(SEMVER-MINOR)** **repl**: simplify repl autocompletion (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`d549daef18`](https://github.com/nodejs/node/commit/d549daef18)] - **(SEMVER-MINOR)** **repl**: remove dead code (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`e11acc5a45`](https://github.com/nodejs/node/commit/e11acc5a45)] - **repl**: fix autocomplete when useGlobal is false (Michaël Zasso) [#30883](https://github.com/nodejs/node/pull/30883)
* \[[`3906e145ca`](https://github.com/nodejs/node/commit/3906e145ca)] - **(SEMVER-MINOR)** **repl,readline**: refactor for simplicity (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`f6f298e3cf`](https://github.com/nodejs/node/commit/f6f298e3cf)] - **(SEMVER-MINOR)** **repl,readline**: refactor common code (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`d456aa0a57`](https://github.com/nodejs/node/commit/d456aa0a57)] - **src**: unregister Isolate with platform before disposing (Anna Henningsen) [#30909](https://github.com/nodejs/node/pull/30909)
* \[[`c43461ac56`](https://github.com/nodejs/node/commit/c43461ac56)] - **src**: make debug\_options getters public (Shelley Vohr) [#30494](https://github.com/nodejs/node/pull/30494)
* \[[`5ca29d860b`](https://github.com/nodejs/node/commit/5ca29d860b)] - **stream**: use for...of (Trivikram Kamat) [#30960](https://github.com/nodejs/node/pull/30960)
* \[[`0c18c49f0e`](https://github.com/nodejs/node/commit/0c18c49f0e)] - **stream**: do not chunk strings and Buffer in Readable.from (Matteo Collina) [#30912](https://github.com/nodejs/node/pull/30912)
* \[[`663a6b4938`](https://github.com/nodejs/node/commit/663a6b4938)] - **stream**: make all streams error in a pipeline (Matteo Collina) [#30869](https://github.com/nodejs/node/pull/30869)
* \[[`5e268b8dbe`](https://github.com/nodejs/node/commit/5e268b8dbe)] - **test**: simplify test-wasi-start-validation.js (Colin Ihrig) [#30972](https://github.com/nodejs/node/pull/30972)
* \[[`c2d95529f6`](https://github.com/nodejs/node/commit/c2d95529f6)] - **test**: improve WASI start() coverage (Colin Ihrig) [#30972](https://github.com/nodejs/node/pull/30972)
* \[[`72b4aee745`](https://github.com/nodejs/node/commit/72b4aee745)] - **test**: improve test coverage in child\_process (Juan José Arboleda) [#26282](https://github.com/nodejs/node/pull/26282)
* \[[`f30b771fd2`](https://github.com/nodejs/node/commit/f30b771fd2)] - **(SEMVER-MINOR)** **test**: add multiple repl preview tests (Ruben Bridgewater) [#30907](https://github.com/nodejs/node/pull/30907)
* \[[`69aaab0e2c`](https://github.com/nodejs/node/commit/69aaab0e2c)] - **test**: improve dns lookup coverage (Kirill Ponomarev) [#30777](https://github.com/nodejs/node/pull/30777)
* \[[`b6b917dda0`](https://github.com/nodejs/node/commit/b6b917dda0)] - **test**: avoid leftover report file (Gerhard Stoebich) [#30925](https://github.com/nodejs/node/pull/30925)
* \[[`51d1a919bf`](https://github.com/nodejs/node/commit/51d1a919bf)] - **test**: add missing test flags (Colin Ihrig) [#30971](https://github.com/nodejs/node/pull/30971)
* \[[`60485dcc8e`](https://github.com/nodejs/node/commit/60485dcc8e)] - **test**: add test for validation for wasi.start() argument (Rich Trott) [#30919](https://github.com/nodejs/node/pull/30919)
* \[[`7a25c2c073`](https://github.com/nodejs/node/commit/7a25c2c073)] - **test**: improve assertion error message in test-debug-usage (Rich Trott) [#30913](https://github.com/nodejs/node/pull/30913)
* \[[`b7a0574d6f`](https://github.com/nodejs/node/commit/b7a0574d6f)] - **test**: make test-os-checked-function work without test harness (Rich Trott) [#30914](https://github.com/nodejs/node/pull/30914)
* \[[`7e6510bcfb`](https://github.com/nodejs/node/commit/7e6510bcfb)] - **test**: delay loading 'os' in test/common module (Rich Trott) [#30914](https://github.com/nodejs/node/pull/30914)
* \[[`956dec8b6b`](https://github.com/nodejs/node/commit/956dec8b6b)] - **tls**: for...of in \_tls\_common.js (Trivikram Kamat) [#30961](https://github.com/nodejs/node/pull/30961)
* \[[`b20ddde2f6`](https://github.com/nodejs/node/commit/b20ddde2f6)] - **tools**: enable Markdown linter's usage information (Derek Lewis) [#30216](https://github.com/nodejs/node/pull/30216)
* \[[`f62a7679a3`](https://github.com/nodejs/node/commit/f62a7679a3)] - **util**: add Set and map size to inspect output (Ruben Bridgewater) [#30225](https://github.com/nodejs/node/pull/30225)
* \[[`f830a7dd73`](https://github.com/nodejs/node/commit/f830a7dd73)] - **util**: refactor inspect code for constistency (Ruben Bridgewater) [#30225](https://github.com/nodejs/node/pull/30225)
* \[[`8dec909aa7`](https://github.com/nodejs/node/commit/8dec909aa7)] - **(SEMVER-MINOR)** **util**: inspect (user defined) prototype properties (Ruben Bridgewater) [#30768](https://github.com/nodejs/node/pull/30768)
* \[[`453be95edc`](https://github.com/nodejs/node/commit/453be95edc)] - **(SEMVER-MINOR)** **util**: fix built-in detection (Ruben Bridgewater) [#30768](https://github.com/nodejs/node/pull/30768)
* \[[`2b0e2c280f`](https://github.com/nodejs/node/commit/2b0e2c280f)] - **v8**: use of TypedArray constructors from primordials (Sebastien Ahkrin) [#30740](https://github.com/nodejs/node/pull/30740)
* \[[`54d51dbe4c`](https://github.com/nodejs/node/commit/54d51dbe4c)] - **wasi**: require CLI flag to require() wasi module (Colin Ihrig) [#30963](https://github.com/nodejs/node/pull/30963)

## 2019-12-17, Version 13.4.0 (Current), @MylesBorins

This is a security release.

For more details about the vulnerability please consult the npm blog:

<https://blog.npmjs.org/post/189618601100/binary-planting-with-the-npm-cli>

### Notable Changes

* **deps**:
  * update npm to 6.13.4 [#30904](https://github.com/nodejs/node/pull/30904)
  * update uvwasi (Anna Henningsen) [#30745](https://github.com/nodejs/node/pull/30745)
  * upgrade to libuv 1.34.0 (Colin Ihrig) [#30783](https://github.com/nodejs/node/pull/30783)
* **doc**:
  * docs deprecate http finished (Robert Nagy) [#28679](https://github.com/nodejs/node/pull/28679)
* **events**:
  * add captureRejection option (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* **http**:
  * add captureRejection support (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
  * llhttp opt-in insecure HTTP header parsing (Sam Roberts) [#30567](https://github.com/nodejs/node/pull/30567)
* **http2**:
  * implement capture rection for 'request' and 'stream' events (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* **net**:
  * implement capture rejections for 'connection' event (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* **repl**:
  * support previews by eager evaluating input (Ruben Bridgewater) [#30811](https://github.com/nodejs/node/pull/30811)
* **stream**:
  * add support for captureRejection option (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* **tls**:
  * implement capture rejections for 'secureConnection' event (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
  * expose IETF name for current cipher suite (Sam Roberts) [#30637](https://github.com/nodejs/node/pull/30637)
* **worker**:
  * add argv constructor option (legendecas) [#30559](https://github.com/nodejs/node/pull/30559)

### Commits

* \[[`1c4b2f15d9`](https://github.com/nodejs/node/commit/1c4b2f15d9)] - **assert,util**: stricter type comparison using deep equal comparisons (Ruben Bridgewater) [#30764](https://github.com/nodejs/node/pull/30764)
* \[[`78eaf50693`](https://github.com/nodejs/node/commit/78eaf50693)] - **benchmark**: improve `--filter` pattern matching (Matheus Marchini) [#29987](https://github.com/nodejs/node/pull/29987)
* \[[`ad4d52d1b5`](https://github.com/nodejs/node/commit/ad4d52d1b5)] - **benchmark**: add more util inspect and format benchmarks (Ruben Bridgewater) [#30767](https://github.com/nodejs/node/pull/30767)
* \[[`d90815d08e`](https://github.com/nodejs/node/commit/d90815d08e)] - **build**: on Android, use android log library to print stack traces (Giovanni Campagna) [#29388](https://github.com/nodejs/node/pull/29388)
* \[[`d1c4fccde2`](https://github.com/nodejs/node/commit/d1c4fccde2)] - **build**: fix library version and compile flags on Android (Giovanni Campagna) [#29388](https://github.com/nodejs/node/pull/29388)
* \[[`dfd3a4d6c1`](https://github.com/nodejs/node/commit/dfd3a4d6c1)] - **(SEMVER-MINOR)** **build**: add flag to enable pointer compression (Matteo Collina) [#30463](https://github.com/nodejs/node/pull/30463)
* \[[`3d05d4beea`](https://github.com/nodejs/node/commit/3d05d4beea)] - **build**: ease DragonFlyBSD build (David Carlier) [#30201](https://github.com/nodejs/node/pull/30201)
* \[[`43e947a155`](https://github.com/nodejs/node/commit/43e947a155)] - **build**: remove (almost) unused macros/constants (Benjamin Coe) [#30755](https://github.com/nodejs/node/pull/30755)
* \[[`0379fb65c1`](https://github.com/nodejs/node/commit/0379fb65c1)] - **deps**: update npm to 6.13.4 (Isaac Z. Schlueter) [#30904](https://github.com/nodejs/node/pull/30904)
* \[[`13fe9f7cc8`](https://github.com/nodejs/node/commit/13fe9f7cc8)] - **deps**: update uvwasi (Anna Henningsen) [#30745](https://github.com/nodejs/node/pull/30745)
* \[[`ca47f72868`](https://github.com/nodejs/node/commit/ca47f72868)] - **(SEMVER-MINOR)** **deps**: upgrade to libuv 1.34.0 (Colin Ihrig) [#30783](https://github.com/nodejs/node/pull/30783)
* \[[`458860691c`](https://github.com/nodejs/node/commit/458860691c)] - **deps**: fix OPENSSLDIR on Windows (Shigeki Ohtsu) [#29456](https://github.com/nodejs/node/pull/29456)
* \[[`b3ae532392`](https://github.com/nodejs/node/commit/b3ae532392)] - **doc**: clarify build support text (Rich Trott) [#30899](https://github.com/nodejs/node/pull/30899)
* \[[`8bf0da6c93`](https://github.com/nodejs/node/commit/8bf0da6c93)] - **doc**: edit colorMode information (Rich Trott) [#30887](https://github.com/nodejs/node/pull/30887)
* \[[`df9df1883e`](https://github.com/nodejs/node/commit/df9df1883e)] - **doc**: fix argument type of setAAD (Tobias Nießen) [#30863](https://github.com/nodejs/node/pull/30863)
* \[[`9d1c793ceb`](https://github.com/nodejs/node/commit/9d1c793ceb)] - **doc**: clarify Tier 2 implications in BUILDING.md (Rich Trott) [#30866](https://github.com/nodejs/node/pull/30866)
* \[[`1cce00073e`](https://github.com/nodejs/node/commit/1cce00073e)] - **doc**: add code example to inspector.url() method (Juan José Arboleda) [#29496](https://github.com/nodejs/node/pull/29496)
* \[[`93ca4f4098`](https://github.com/nodejs/node/commit/93ca4f4098)] - **doc**: deprecate http finished (Robert Nagy) [#28679](https://github.com/nodejs/node/pull/28679)
* \[[`0022d7544a`](https://github.com/nodejs/node/commit/0022d7544a)] - **doc**: improve doc Http2Stream: FrameError, Timeout and Trailers (dev-313) [#30373](https://github.com/nodejs/node/pull/30373)
* \[[`2123d53c28`](https://github.com/nodejs/node/commit/2123d53c28)] - **doc**: include line/cursor in readline documentation (Jeremy Albright) [#30667](https://github.com/nodejs/node/pull/30667)
* \[[`1baa6ab075`](https://github.com/nodejs/node/commit/1baa6ab075)] - **doc**: improve napi formatting (Ruben Bridgewater) [#30772](https://github.com/nodejs/node/pull/30772)
* \[[`1d5c4e21de`](https://github.com/nodejs/node/commit/1d5c4e21de)] - **doc**: add documentation about node\_mksnapshot and mkcodecache (Joyee Cheung) [#30773](https://github.com/nodejs/node/pull/30773)
* \[[`67823e8fc4`](https://github.com/nodejs/node/commit/67823e8fc4)] - **doc**: remove imprecise and redundant testing text (Rich Trott) [#30763](https://github.com/nodejs/node/pull/30763)
* \[[`7cb84fdbe5`](https://github.com/nodejs/node/commit/7cb84fdbe5)] - **doc**: remove usage of "Node" in favor of "Node.js" (Rich Trott) [#30758](https://github.com/nodejs/node/pull/30758)
* \[[`510eb3a6eb`](https://github.com/nodejs/node/commit/510eb3a6eb)] - **doc**: revise addons introduction for brevity and clarity (Rich Trott) [#30756](https://github.com/nodejs/node/pull/30756)
* \[[`543bf9d8ea`](https://github.com/nodejs/node/commit/543bf9d8ea)] - **doc**: fix up N-API doc (NickNaso) [#30656](https://github.com/nodejs/node/pull/30656)
* \[[`2c0f1edfd5`](https://github.com/nodejs/node/commit/2c0f1edfd5)] - **doc**: adds assert doc for strict mode with pointer to strict equality (Shobhit Chittora) [#30486](https://github.com/nodejs/node/pull/30486)
* \[[`9428304d4a`](https://github.com/nodejs/node/commit/9428304d4a)] - **doc**: Buffer.toString(): add note about invalid data (Jan-Philip Gehrcke) [#30706](https://github.com/nodejs/node/pull/30706)
* \[[`8369562757`](https://github.com/nodejs/node/commit/8369562757)] - **doc**: clarify text about using 'session' event for compatibility (Rich Trott) [#30746](https://github.com/nodejs/node/pull/30746)
* \[[`145f881ff9`](https://github.com/nodejs/node/commit/145f881ff9)] - **doc**: update status of Python 3 support (Michael Dawson) [#30722](https://github.com/nodejs/node/pull/30722)
* \[[`bbbba76f2c`](https://github.com/nodejs/node/commit/bbbba76f2c)] - **doc,benchmark**: move benchmark guide to benchmark directory (Rich Trott) [#30781](https://github.com/nodejs/node/pull/30781)
* \[[`eb4f443a5a`](https://github.com/nodejs/node/commit/eb4f443a5a)] - **esm**: make specifier flag clearly experimental (Myles Borins) [#30678](https://github.com/nodejs/node/pull/30678)
* \[[`220a6001c6`](https://github.com/nodejs/node/commit/220a6001c6)] - **(SEMVER-MINOR)** **events**: add captureRejection option (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`6c07a72833`](https://github.com/nodejs/node/commit/6c07a72833)] - **fs**: synchronize close with other I/O for streams (Anna Henningsen) [#30837](https://github.com/nodejs/node/pull/30837)
* \[[`18758ef183`](https://github.com/nodejs/node/commit/18758ef183)] - **fs**: retry unlink operations in rimraf (Colin Ihrig) [#30569](https://github.com/nodejs/node/pull/30569)
* \[[`5e98de1751`](https://github.com/nodejs/node/commit/5e98de1751)] - **fs**: only operate on buffers in rimraf (Colin Ihrig) [#30569](https://github.com/nodejs/node/pull/30569)
* \[[`7e1dee3347`](https://github.com/nodejs/node/commit/7e1dee3347)] - **fs**: reduce unnecessary sync rimraf retries (Colin Ihrig) [#30785](https://github.com/nodejs/node/pull/30785)
* \[[`5523950b47`](https://github.com/nodejs/node/commit/5523950b47)] - **fs**: add synchronous retries to rimraf (Colin Ihrig) [#30785](https://github.com/nodejs/node/pull/30785)
* \[[`60b1e1ad61`](https://github.com/nodejs/node/commit/60b1e1ad61)] - **fs**: fix existsSync for invalid symlink at win32 (Rongjian Zhang) [#30556](https://github.com/nodejs/node/pull/30556)
* \[[`daca0780b1`](https://github.com/nodejs/node/commit/daca0780b1)] - **(SEMVER-MINOR)** **http**: llhttp opt-in insecure HTTP header parsing (Sam Roberts) [#30567](https://github.com/nodejs/node/pull/30567)
* \[[`334d4f6256`](https://github.com/nodejs/node/commit/334d4f6256)] - **(SEMVER-MINOR)** **http**: add captureRejection support to OutgoingMessage (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`33a6bf3a83`](https://github.com/nodejs/node/commit/33a6bf3a83)] - **(SEMVER-MINOR)** **http**: implement capture rejections for 'request' event (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`822fb00dbe`](https://github.com/nodejs/node/commit/822fb00dbe)] - **http2**: forward debug message in debugStreamObj (Denys Otrishko) [#30840](https://github.com/nodejs/node/pull/30840)
* \[[`d17ea8f584`](https://github.com/nodejs/node/commit/d17ea8f584)] - **http2**: track nghttp2-allocated memory in heap snapshot (Anna Henningsen) [#30745](https://github.com/nodejs/node/pull/30745)
* \[[`8a9f57d0d5`](https://github.com/nodejs/node/commit/8a9f57d0d5)] - **http2**: use shared memory tracking implementation (Anna Henningsen) [#30745](https://github.com/nodejs/node/pull/30745)
* \[[`71bb026e0c`](https://github.com/nodejs/node/commit/71bb026e0c)] - **http2**: streamline OnStreamRead streamline memory accounting (Denys Otrishko) [#30351](https://github.com/nodejs/node/pull/30351)
* \[[`3840abed11`](https://github.com/nodejs/node/commit/3840abed11)] - **http2**: small clean up in OnStreamRead (Denys Otrishko) [#30351](https://github.com/nodejs/node/pull/30351)
* \[[`c3ac4c85a5`](https://github.com/nodejs/node/commit/c3ac4c85a5)] - **(SEMVER-MINOR)** **http2**: implement capture rection for 'request' and 'stream' events (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`d3f0dd2148`](https://github.com/nodejs/node/commit/d3f0dd2148)] - **inspector**: do not access queueMicrotask from global (Michaël Zasso) [#30732](https://github.com/nodejs/node/pull/30732)
* \[[`71c6d44efa`](https://github.com/nodejs/node/commit/71c6d44efa)] - **lib**: enforce use of BigInt from primordials (Michaël Zasso) [#30882](https://github.com/nodejs/node/pull/30882)
* \[[`64ab5c9c84`](https://github.com/nodejs/node/commit/64ab5c9c84)] - **lib**: replace Symbol.iterator by SymbolIterator (Sebastien Ahkrin) [#30859](https://github.com/nodejs/node/pull/30859)
* \[[`39898a9db4`](https://github.com/nodejs/node/commit/39898a9db4)] - **lib**: replace every Symbol.for by SymbolFor primordials (Sebastien Ahkrin) [#30857](https://github.com/nodejs/node/pull/30857)
* \[[`0a34fcb086`](https://github.com/nodejs/node/commit/0a34fcb086)] - **lib**: replace var with let/const (jens-cappelle) [#30384](https://github.com/nodejs/node/pull/30384)
* \[[`af014170a7`](https://github.com/nodejs/node/commit/af014170a7)] - **lib**: replace Symbol global by the primordials Symbol (Sebastien Ahkrin) [#30737](https://github.com/nodejs/node/pull/30737)
* \[[`2c439bb8ad`](https://github.com/nodejs/node/commit/2c439bb8ad)] - **lib**: add parent to ERR\_UNKNOWN\_FILE\_EXTENSION (qualitymanifest) [#30728](https://github.com/nodejs/node/pull/30728)
* \[[`d9d64754f9`](https://github.com/nodejs/node/commit/d9d64754f9)] - **lib**: add warning on dynamic import es modules (Juan José Arboleda) [#30720](https://github.com/nodejs/node/pull/30720)
* \[[`325128e469`](https://github.com/nodejs/node/commit/325128e469)] - **lib**: delay access to CLI option to pre-execution (Joyee Cheung) [#30778](https://github.com/nodejs/node/pull/30778)
* \[[`94f237e5ac`](https://github.com/nodejs/node/commit/94f237e5ac)] - **lib,test**: improves ERR\_REQUIRE\_ESM message (Juan José Arboleda) [#30694](https://github.com/nodejs/node/pull/30694)
* \[[`e61f4ead93`](https://github.com/nodejs/node/commit/e61f4ead93)] - **module**: conditional exports import condition (Guy Bedford) [#30799](https://github.com/nodejs/node/pull/30799)
* \[[`8e16093b64`](https://github.com/nodejs/node/commit/8e16093b64)] - **module**: fix require in node repl (Yongsheng Zhang) [#30835](https://github.com/nodejs/node/pull/30835)
* \[[`d4aa656d57`](https://github.com/nodejs/node/commit/d4aa656d57)] - **module**: fix dynamic import from eval (Corey Farrell) [#30624](https://github.com/nodejs/node/pull/30624)
* \[[`a7ec78f34e`](https://github.com/nodejs/node/commit/a7ec78f34e)] - **module**: fixup lint and test regressions (Guy Bedford) [#30802](https://github.com/nodejs/node/pull/30802)
* \[[`bd2f1270f7`](https://github.com/nodejs/node/commit/bd2f1270f7)] - **module**: ignore resolution failures for inspect-brk (Maël Nison) [#30336](https://github.com/nodejs/node/pull/30336)
* \[[`851f3135ab`](https://github.com/nodejs/node/commit/851f3135ab)] - **module**: add warnings for experimental flags (Rongjian Zhang) [#30617](https://github.com/nodejs/node/pull/30617)
* \[[`123327d4c1`](https://github.com/nodejs/node/commit/123327d4c1)] - **net**: remove duplicate \_undestroy (Robert Nagy) [#30833](https://github.com/nodejs/node/pull/30833)
* \[[`4eecee089d`](https://github.com/nodejs/node/commit/4eecee089d)] - **(SEMVER-MINOR)** **net**: implement capture rejections for 'connection' event (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`2f1ae4f2bf`](https://github.com/nodejs/node/commit/2f1ae4f2bf)] - **readline**: eagerly load string\_decoder (Ruben Bridgewater) [#30807](https://github.com/nodejs/node/pull/30807)
* \[[`e551c169b8`](https://github.com/nodejs/node/commit/e551c169b8)] - **(SEMVER-MINOR)** **repl**: support previews by eager evaluating input (Ruben Bridgewater) [#30811](https://github.com/nodejs/node/pull/30811)
* \[[`c440f3fa3d`](https://github.com/nodejs/node/commit/c440f3fa3d)] - **repl**: use better uncaught exceptions indicator (Ruben Bridgewater) [#29676](https://github.com/nodejs/node/pull/29676)
* \[[`de368200f3`](https://github.com/nodejs/node/commit/de368200f3)] - **src**: accept single argument in getProxyDetails (Ruben Bridgewater) [#30858](https://github.com/nodejs/node/pull/30858)
* \[[`60886036c9`](https://github.com/nodejs/node/commit/60886036c9)] - **src**: fix the false isatty() issue on IBMi (Xu Meng) [#30829](https://github.com/nodejs/node/pull/30829)
* \[[`7ed867dddb`](https://github.com/nodejs/node/commit/7ed867dddb)] - **src**: improve checked uv loop close output (Anna Henningsen) [#30814](https://github.com/nodejs/node/pull/30814)
* \[[`041daaa273`](https://github.com/nodejs/node/commit/041daaa273)] - **src**: port memory-tracking allocator from QUIC repo (Anna Henningsen) [#30745](https://github.com/nodejs/node/pull/30745)
* \[[`ccf0917aef`](https://github.com/nodejs/node/commit/ccf0917aef)] - **src**: don't use deprecated OpenSSL APIs (Rosen Penev) [#30812](https://github.com/nodejs/node/pull/30812)
* \[[`8ad53ab2b7`](https://github.com/nodejs/node/commit/8ad53ab2b7)] - **src**: free preopen memory in WASI::New() (Colin Ihrig) [#30809](https://github.com/nodejs/node/pull/30809)
* \[[`e6e379ea41`](https://github.com/nodejs/node/commit/e6e379ea41)] - **src**: use checked allocations in WASI::New() (Colin Ihrig) [#30809](https://github.com/nodejs/node/pull/30809)
* \[[`838ae10a9b`](https://github.com/nodejs/node/commit/838ae10a9b)] - **src**: delete redundant method in node\_dir.h (gengjiawen) [#30747](https://github.com/nodejs/node/pull/30747)
* \[[`66db8746c7`](https://github.com/nodejs/node/commit/66db8746c7)] - **src**: remove redundant cast in node\_dir.cc (gengjiawen) [#30747](https://github.com/nodejs/node/pull/30747)
* \[[`cb69ff47f6`](https://github.com/nodejs/node/commit/cb69ff47f6)] - **src**: improve node\_crypto.cc memory allocation (Priyanka Kore) [#30751](https://github.com/nodejs/node/pull/30751)
* \[[`b51b26ffef`](https://github.com/nodejs/node/commit/b51b26ffef)] - **src**: fix node\_dir.cc memory allocation (Priyanka Kore) [#30750](https://github.com/nodejs/node/pull/30750)
* \[[`89bc571490`](https://github.com/nodejs/node/commit/89bc571490)] - **(SEMVER-MINOR)** **stream**: add support for captureRejection option (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`1b534d571a`](https://github.com/nodejs/node/commit/1b534d571a)] - **test**: work around ENOTEMPTY when cleaning tmp dir (Ben Noordhuis) [#30849](https://github.com/nodejs/node/pull/30849)
* \[[`eb6e32c2fc`](https://github.com/nodejs/node/commit/eb6e32c2fc)] - **test**: disable colorMode in test-console-group (Rich Trott) [#30886](https://github.com/nodejs/node/pull/30886)
* \[[`5f42b1fc6b`](https://github.com/nodejs/node/commit/5f42b1fc6b)] - **test**: assert: fix deepStrictEqual comparing a real array and fake array (Jordan Harband) [#30743](https://github.com/nodejs/node/pull/30743)
* \[[`ce21fc7154`](https://github.com/nodejs/node/commit/ce21fc7154)] - **test**: wait for stream close before writing to file (Anna Henningsen) [#30836](https://github.com/nodejs/node/pull/30836)
* \[[`cc4a6ed645`](https://github.com/nodejs/node/commit/cc4a6ed645)] - **test**: use fs rimraf to refresh tmpdir (Colin Ihrig) [#30569](https://github.com/nodejs/node/pull/30569)
* \[[`5ae3a858f7`](https://github.com/nodejs/node/commit/5ae3a858f7)] - **test**: refactor test-accessor-properties (himself65) [#29943](https://github.com/nodejs/node/pull/29943)
* \[[`97e0efeedf`](https://github.com/nodejs/node/commit/97e0efeedf)] - **test**: scale keepalive timeouts for slow machines (Ben Noordhuis) [#30834](https://github.com/nodejs/node/pull/30834)
* \[[`305e45a041`](https://github.com/nodejs/node/commit/305e45a041)] - **test**: mark tests as flaky (João Reis) [#30848](https://github.com/nodejs/node/pull/30848)
* \[[`4dc9d8db13`](https://github.com/nodejs/node/commit/4dc9d8db13)] - **test**: mark addons/openssl-bindings/test flaky on arm (Richard Lau) [#30838](https://github.com/nodejs/node/pull/30838)
* \[[`25e3696a07`](https://github.com/nodejs/node/commit/25e3696a07)] - **test**: improve WASI options validation (Rich Trott) [#30800](https://github.com/nodejs/node/pull/30800)
* \[[`a574cb0ab9`](https://github.com/nodejs/node/commit/a574cb0ab9)] - **test**: remove common.busyLoop() (Colin Ihrig) [#30787](https://github.com/nodejs/node/pull/30787)
* \[[`3557659afb`](https://github.com/nodejs/node/commit/3557659afb)] - **test**: run more assert tests (Ruben Bridgewater) [#30764](https://github.com/nodejs/node/pull/30764)
* \[[`5067463f3c`](https://github.com/nodejs/node/commit/5067463f3c)] - **test**: use callback arguments in getconnections test (Rich Trott) [#30775](https://github.com/nodejs/node/pull/30775)
* \[[`30756e36e7`](https://github.com/nodejs/node/commit/30756e36e7)] - **test**: improve wasi test coverage (Rich Trott) [#30770](https://github.com/nodejs/node/pull/30770)
* \[[`fb31ab52c0`](https://github.com/nodejs/node/commit/fb31ab52c0)] - **test**: simplify tmpdir import in wasi tests (Rich Trott) [#30770](https://github.com/nodejs/node/pull/30770)
* \[[`55a270b583`](https://github.com/nodejs/node/commit/55a270b583)] - **test**: remove duplicate entries from root.status (Richard Lau) [#30769](https://github.com/nodejs/node/pull/30769)
* \[[`54a266c878`](https://github.com/nodejs/node/commit/54a266c878)] - **test**: increase debugging information in subprocess test (Rich Trott) [#30761](https://github.com/nodejs/node/pull/30761)
* \[[`a0fa327365`](https://github.com/nodejs/node/commit/a0fa327365)] - **test**: use block-scoping in test-net-server-address (Rich Trott) [#30754](https://github.com/nodejs/node/pull/30754)
* \[[`9bd5c72104`](https://github.com/nodejs/node/commit/9bd5c72104)] - **test**: move test-child-process-fork-getconnections to parallel (Rich Trott) [#30749](https://github.com/nodejs/node/pull/30749)
* \[[`50ab1fa013`](https://github.com/nodejs/node/commit/50ab1fa013)] - **test**: change common.PORT to arbitrary port (Rich Trott) [#30749](https://github.com/nodejs/node/pull/30749)
* \[[`255cd7e572`](https://github.com/nodejs/node/commit/255cd7e572)] - **(SEMVER-MINOR)** **tls**: expose IETF name for current cipher suite (Sam Roberts) [#30637](https://github.com/nodejs/node/pull/30637)
* \[[`5ad3efbfb3`](https://github.com/nodejs/node/commit/5ad3efbfb3)] - **(SEMVER-MINOR)** **tls**: implement capture rejections for 'secureConnection' event (Matteo Collina) [#27867](https://github.com/nodejs/node/pull/27867)
* \[[`5203ffb2f4`](https://github.com/nodejs/node/commit/5203ffb2f4)] - **tools**: update link to google styleguide for cpplint (Daniel Bevenius) [#30876](https://github.com/nodejs/node/pull/30876)
* \[[`1ed1a645f2`](https://github.com/nodejs/node/commit/1ed1a645f2)] - **tools**: use CC instead of CXX when pointing to gcc (Milad Farazmand) [#30817](https://github.com/nodejs/node/pull/30817)
* \[[`2b687af852`](https://github.com/nodejs/node/commit/2b687af852)] - **tools**: update remark-preset-lint-node to 1.11.0 (Rich Trott) [#30789](https://github.com/nodejs/node/pull/30789)
* \[[`0cb7720dd8`](https://github.com/nodejs/node/commit/0cb7720dd8)] - **tools**: update icu to 65.1 (Albert Wang) [#30232](https://github.com/nodejs/node/pull/30232)
* \[[`7b9400ce63`](https://github.com/nodejs/node/commit/7b9400ce63)] - **tools**: update ESLint to 6.7.2 (Rich Trott) [#30762](https://github.com/nodejs/node/pull/30762)
* \[[`5ab3ca4f96`](https://github.com/nodejs/node/commit/5ab3ca4f96)] - **url**: declare iterator inside loop (Trivikram Kamat) [#30509](https://github.com/nodejs/node/pull/30509)
* \[[`dc69cbeb05`](https://github.com/nodejs/node/commit/dc69cbeb05)] - **util**: add internal sleep() function (Colin Ihrig) [#30787](https://github.com/nodejs/node/pull/30787)
* \[[`3898b2387b`](https://github.com/nodejs/node/commit/3898b2387b)] - **util**: never trigger any proxy traps using `format()` (Ruben Bridgewater) [#30767](https://github.com/nodejs/node/pull/30767)
* \[[`eeaeb51dcc`](https://github.com/nodejs/node/commit/eeaeb51dcc)] - **util**: improve performance inspecting proxies (Ruben Bridgewater) [#30767](https://github.com/nodejs/node/pull/30767)
* \[[`608d720834`](https://github.com/nodejs/node/commit/608d720834)] - **(SEMVER-MINOR)** **util**: add more predefined color codes to inspect.colors (Ruben Bridgewater) [#30659](https://github.com/nodejs/node/pull/30659)
